//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include "music.h"


// Locating music_fx.............: (0305 bytes) from memory address 0x4bba to 0x4ceb
__at(0x4bba) const unsigned char G_fx[305] = {
 0x41, 0x54, 0x31, 0x30, 0x01, 0x40, 0x42, 0x0f, 0x02, 0xff, 0x0f, 0x01, 0xdc, 0x4b, 0xe5, 0x4b,
 0xfc, 0x4b, 0x13, 0x4c, 0x33, 0x4c, 0x5f, 0x4c, 0x79, 0x4c, 0x8e, 0x4c, 0xa2, 0x4c, 0xb7, 0x4c,
 0xc6, 0x4c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0d, 0xde, 0x4b, 0x01, 0x00, 0x3e, 0x21, 0x74,
 0x02, 0x70, 0x04, 0x6c, 0x06, 0x68, 0x08, 0x60, 0x0a, 0x5c, 0x0c, 0x54, 0x0e, 0x50, 0x10, 0x0d,
 0xde, 0x4b, 0x01, 0x00, 0x7a, 0x21, 0x10, 0x74, 0x0e, 0x70, 0x0c, 0x6c, 0x0a, 0x68, 0x08, 0x64,
 0x06, 0x5c, 0x04, 0x54, 0x02, 0x10, 0x0d, 0xde, 0x4b, 0x01, 0x00, 0x38, 0x74, 0x09, 0x74, 0x30,
 0x70, 0x24, 0x70, 0x18, 0x28, 0x68, 0x09, 0x68, 0x30, 0x60, 0x24, 0x60, 0x18, 0x1c, 0x5c, 0x09,
 0x58, 0x30, 0x54, 0x24, 0x50, 0x18, 0x0d, 0xde, 0x4b, 0x01, 0x00, 0x7e, 0x26, 0xf4, 0x7a, 0x29,
 0xff, 0x76, 0x29, 0xf4, 0x72, 0x2c, 0xfd, 0x6e, 0x2e, 0xf4, 0x6a, 0x30, 0xfb, 0x6a, 0x33, 0xf4,
 0x66, 0x34, 0xf9, 0x62, 0x35, 0xf4, 0x5e, 0x35, 0xf7, 0x5a, 0x37, 0xf4, 0x56, 0x37, 0xf5, 0x52,
 0x37, 0xf4, 0x0d, 0xde, 0x4b, 0x01, 0x00, 0x3e, 0x26, 0x3e, 0x26, 0x3a, 0x39, 0x76, 0x39, 0xfc,
 0x6e, 0x39, 0xfc, 0x6a, 0x39, 0xfc, 0x62, 0x39, 0xfc, 0x5e, 0x39, 0xfc, 0x0d, 0xde, 0x4b, 0x01,
 0x00, 0x3a, 0x0b, 0x36, 0x07, 0x2e, 0x11, 0x32, 0x12, 0x32, 0x06, 0x2a, 0x05, 0x2e, 0x06, 0x26,
 0x0d, 0x0d, 0xde, 0x4b, 0x01, 0x00, 0x3a, 0x36, 0x36, 0x32, 0x2e, 0x2c, 0x66, 0x27, 0xff, 0x62,
 0x27, 0xfe, 0x56, 0x26, 0xfd, 0x0d, 0xde, 0x4b, 0x01, 0x00, 0x6c, 0x0c, 0x34, 0x38, 0x7c, 0x0c,
 0x7c, 0x0c, 0x7c, 0x0c, 0x74, 0x0c, 0x6c, 0x0c, 0x68, 0x0c, 0x0d, 0xde, 0x4b, 0x01, 0x00, 0x7c,
 0x18, 0x78, 0x07, 0x78, 0x13, 0x74, 0x0c, 0x2c, 0x1c, 0x0d, 0xde, 0x4b, 0x01, 0x00, 0x78, 0x13,
 0x7c, 0x07, 0x3c, 0x60, 0x13, 0x68, 0x07, 0x28, 0x0d, 0xde, 0x4b, 0x40, 0x00, 0x00, 0x00, 0xe5,
 0x4c, 0x00, 0xe6, 0x4c, 0xe6, 0x4c, 0xe6, 0x4c, 0x01, 0xdb, 0x4c, 0x00, 0x42, 0x80, 0x00, 0x00,
 0x00
};


// Locating music_menu...........: (1021 bytes) from memory address 0x4cec to 0x50e9
__at(0x4cec) const unsigned char G_music_menu[1021] = {
 0x41, 0x54, 0x31, 0x30, 0x01, 0x40, 0x42, 0x0f, 0x02, 0x04, 0x44, 0x00, 0x00, 0x4d, 0x09, 0x4d,
 0x20, 0x4d, 0x33, 0x4d, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0d, 0x02, 0x4d, 0x02, 0x00, 0xb4,
 0x06, 0x00, 0x34, 0x2c, 0xac, 0x01, 0x00, 0x28, 0x28, 0xa4, 0xff, 0xff, 0x24, 0xa4, 0x01, 0x00,
 0x24, 0x0d, 0x15, 0x4d, 0x01, 0x00, 0x7a, 0x21, 0x0c, 0x38, 0x70, 0xf4, 0x70, 0xf4, 0x6c, 0xf4,
 0x6c, 0xf4, 0x68, 0xf4, 0x0d, 0x2e, 0x4d, 0x01, 0x00, 0x3e, 0x04, 0x3e, 0x0e, 0x0d, 0x35, 0x4d,
 0x08, 0x00, 0x00, 0x0c, 0xbf, 0x4d, 0x00, 0x7d, 0x4e, 0x70, 0x4e, 0x7d, 0x4e, 0x10, 0xd9, 0x4e,
 0x04, 0x4f, 0xd9, 0x4e, 0x30, 0x00, 0x4a, 0x4f, 0x75, 0x4f, 0x4a, 0x4f, 0x08, 0x00, 0x51, 0x4e,
 0xfb, 0x4d, 0xdc, 0x4d, 0x1e, 0x00, 0x00, 0xf4, 0x8a, 0x4e, 0x99, 0x4e, 0x8a, 0x4e, 0x30, 0x00,
 0xde, 0x4f, 0xad, 0x4e, 0xde, 0x4f, 0x00, 0xfa, 0x4f, 0xc1, 0x4e, 0xfa, 0x4f, 0x00, 0xc0, 0x4d,
 0xad, 0x4e, 0xc0, 0x4d, 0x00, 0xc0, 0x4f, 0x14, 0x50, 0xc0, 0x4f, 0x0e, 0x02, 0x02, 0xf6, 0xde,
 0x4f, 0xad, 0x4e, 0xde, 0x4f, 0x00, 0xfa, 0x4f, 0xc1, 0x4e, 0xfa, 0x4f, 0x00, 0xc0, 0x4d, 0xad,
 0x4e, 0xc0, 0x4d, 0x10, 0x5e, 0x50, 0x6e, 0x50, 0x5e, 0x50, 0x18, 0x00, 0x5e, 0x50, 0x6e, 0x50,
 0x5e, 0x50, 0x00, 0x5e, 0x50, 0x6e, 0x50, 0x5e, 0x50, 0x00, 0x9e, 0x50, 0xaf, 0x50, 0xd8, 0x50,
 0x01, 0x60, 0x4d, 0x00, 0xc8, 0xe0, 0x00, 0x00, 0x01, 0x0a, 0x89, 0x0a, 0x89, 0x06, 0x8f, 0x02,
 0x8d, 0x06, 0x89, 0x02, 0x93, 0x0e, 0x8d, 0x02, 0x89, 0x02, 0x85, 0x0a, 0x89, 0x06, 0x8d, 0x00,
 0xce, 0xe0, 0x00, 0x00, 0x01, 0x0a, 0x8f, 0x02, 0x8d, 0x02, 0x89, 0x02, 0x85, 0x0a, 0x7f, 0x06,
 0x8d, 0x02, 0x89, 0x0a, 0x89, 0x02, 0x89, 0x02, 0x89, 0x02, 0x89, 0x0a, 0x42, 0x0b, 0x00, 0x90,
 0xe0, 0x00, 0x00, 0x02, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x51, 0x42,
 0x00, 0x51, 0x42, 0x00, 0x51, 0x42, 0x00, 0x55, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00,
 0x42, 0x00, 0x4f, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x5d, 0x42, 0x00, 0x59, 0x42, 0x00, 0x42,
 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x59, 0x42, 0x00, 0x59, 0x42, 0x00, 0x59, 0x42, 0x00,
 0x59, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0xa2, 0x6f, 0x03, 0x02, 0x42,
 0x0b, 0x02, 0x42, 0x07, 0x00, 0xb6, 0xe0, 0x00, 0x00, 0x01, 0x0a, 0x77, 0x02, 0x71, 0x02, 0x77,
 0x02, 0x7b, 0x0a, 0x75, 0x06, 0x7b, 0x02, 0x7f, 0x0a, 0x7f, 0x02, 0x7f, 0x02, 0x7f, 0x02, 0x7f,
 0x0a, 0x42, 0x0b, 0x00, 0x42, 0x60, 0x00, 0x42, 0x80, 0x00, 0x00, 0x8e, 0x61, 0x02, 0x06, 0x55,
 0x00, 0x42, 0x60, 0x00, 0x42, 0x80, 0x00, 0x00, 0xa6, 0x63, 0x01, 0x06, 0x6d, 0x00, 0x42, 0x60,
 0x00, 0x42, 0x80, 0x00, 0x00, 0x3e, 0x12, 0xbe, 0x63, 0x01, 0x06, 0x85, 0x00, 0x98, 0xe1, 0x00,
 0x00, 0x02, 0x0a, 0x4f, 0x0a, 0x59, 0x0a, 0x4f, 0x0a, 0x59, 0x0a, 0x4f, 0x0a, 0x59, 0x0a, 0x4f,
 0x00, 0x98, 0xe0, 0x00, 0x00, 0x02, 0x0a, 0x4f, 0x0a, 0x59, 0x0a, 0x4f, 0x0a, 0x55, 0x0a, 0x4b,
 0x0a, 0x55, 0x0a, 0x4b, 0x00, 0x90, 0xe0, 0x00, 0x00, 0x02, 0x0a, 0x47, 0x0a, 0x51, 0x0a, 0x47,
 0x42, 0x00, 0x08, 0x4f, 0x0a, 0x45, 0x0a, 0x4f, 0x0a, 0x4f, 0x42, 0x00, 0x00, 0xb0, 0xe0, 0x00,
 0x00, 0x01, 0x22, 0x71, 0x02, 0x71, 0x02, 0x71, 0x02, 0x71, 0x0e, 0x42, 0x87, 0x01, 0x00, 0x42,
 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x0b, 0x42,
 0x00, 0xa6, 0xc3, 0x00, 0x00, 0x06, 0x71, 0x00, 0x98, 0xe0, 0x00, 0x00, 0x02, 0x42, 0x00, 0x42,
 0x00, 0x42, 0x00, 0x04, 0x42, 0x00, 0x0a, 0x42, 0x00, 0x06, 0x42, 0x00, 0x42, 0x00, 0x59, 0x42,
 0x00, 0x59, 0x42, 0x00, 0x59, 0x42, 0x00, 0x59, 0x0a, 0x42, 0x00, 0x02, 0x42, 0x87, 0xff, 0xff,
 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x0b,
 0x42, 0x00, 0x8e, 0xc1, 0x00, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x59, 0x00, 0xb4, 0xe0,
 0x00, 0x00, 0x01, 0x22, 0x75, 0x02, 0x75, 0x02, 0x75, 0x02, 0x75, 0x0e, 0x42, 0x87, 0x01, 0x00,
 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x0b,
 0x42, 0x00, 0xac, 0xc3, 0x00, 0x00, 0x06, 0x75, 0x00, 0x94, 0xe0, 0x00, 0x00, 0x02, 0x42, 0x00,
 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x08, 0x42, 0x00, 0x42,
 0x00, 0x08, 0x55, 0x42, 0x00, 0x55, 0x42, 0x00, 0x55, 0x42, 0x00, 0x55, 0x0a, 0x42, 0x00, 0x42,
 0x00, 0x42, 0x87, 0xff, 0xff, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42,
 0x00, 0x42, 0x00, 0x42, 0x0b, 0x42, 0x00, 0x8e, 0xc1, 0x00, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42,
 0x00, 0x55, 0x42, 0x00, 0xc8, 0xe0, 0x00, 0x00, 0x01, 0x0a, 0x81, 0x06, 0x89, 0x02, 0x8d, 0x0a,
 0x85, 0x06, 0x8d, 0x02, 0x89, 0x0a, 0x89, 0x02, 0x89, 0x02, 0x89, 0x02, 0x89, 0x0a, 0x7f, 0x06,
 0x85, 0x00, 0xc8, 0xe0, 0x00, 0x00, 0x01, 0x0a, 0x89, 0x0a, 0x89, 0x06, 0x8f, 0x02, 0x8d, 0x06,
 0x89, 0x02, 0x85, 0x0e, 0x85, 0x02, 0x89, 0x02, 0x8d, 0x0a, 0x7f, 0x06, 0x85, 0x00, 0xc0, 0xe0,
 0x00, 0x00, 0x01, 0x0a, 0x81, 0x0a, 0x81, 0x06, 0x89, 0x02, 0x85, 0x06, 0x81, 0x02, 0x7f, 0x0a,
 0x87, 0x0a, 0x8d, 0x0a, 0x7f, 0x06, 0x85, 0x00, 0x90, 0xe0, 0x00, 0x00, 0x02, 0x42, 0x00, 0x42,
 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x47, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00,
 0x42, 0x00, 0x55, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x4b, 0x42, 0x00,
 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x59, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42,
 0x00, 0x42, 0x00, 0x59, 0x42, 0x00, 0x59, 0x42, 0x00, 0x59, 0x42, 0x00, 0x59, 0x42, 0x00, 0x08,
 0x4f, 0x00, 0xc8, 0xe0, 0x00, 0x00, 0x01, 0x0a, 0x81, 0x06, 0x89, 0x02, 0x8d, 0x0a, 0x85, 0x06,
 0x8d, 0x00, 0x90, 0xe0, 0x00, 0x00, 0x02, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42,
 0x00, 0x47, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x55, 0x42, 0x00, 0x42,
 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x4b, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00,
 0x42, 0x00, 0xc8, 0xe0, 0x00, 0x00, 0x01, 0x0a, 0x89, 0x02, 0x89, 0x02, 0x89, 0x02, 0x89, 0x0a,
 0x42, 0x0b, 0x00, 0x98, 0xe0, 0x00, 0x00, 0x02, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00,
 0x42, 0x00, 0x59, 0x42, 0x00, 0x59, 0x42, 0x00, 0x59, 0x42, 0x00, 0x59, 0x42, 0x00, 0x08, 0xa2,
 0x6f, 0x03, 0x42, 0x0d, 0x42, 0x0b, 0x42, 0x09, 0x42, 0x07, 0x42, 0x05, 0xd0, 0xe0, 0x00, 0x00,
 0x01, 0x0a, 0x91, 0x02, 0x91, 0x02, 0x91, 0x02, 0x91, 0x0a, 0x42, 0x0b, 0x00
};


// Locating music_ingame.........: (1048 bytes) from memory address 0x50ea to 0x5502
__at(0x50ea) const unsigned char G_music_ingame[1048] = {
 0x41, 0x54, 0x31, 0x30, 0x01, 0x40, 0x42, 0x0f, 0x02, 0x04, 0x76, 0x00, 0x02, 0x51, 0x0b, 0x51,
 0x17, 0x51, 0x2a, 0x51, 0x3b, 0x51, 0x50, 0x51, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0d, 0x04,
 0x51, 0x01, 0x00, 0x78, 0xfb, 0x38, 0x38, 0x34, 0x2c, 0x20, 0x0d, 0x04, 0x51, 0x01, 0x00, 0x78,
 0x0c, 0x7c, 0x04, 0x3c, 0x70, 0x0c, 0x74, 0x04, 0x34, 0x6c, 0x0c, 0x6c, 0x04, 0x0d, 0x04, 0x51,
 0x01, 0x00, 0x74, 0x0c, 0x68, 0x0a, 0x34, 0x6c, 0x0c, 0x2c, 0x2c, 0x6c, 0x0c, 0x2c, 0x0d, 0x34,
 0x51, 0x01, 0x00, 0x7a, 0x26, 0x0a, 0x78, 0x07, 0x78, 0x04, 0x30, 0x70, 0xf9, 0x6c, 0xf9, 0x6c,
 0xf9, 0x6c, 0xf9, 0x0d, 0x04, 0x51, 0x01, 0x00, 0x7a, 0x25, 0x03, 0x7a, 0x23, 0x02, 0x76, 0x26,
 0x01, 0x36, 0x27, 0x6e, 0x27, 0xff, 0x6e, 0x28, 0xfe, 0x6a, 0x29, 0xfd, 0x6a, 0x2a, 0xfc, 0x0d,
 0x04, 0x51, 0x20, 0x00, 0x00, 0x00, 0x2c, 0x53, 0x1e, 0x00, 0x00, 0x00, 0x2d, 0x53, 0xc9, 0x53,
 0xfa, 0x54, 0x20, 0x00, 0x2d, 0x53, 0xc9, 0x53, 0xfa, 0x54, 0x00, 0x2d, 0x53, 0xc9, 0x53, 0x61,
 0x53, 0x06, 0xfe, 0xfe, 0x2d, 0x53, 0xc9, 0x53, 0x02, 0x54, 0x06, 0xf9, 0xf9, 0x2d, 0x53, 0xc9,
 0x53, 0x63, 0x54, 0x06, 0xfb, 0xfb, 0x2d, 0x53, 0xc9, 0x53, 0xcc, 0x54, 0x06, 0x00, 0x00, 0x95,
 0x54, 0x91, 0x53, 0x61, 0x53, 0x06, 0xfe, 0xfe, 0x95, 0x54, 0x91, 0x53, 0x02, 0x54, 0x06, 0xf9,
 0xf9, 0x95, 0x54, 0x91, 0x53, 0x63, 0x54, 0x06, 0xfb, 0xfb, 0x95, 0x54, 0x91, 0x53, 0xcc, 0x54,
 0x06, 0x00, 0x00, 0x2d, 0x53, 0xc9, 0x53, 0x30, 0x54, 0x0e, 0xfe, 0xfe, 0x05, 0x2d, 0x53, 0xc9,
 0x53, 0x30, 0x54, 0x0e, 0xf9, 0xf9, 0x00, 0x2d, 0x53, 0xc9, 0x53, 0x30, 0x54, 0x06, 0xfb, 0xfb,
 0x2d, 0x53, 0xc9, 0x53, 0x30, 0x54, 0x06, 0x00, 0x00, 0x95, 0x54, 0x91, 0x53, 0x30, 0x54, 0x0e,
 0xfe, 0xfe, 0x05, 0x95, 0x54, 0x91, 0x53, 0x30, 0x54, 0x0e, 0xf9, 0xf9, 0x00, 0x95, 0x54, 0x91,
 0x53, 0x30, 0x54, 0x06, 0xfb, 0xfb, 0x95, 0x54, 0x91, 0x53, 0x30, 0x54, 0x06, 0x00, 0x00, 0x2d,
 0x53, 0xc9, 0x53, 0x61, 0x53, 0x0e, 0x03, 0x03, 0x03, 0x2d, 0x53, 0xc9, 0x53, 0x61, 0x53, 0x0e,
 0x05, 0x05, 0x05, 0x2d, 0x53, 0xc9, 0x53, 0x61, 0x53, 0x0e, 0x07, 0x07, 0x07, 0x95, 0x54, 0x91,
 0x53, 0x30, 0x54, 0x0e, 0x00, 0x00, 0x0c, 0x2d, 0x53, 0xc9, 0x53, 0x61, 0x53, 0x0e, 0xfe, 0xfe,
 0x0a, 0x2d, 0x53, 0xc9, 0x53, 0x61, 0x53, 0x0e, 0xf9, 0xf9, 0x05, 0x2d, 0x53, 0xc9, 0x53, 0x61,
 0x53, 0x0e, 0xfb, 0xfb, 0x07, 0x2d, 0x53, 0x91, 0x53, 0x61, 0x53, 0x1e, 0x00, 0x00, 0x00, 0x2d,
 0x53, 0xc9, 0x53, 0x61, 0x53, 0x04, 0x0e, 0x01, 0x01, 0x01, 0x2d, 0x53, 0xc9, 0x53, 0x61, 0x53,
 0x0e, 0x02, 0x02, 0x02, 0x2d, 0x53, 0xc9, 0x53, 0x61, 0x53, 0x0e, 0x03, 0x03, 0x03, 0x2d, 0x53,
 0xc9, 0x53, 0x61, 0x53, 0x0e, 0x04, 0x04, 0x04, 0x2d, 0x53, 0xc9, 0x53, 0x61, 0x53, 0x0e, 0x05,
 0x05, 0x05, 0x2d, 0x53, 0xc9, 0x53, 0x61, 0x53, 0x0e, 0x06, 0x06, 0x06, 0x2d, 0x53, 0xc9, 0x53,
 0x61, 0x53, 0x0e, 0x07, 0x07, 0x07, 0x2d, 0x53, 0xc9, 0x53, 0x61, 0x53, 0x0e, 0x04, 0x04, 0x04,
 0x2d, 0x53, 0xc9, 0x53, 0x61, 0x53, 0x0e, 0x05, 0x05, 0x05, 0x2d, 0x53, 0xc9, 0x53, 0x61, 0x53,
 0x0e, 0x06, 0x06, 0x06, 0x2d, 0x53, 0xc9, 0x53, 0x61, 0x53, 0x0e, 0x07, 0x07, 0x07, 0x2d, 0x53,
 0xc9, 0x53, 0x61, 0x53, 0x1e, 0x04, 0x04, 0x04, 0x2d, 0x53, 0xc9, 0x53, 0x61, 0x53, 0x02, 0x0e,
 0x05, 0x05, 0x05, 0x2d, 0x53, 0xc9, 0x53, 0x61, 0x53, 0x0e, 0x06, 0x06, 0x06, 0x2d, 0x53, 0xc9,
 0x53, 0x61, 0x53, 0x0e, 0x07, 0x07, 0x07, 0x2d, 0x53, 0xc9, 0x53, 0x61, 0x53, 0x00, 0x2d, 0x53,
 0xc9, 0x53, 0x61, 0x53, 0x00, 0x2d, 0x53, 0xc9, 0x53, 0xfa, 0x54, 0x0e, 0x05, 0x05, 0x05, 0x2d,
 0x53, 0xc9, 0x53, 0xfa, 0x54, 0x0e, 0x03, 0x03, 0x03, 0x2d, 0x53, 0xc9, 0x53, 0xfa, 0x54, 0x01,
 0x72, 0x51, 0x00, 0x8a, 0xe3, 0x00, 0x00, 0x01, 0x02, 0x63, 0x02, 0xa2, 0x60, 0x02, 0x02, 0x8a,
 0x60, 0x01, 0x02, 0x63, 0x02, 0x4b, 0x02, 0xa2, 0x60, 0x02, 0x02, 0x8a, 0x60, 0x01, 0x02, 0x4b,
 0x02, 0x63, 0x02, 0xa2, 0x60, 0x02, 0x02, 0x8a, 0x60, 0x01, 0x02, 0x63, 0x02, 0x4b, 0x02, 0xa2,
 0x60, 0x02, 0x02, 0x8a, 0x60, 0x01, 0x00, 0xba, 0xe1, 0x00, 0x00, 0x03, 0x02, 0x42, 0x0b, 0x02,
 0xb0, 0x41, 0x02, 0x42, 0x0b, 0x02, 0xba, 0x41, 0x02, 0x7f, 0x02, 0x83, 0x02, 0x85, 0x02, 0x42,
 0x0b, 0x02, 0xc2, 0x41, 0x02, 0x42, 0x0b, 0x02, 0xbe, 0x41, 0x02, 0x42, 0x0b, 0x02, 0xc2, 0x41,
 0x02, 0x42, 0x0b, 0x02, 0x42, 0x0f, 0x00, 0x80, 0xe1, 0x00, 0x00, 0x04, 0x02, 0x80, 0x4b, 0x02,
 0x80, 0x4f, 0x02, 0x80, 0x43, 0x02, 0x9c, 0x61, 0x05, 0x02, 0x9c, 0x4b, 0x42, 0x00, 0x80, 0x63,
 0x04, 0x02, 0x80, 0x41, 0x02, 0x80, 0x4b, 0x02, 0x80, 0x43, 0x02, 0x80, 0x41, 0x02, 0x80, 0x4b,
 0x02, 0x9c, 0x61, 0x05, 0x02, 0x9c, 0x4b, 0x02, 0x80, 0x63, 0x04, 0x02, 0x80, 0x4b, 0x00, 0x80,
 0xe1, 0x00, 0x00, 0x04, 0x02, 0x80, 0x4b, 0x02, 0x9c, 0x61, 0x05, 0x02, 0x9c, 0x4b, 0x02, 0x80,
 0x63, 0x04, 0x02, 0x80, 0x41, 0x02, 0x9c, 0x60, 0x05, 0x02, 0x80, 0x63, 0x04, 0x02, 0x80, 0x4b,
 0x02, 0x80, 0x43, 0x02, 0x9c, 0x61, 0x05, 0x02, 0x9c, 0x4b, 0x02, 0x80, 0x63, 0x04, 0x02, 0x80,
 0x41, 0x02, 0x9c, 0x60, 0x05, 0x02, 0x5d, 0x00, 0xba, 0xe1, 0x00, 0x00, 0x03, 0x02, 0x42, 0x0b,
 0x02, 0xb0, 0x41, 0x02, 0x42, 0x0b, 0x02, 0xba, 0x41, 0x02, 0x7f, 0x02, 0x83, 0x02, 0x85, 0x02,
 0x42, 0x0b, 0x02, 0xc2, 0x41, 0x02, 0x85, 0x02, 0x89, 0x02, 0x42, 0x0b, 0x02, 0x42, 0x0f, 0x02,
 0x42, 0x13, 0x02, 0xc4, 0x41, 0x89, 0xba, 0xe1, 0x00, 0x00, 0x03, 0x02, 0x42, 0x0b, 0x02, 0xd2,
 0x43, 0x02, 0x42, 0x0d, 0x02, 0xba, 0x47, 0x02, 0x42, 0x11, 0x02, 0xba, 0x41, 0x02, 0x42, 0x0b,
 0x02, 0xc4, 0x41, 0x02, 0x42, 0x0b, 0x02, 0xdc, 0x43, 0x02, 0x42, 0x0d, 0x02, 0xc2, 0x41, 0x02,
 0x42, 0x0b, 0x02, 0xda, 0x43, 0x02, 0x42, 0x0d, 0x00, 0xcc, 0xe1, 0x00, 0x00, 0x03, 0x02, 0x42,
 0x0b, 0x02, 0xc8, 0x41, 0x02, 0x42, 0x0b, 0x02, 0xc4, 0x41, 0x02, 0x42, 0x0b, 0x02, 0xcc, 0x41,
 0x02, 0x42, 0x0b, 0x02, 0xc8, 0x41, 0x02, 0x42, 0x0b, 0x02, 0xc4, 0x41, 0x02, 0x83, 0x02, 0x42,
 0x0b, 0x02, 0xba, 0x41, 0x02, 0x42, 0x0b, 0x02, 0x42, 0x0f, 0x00, 0xa2, 0xe3, 0x00, 0x00, 0x01,
 0x02, 0xa2, 0x47, 0x02, 0xa2, 0x49, 0x02, 0xa2, 0x4b, 0x02, 0xa2, 0x63, 0x02, 0x02, 0xa2, 0x4b,
 0x02, 0xa2, 0x69, 0x01, 0x02, 0xa2, 0x4b, 0x02, 0xa2, 0x43, 0x02, 0xa2, 0x47, 0x02, 0xa2, 0x49,
 0x02, 0xa2, 0x4b, 0x02, 0xa2, 0x63, 0x02, 0x02, 0xa2, 0x4b, 0x02, 0xa2, 0x69, 0x01, 0x02, 0xa2,
 0x4b, 0x00, 0xc2, 0xe1, 0x00, 0x00, 0x03, 0x02, 0x83, 0x02, 0x85, 0x02, 0x83, 0x02, 0x42, 0x0b,
 0x02, 0xba, 0x41, 0x02, 0x42, 0x0b, 0x02, 0xc4, 0x41, 0x02, 0x42, 0x0b, 0x02, 0xc2, 0x41, 0x02,
 0x85, 0x02, 0x89, 0x02, 0x42, 0x0b, 0x02, 0x42, 0x0f, 0x02, 0x42, 0x13, 0x02, 0x42, 0x17, 0x00,
 0x42, 0x60, 0x00, 0x42, 0x80, 0x00, 0x00, 0x00
};


// Locating music_fanfarria......: (0466 bytes) from memory address 0x5503 to 0x56d5
__at(0x5503) const unsigned char G_music_fanfarria[466] = {
 0x41, 0x54, 0x31, 0x30, 0x01, 0x40, 0x42, 0x0f, 0x02, 0x04, 0x63, 0x00, 0x19, 0x55, 0x22, 0x55,
 0x37, 0x55, 0x4d, 0x55, 0x56, 0x55, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0d, 0x1b, 0x55, 0x01,
 0x00, 0x74, 0x13, 0x34, 0x30, 0x70, 0x13, 0x2c, 0x2c, 0xe4, 0xff, 0xff, 0x13, 0xa4, 0x01, 0x00,
 0x24, 0x0d, 0x2c, 0x55, 0x01, 0x00, 0x7a, 0x22, 0x0c, 0x78, 0xf4, 0x74, 0xf4, 0x74, 0xf4, 0x70,
 0xf4, 0x70, 0xf4, 0x68, 0xf4, 0x68, 0xf4, 0x0d, 0x48, 0x55, 0x01, 0x00, 0x3e, 0x04, 0x16, 0x02,
 0x0d, 0x4f, 0x55, 0x02, 0x00, 0x70, 0xff, 0x30, 0xac, 0xff, 0xff, 0x2c, 0x68, 0xff, 0x28, 0xa0,
 0xff, 0xff, 0x20, 0x5c, 0xff, 0x9c, 0x01, 0x00, 0x18, 0x18, 0x14, 0x14, 0x0d, 0x1b, 0x55, 0x30,
 0x00, 0x00, 0x00, 0xc7, 0x55, 0x00, 0x45, 0x56, 0xef, 0x55, 0xd0, 0x55, 0x00, 0xc8, 0x55, 0x84,
 0x56, 0xc8, 0x55, 0x0e, 0x0c, 0x00, 0x00, 0x64, 0x56, 0x84, 0x56, 0x64, 0x56, 0x00, 0xbc, 0x56,
 0x9f, 0x56, 0xbc, 0x56, 0x00, 0x64, 0x56, 0x84, 0x56, 0x64, 0x56, 0x00, 0xbc, 0x56, 0x9f, 0x56,
 0xbc, 0x56, 0x0e, 0x0e, 0x02, 0x02, 0x64, 0x56, 0x84, 0x56, 0x64, 0x56, 0x00, 0xbc, 0x56, 0x9f,
 0x56, 0xbc, 0x56, 0x00, 0x64, 0x56, 0x84, 0x56, 0x64, 0x56, 0x00, 0xbc, 0x56, 0x9f, 0x56, 0xbc,
 0x56, 0x01, 0x86, 0x55, 0x00, 0x42, 0x60, 0x00, 0x42, 0x80, 0x00, 0x00, 0x00, 0xce, 0xe3, 0x00,
 0x00, 0x01, 0x0a, 0x8f, 0x02, 0x8d, 0x02, 0x89, 0x02, 0x85, 0x0a, 0x7f, 0x06, 0x8d, 0x02, 0x89,
 0x0a, 0x89, 0x02, 0x89, 0x02, 0x85, 0x02, 0x89, 0x0a, 0x42, 0x0b, 0x00, 0x90, 0xe1, 0x00, 0x00,
 0x02, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x51, 0x42, 0x00, 0x51, 0x42,
 0x00, 0x51, 0x42, 0x00, 0x55, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x4f,
 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x5d, 0x42, 0x00, 0x59, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00,
 0x42, 0x00, 0x42, 0x00, 0x59, 0x42, 0x00, 0x59, 0x42, 0x00, 0x55, 0x42, 0x00, 0x59, 0x42, 0x00,
 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0xa2, 0x73, 0x03, 0x02, 0x42, 0x0f, 0x02, 0x42,
 0x0b, 0x00, 0xb6, 0xe1, 0x00, 0x00, 0x01, 0x0a, 0x77, 0x02, 0x71, 0x02, 0x77, 0x02, 0x7b, 0x0a,
 0x75, 0x06, 0x7b, 0x02, 0x7f, 0x0a, 0x7f, 0x02, 0x7f, 0x02, 0x7b, 0x02, 0x7f, 0x0a, 0x42, 0x0b,
 0x00, 0xb0, 0xe3, 0x00, 0x00, 0x04, 0x02, 0x42, 0x00, 0x42, 0x00, 0x04, 0x7f, 0x06, 0x42, 0x00,
 0x02, 0x89, 0x0a, 0x85, 0x06, 0x83, 0x02, 0x7f, 0x0a, 0x7b, 0x06, 0x7f, 0x02, 0x83, 0x0a, 0x7f,
 0x00, 0x98, 0xe3, 0x00, 0x00, 0x02, 0x0a, 0x4f, 0x0a, 0x59, 0x0a, 0x4f, 0x04, 0x42, 0x00, 0x55,
 0x42, 0x00, 0x59, 0x0a, 0x4f, 0x0a, 0x59, 0x0a, 0x4f, 0x06, 0x59, 0x00, 0x94, 0xe0, 0x00, 0x00,
 0x02, 0x0a, 0x4b, 0x0a, 0x55, 0x0a, 0x4b, 0x04, 0x42, 0x00, 0x55, 0x02, 0x59, 0x0a, 0x4f, 0x0a,
 0x59, 0x0a, 0x4f, 0x02, 0x42, 0x00, 0x02, 0x55, 0x00, 0xb0, 0xe0, 0x00, 0x00, 0x04, 0x0a, 0x7f,
 0x06, 0x42, 0x00, 0x02, 0x89, 0x0a, 0x85, 0x06, 0x83, 0x02, 0x7f, 0x0a, 0x7b, 0x06, 0x83, 0x02,
 0x7f, 0x00
};

// Z80CODELOC := 0x56d9
