//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#ifndef _GLOBALS_H_
#define _GLOBALS_H_

#define COLORTXT_WHITE 		0
#define COLORTXT_YELLOW 	1
#define COLORTXT_ORANGE 	2
#define COLORTXT_BLUE 		3
#define COLORTXT_RED 		4
#define COLORTXT_MAUVE 		5


// FX SOUNDS
#define JUMP_TO			1
#define JUMP_FROM		2
#define SWAP_HERO		3
#define EXPLOSION		4
#define PUSH			5
#define BREAK_SOFTWALL	6
#define LANDING			7
#define OPEN_MENU		8
#define SELECT			9
#define CLICK			10

// Something mysterious...
#define KEY			655

// Height of text lines in piexels
#define LINEHEIGHT 	10

// Tiles size. All tiles in this game has this size
#define TILE_W 	7
#define TILE_H 	22

// Screen offset. The game levels start on pixel coordinates (2, 1).
#define LEFT_OFFSET	1  // 2px = 1byte.
// #define UP_OFFSET 	0

// Dimensions of final levels.
#define LEVEL_TILES_W  11
#define LEVEL_TILES_H  9

// Dimensions of compress level. Compress Level hasn't the lower platform due it's common for all levels.
#define LEVEL_COMPRESS_W 11
#define LEVEL_COMPRESS_H 8

// Undefined value for vars that is not possible to reach to this value.
#define UNDEFINED 255	

#define YES 1
#define NO 	0

// FOR TEXT
#define TRANSPARENT 	1
#define OPAQUE 			0
#define NORMALHEIGHT 	1
#define DOUBLEHEIGHT 	2

// FOR FADES
#define IN      0
#define OUT     6

// GAME LOGIC MANAGEMENT
#define MAINMENU 	1
#define RESTART 	2
#define NEXTLEVEL 	3


#define TRY_LEFT 	0	// = F_left
#define TRY_RIGHT	1 	// = F_right
#define TRY_UP 		2
#define TRY_DOWN 	3

#define SHAOLINKID		0
#define LITTLEINDIAN	1

#define MAX_ENEMIES 		24
#define MAX_ENEMIES_MOVING 	2
#define MAX_STONES 			16	// Legacy. Not in use.


#endif
