//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

// * FILE GENERATED WITH BABASPALACE-LEVELPARSER_v20 USING LEVELS DEFINITION v37 *

#include <cpctelera.h>
#include "levels.h"



// Columns. Array index details the level, values (the 1's in binary) details where to put a column.
const u8 columns[100] = {
  0,   0,   0,   0,  64,   0,  10,   0,   0,  16, 
  0,  36,   0,   0,   0,  66, 128, 130,   0,  66, 
 16,   0,   0,  72,   1,   0,  48,   0,   8,  84, 
 18,   0, 128, 130,   0,  84,  16,   0,  16, 192, 
  0,   8, 192,   0,   0,   4, 129,   0,   0,   0, 
 12,   0, 130,   0,   2, 128,   9,  64,   0,   0, 
 56, 146,   0,   0,  68,   2, 198,   1,   4,   0, 
  0,  68,   0,   3,   0, 128,  32,   2,  36,   0, 
  1,   0, 133,   0,   0,   0,   3, 128,   0,   0, 
 68,   0, 130,   0,   0, 170,  24, 130,   0, 165
};


// Idols as a pair (level, pos), where 4bits are tile xPos and 4 bits are tile yPos (from bottom right idol corner).
const u8 idols[64] = {
  2, 116, 	// x=7, y=4
  8,  51, 	// x=3, y=3
 13, 115, 	// x=7, y=3
 15,  99, 	// x=6, y=3
 19,  98, 	// x=6, y=2
 21, 103, 	// x=6, y=7
 25,  65, 	// x=4, y=1
 27, 162, 	// x=10, y=2
 28,  49, 	// x=3, y=1
 30, 115, 	// x=7, y=3
 32, 147, 	// x=9, y=3
 37, 151, 	// x=9, y=7
 39, 118, 	// x=7, y=6
 50,  34, 	// x=2, y=2
 51, 145, 	// x=9, y=1
 53,  51, 	// x=3, y=3
 54, 161, 	// x=10, y=1
 58, 149, 	// x=9, y=5
 63,  87, 	// x=5, y=7
 65,  83, 	// x=5, y=3
 67,  37, 	// x=2, y=5
 69, 117, 	// x=7, y=5
 74,  34, 	// x=2, y=2
 75, 150, 	// x=9, y=6
 77,  53, 	// x=3, y=5
 79, 135, 	// x=8, y=7
 81, 129, 	// x=8, y=1
 83,  53, 	// x=3, y=5
 84, 147, 	// x=9, y=3
 86,  49, 	// x=3, y=1
 89,  54, 	// x=3, y=6
 99,  98, 	// x=6, y=2
};


// Locating Niveles..............: (3300 bytes) from memory address 0x0201 to 0x0ee5
CPCT_ABSOLUTE_LOCATION_AREA(0x0201);

// Levels Compressed. 8 different items = 3 bits per item.
// From each of these compressed levels, and using a procedural algorithm, we will compose a real level using the whole set of tiles.

const u8 compressLevels[3300] = {

// Level 00
	0xff, 0xff, 0xff,
	0xff, 0xf0, 0x00,
	0x00, 0x01, 0xf8,
	0x00, 0x00, 0x00,
	0xfc, 0x00, 0x00,
	0x00, 0x7e, 0x08,
	0x42, 0x00, 0xbf,
	0xff, 0xff, 0xc7,
	0xff, 0xff, 0xff,
	0xff, 0xff, 0xff,
	0xff, 0xff, 0xff,

// Level 01
	0xff, 0xff, 0xff,
	0xff, 0xf0, 0x00,
	0x00, 0x01, 0xf8,
	0x00, 0x00, 0x00,
	0xfc, 0x01, 0x07,
	0xfe, 0xfe, 0x10,
	0x83, 0xff, 0x7f,
	0xfc, 0x7f, 0xff,
	0xbf, 0xfe, 0x40,
	0x00, 0x5f, 0xff,
	0xff, 0xff, 0xff,

// Level 02
	0xff, 0xff, 0xff,
	0xff, 0x80, 0x00,
	0x10, 0x00, 0x2f,
	0xe2, 0xff, 0xc0,
	0x14, 0x01, 0x40,
	0x00, 0x0a, 0x40,
	0xa0, 0x0f, 0x47,
	0xe0, 0x50, 0x00,
	0xa3, 0x80, 0x80,
	0x80, 0x51, 0xc0,
	0xe0, 0x7f, 0xff,

// Level 03
	0xff, 0xff, 0xff,
	0xff, 0xf0, 0x00,
	0x00, 0x01, 0xf8,
	0x80, 0x00, 0x00,
	0xfc, 0x60, 0x00,
	0x08, 0x7f, 0xfe,
	0xb8, 0x7e, 0x3f,
	0xff, 0xdf, 0xf8,
	0x1f, 0x80, 0x28,
	0x00, 0x2f, 0xc0,
	0x14, 0x11, 0xbf,

// Level 04
	0xff, 0xff, 0xff,
	0xff, 0xf0, 0x00,
	0x00, 0x01, 0xfd,
	0xff, 0xff, 0xc0,
	0xfe, 0x80, 0x00,
	0x01, 0x7f, 0x40,
	0x00, 0x85, 0xff,
	0xa1, 0x4f, 0x7f,
	0xff, 0xd1, 0x20,
	0xa0, 0x0f, 0xe8,
	0x88, 0x50, 0x07,

// Level 05
	0xff, 0xff, 0xff,
	0xff, 0xfb, 0x6d,
	0x00, 0x01, 0xfd,
	0x00, 0x40, 0x80,
	0xfe, 0x81, 0xff,
	0xe3, 0xff, 0x40,
	0x00, 0x00, 0xbf,
	0xa0, 0x00, 0xa2,
	0xff, 0xd0, 0x08,
	0xdb, 0x7f, 0xf0,
	0xff, 0xff, 0xff,

// Level 06
	0x00, 0x00, 0x00,
	0x00, 0x00, 0x21,
	0x08, 0x00, 0x2d,
	0xbe, 0x8c, 0x00,
	0x00, 0x0f, 0x7f,
	0xe0, 0x00, 0x00,
	0xa0, 0x00, 0x00,
	0x03, 0xdf, 0xff,
	0x01, 0x00, 0x00,
	0x00, 0x01, 0xc7,
	0xff, 0xff, 0xff,

// Level 07
	0xe0, 0x02, 0x20,
	0x83, 0xfb, 0xff,
	0xfc, 0x7b, 0xfd,
	0xe0, 0x7e, 0x05,
	0xfe, 0xf0, 0x00,
	0x12, 0xff, 0x7a,
	0x1f, 0x8f, 0x7f,
	0xbf, 0xff, 0xc0,
	0xbf, 0xd0, 0x00,
	0x80, 0x5f, 0xff,
	0xff, 0xf1, 0xff,

// Level 08
	0xff, 0xff, 0xff,
	0xff, 0xf0, 0x00,
	0x10, 0x11, 0xf8,
	0x00, 0x04, 0x25,
	0xfc, 0x00, 0x34,
	0xda, 0xfe, 0x80,
	0xbf, 0xff, 0x7f,
	0xfc, 0x50, 0x00,
	0xbf, 0xfe, 0x28,
	0x00, 0x5f, 0xff,
	0x14, 0x00, 0x2f,

// Level 09
	0xff, 0xed, 0xb6,
	0xff, 0xfc, 0x00,
	0x00, 0x0d, 0xfe,
	0x00, 0x01, 0x06,
	0xff, 0x0b, 0xfd,
	0xa3, 0x7f, 0x85,
	0x00, 0x01, 0xbf,
	0xc2, 0x80, 0x00,
	0xdf, 0xe1, 0x40,
	0x40, 0x6f, 0xff,
	0xa4, 0x51, 0xff,

// Level 10
	0xff, 0xff, 0xff,
	0xff, 0xff, 0xff,
	0xff, 0xff, 0xf8,
	0x00, 0x00, 0x00,
	0xfc, 0x5f, 0xff,
	0xfc, 0x7e, 0x2f,
	0x00, 0x00, 0x3f,
	0x17, 0x85, 0x20,
	0x1f, 0x8b, 0xc3,
	0x5f, 0xdf, 0xcd,
	0xe3, 0x60, 0x2f,

// Level 11
	0xe0, 0x00, 0x00,
	0x03, 0xf0, 0x20,
	0x83, 0xfb, 0xf8,
	0x08, 0x20, 0x05,
	0xfe, 0xff, 0xff,
	0x02, 0xff, 0x40,
	0x00, 0x01, 0x7f,
	0xa0, 0x84, 0x00,
	0xbf, 0xff, 0xc3,
	0x00, 0x5f, 0xc0,
	0x01, 0x00, 0x2f,

// Level 12
	0x00, 0x04, 0x00,
	0x80, 0xff, 0xff,
	0xe3, 0xfb, 0xf8,
	0x08, 0x01, 0x05,
	0xff, 0xff, 0xc7,
	0xfe, 0xfe, 0x10,
	0x02, 0x01, 0x7f,
	0xff, 0x8f, 0xff,
	0xbf, 0xa0, 0x04,
	0x00, 0x5f, 0xff,
	0x1f, 0xff, 0xff,

// Level 13
	0xff, 0xff, 0xff,
	0xff, 0x81, 0x00,
	0x00, 0x01, 0xc8,
	0x82, 0x00, 0x00,
	0xf7, 0x61, 0x40,
	0x00, 0x7a, 0x06,
	0xdb, 0x5b, 0x7e,
	0xdb, 0x20, 0x00,
	0x1c, 0x00, 0x30,
	0x00, 0x2e, 0x05,
	0xdf, 0xfe, 0x3f,

// Level 14
	0x10, 0x40, 0x04,
	0x00, 0x5b, 0x6d,
	0xd6, 0xdb, 0xc0,
	0x00, 0x00, 0x45,
	0xff, 0xff, 0xc7,
	0xe2, 0xfe, 0x00,
	0x03, 0xf1, 0x7f,
	0x00, 0x71, 0xf8,
	0xbf, 0x80, 0x38,
	0xfc, 0x5f, 0xd0,
	0x1c, 0x00, 0x2f,

// Level 15
	0xff, 0xff, 0xff,
	0xff, 0xf0, 0x00,
	0x00, 0x01, 0xf8,
	0x00, 0x00, 0x00,
	0xfc, 0x00, 0x00,
	0x00, 0x7e, 0x00,
	0x00, 0x00, 0x3f,
	0x04, 0x88, 0x02,
	0x1f, 0xff, 0xff,
	0x1f, 0xff, 0xff,
	0xff, 0x8f, 0xff,

// Level 16
	0xff, 0xff, 0xff,
	0xff, 0xff, 0xff,
	0xff, 0xff, 0xff,
	0x00, 0x00, 0x3f,
	0xff, 0x80, 0x00,
	0x1f, 0xff, 0xc0,
	0x80, 0x0f, 0xff,
	0xf4, 0x27, 0x1f,
	0xff, 0xfa, 0x62,
	0x23, 0xff, 0xff,
	0xff, 0xff, 0xff,

// Level 17
	0xff, 0xff, 0xff,
	0xff, 0xfe, 0x00,
	0x00, 0x0f, 0xff,
	0x00, 0x40, 0x07,
	0xff, 0x80, 0x20,
	0x03, 0xff, 0xc0,
	0x08, 0x01, 0xff,
	0xe0, 0x78, 0x08,
	0xff, 0xf6, 0x02,
	0xff, 0xff, 0xf8,
	0x01, 0x02, 0x3f,

// Level 18
	0xff, 0xff, 0xff,
	0xff, 0xf0, 0x04,
	0x90, 0x01, 0xf8,
	0x23, 0x6c, 0x08,
	0xfe, 0x6f, 0x86,
	0xfa, 0x7f, 0x00,
	0xf7, 0x81, 0x3f,
	0x88, 0x00, 0x02,
	0x9f, 0xcf, 0xf8,
	0xff, 0xcf, 0xf0,
	0x02, 0x80, 0x37,

// Level 19
	0xff, 0xff, 0xff,
	0xff, 0xf0, 0x00,
	0x00, 0x01, 0xf8,
	0x10, 0x00, 0x20,
	0xfe, 0xdb, 0x76,
	0xb6, 0xff, 0x40,
	0x00, 0x01, 0x7f,
	0xa0, 0x30, 0x18,
	0xbf, 0xd0, 0x00,
	0x00, 0x5f, 0xe9,
	0x10, 0x08, 0x2f,

// Level 20
	0xff, 0xf0, 0x00,
	0x97, 0xff, 0xf8,
	0x03, 0x6b, 0xff,
	0xfd, 0x0d, 0xb5,
	0xff, 0x6d, 0x80,
	0x82, 0xfe, 0x00,
	0x1c, 0x7f, 0x7f,
	0x00, 0x00, 0x04,
	0xbf, 0x81, 0xc4,
	0x03, 0xdf, 0xd0,
	0xff, 0x82, 0x2f,

// Level 21
	0x00, 0x40, 0x24,
	0x00, 0x00, 0x21,
	0x1b, 0x00, 0x00,
	0x1a, 0xdf, 0xfc,
	0xa0, 0x01, 0x40,
	0x03, 0x54, 0x00,
	0x00, 0x08, 0x2f,
	0x10, 0x6d, 0xb5,
	0xd7, 0x88, 0x00,
	0x02, 0x8b, 0xc4,
	0x00, 0x00, 0x05,

// Level 22
	0xe0, 0x00, 0x00,
	0xb7, 0xf0, 0x01,
	0x10, 0x4b, 0xf8,
	0xbf, 0xf6, 0x25,
	0xfc, 0x5d, 0x20,
	0x0a, 0xfe, 0x2e,
	0xd8, 0x0f, 0x7f,
	0x16, 0xdf, 0xc0,
	0xbf, 0x80, 0x00,
	0x03, 0xdf, 0xc0,
	0x00, 0x04, 0x2f,

// Level 23
	0xff, 0xff, 0xff,
	0xff, 0xf0, 0x00,
	0x00, 0x01, 0xfd,
	0xff, 0xff, 0xef,
	0xfe, 0x8e, 0xa0,
	0x14, 0x7f, 0x47,
	0x88, 0x58, 0x3f,
	0xa3, 0xa8, 0x2e,
	0xbf, 0xd1, 0xe2,
	0x00, 0x5f, 0xe9,
	0x0a, 0x0d, 0x47,

// Level 24
	0x40, 0x08, 0x00,
	0x00, 0x61, 0x6d,
	0xb4, 0x40, 0xc5,
	0x00, 0x00, 0x10,
	0x02, 0xc1, 0x00,
	0x92, 0x03, 0x60,
	0x82, 0xe5, 0x87,
	0xff, 0xbd, 0x7f,
	0xff, 0xff, 0xc7,
	0xfc, 0x0f, 0xff,
	0xe0, 0x00, 0x17,

// Level 25
	0x00, 0x00, 0x00,
	0xb6, 0x80, 0x80,
	0x10, 0x41, 0x40,
	0xfe, 0x88, 0x60,
	0xa0, 0x41, 0x42,
	0xa8, 0x50, 0x10,
	0xa3, 0x5c, 0x28,
	0xbc, 0x40, 0x00,
	0x14, 0x50, 0x38,
	0xfc, 0x7a, 0x2a,
	0x18, 0x7e, 0x35,

// Level 26
	0x00, 0x00, 0x00,
	0x00, 0x00, 0x04,
	0x10, 0x10, 0x36,
	0xd7, 0x0b, 0xb6,
	0xa0, 0x0a, 0x35,
	0x00, 0x50, 0x05,
	0x00, 0x41, 0x28,
	0x43, 0x8b, 0xb0,
	0xd7, 0xfe, 0x35,
	0xdb, 0x4b, 0xff,
	0xa8, 0x7f, 0xf5,

// Level 27
	0x00, 0x40, 0x40,
	0x00, 0x01, 0x3f,
	0xb0, 0x00, 0x00,
	0x57, 0xd8, 0x80,
	0x01, 0x2b, 0xee,
	0xc8, 0x01, 0xfd,
	0xf6, 0xd5, 0xc0,
	0x7e, 0xff, 0xff,
	0xe0, 0x0f, 0x40,
	0x00, 0x00, 0x07,
	0xbf, 0xff, 0xf8,

// Level 28
	0xe0, 0x01, 0xc4,
	0x83, 0xf0, 0x00,
	0xe2, 0x61, 0xfa,
	0x00, 0x71, 0x35,
	0xff, 0xfb, 0xfc,
	0xd2, 0xfe, 0x05,
	0x02, 0x09, 0x7f,
	0x02, 0x81, 0x86,
	0xbf, 0x80, 0x00,
	0xc3, 0x5f, 0xc0,
	0x20, 0x61, 0xaf,

// Level 29
	0xff, 0xff, 0xff,
	0xff, 0xf0, 0x00,
	0x00, 0x01, 0xf8,
	0x00, 0x20, 0x00,
	0xfc, 0x0f, 0x7d,
	0xe0, 0x7e, 0x05,
	0xa2, 0xd0, 0x3f,
	0x40, 0x51, 0x40,
	0x1f, 0xd0, 0x0c,
	0x20, 0x5f, 0xff,
	0xff, 0xff, 0xff,

// Level 30
	0x00, 0x00, 0x00,
	0x00, 0x11, 0x00,
	0x00, 0x00, 0x3f,
	0xfc, 0x00, 0x00,
	0x02, 0x8a, 0x00,
	0x00, 0x00, 0x20,
	0x00, 0x00, 0x00,
	0x1b, 0x00, 0x00,
	0x00, 0xdd, 0xb0,
	0x00, 0x07, 0xff,
	0xfc, 0x0a, 0x00,

// Level 31
	0xe2, 0x6f, 0xfc,
	0xff, 0xfa, 0xa8,
	0x26, 0x01, 0xf8,
	0xff, 0xff, 0x00,
	0xfc, 0x00, 0x05,
	0x40, 0x7f, 0xff,
	0x1f, 0xf0, 0x3f,
	0x02, 0xba, 0x00,
	0x03, 0x8f, 0xc5,
	0xfc, 0x07, 0xc0,
	0x00, 0x00, 0x00,

// Level 32
	0xff, 0xff, 0xff,
	0xff, 0xf0, 0x00,
	0x60, 0x01, 0xf8,
	0xbc, 0x08, 0x00,
	0xfc, 0x5f, 0xfc,
	0x00, 0x7e, 0x28,
	0x01, 0x00, 0x3f,
	0x14, 0x11, 0x3f,
	0xff, 0x8b, 0xff,
	0x40, 0x3f, 0xc5,
	0x04, 0x20, 0x07,

// Level 33
	0xfc, 0x04, 0x10,
	0x1f, 0xfe, 0x04,
	0x10, 0x0f, 0xff,
	0x00, 0x82, 0x07,
	0xff, 0x80, 0x82,
	0x03, 0xff, 0xc0,
	0x82, 0x01, 0xff,
	0xe0, 0x20, 0x80,
	0xff, 0xf0, 0xb0,
	0xc8, 0x7f, 0xf8,
	0x98, 0x68, 0x3f,

// Level 34
	0xff, 0xff, 0xff,
	0xff, 0xf6, 0x01,
	0xe4, 0x07, 0xf8,
	0xff, 0xff, 0xf8,
	0xfc, 0x07, 0x7d,
	0x60, 0x7e, 0x00,
	0xbe, 0x80, 0x3f,
	0x0c, 0x5f, 0x43,
	0x1f, 0xd0, 0x2f,
	0xa0, 0x5f, 0xe8,
	0x02, 0x00, 0x07,

// Level 35
	0xff, 0xff, 0xff,
	0xff, 0xf0, 0x00,
	0x00, 0x01, 0xf9,
	0x08, 0x40, 0x81,
	0xfe, 0xe8, 0x10,
	0x9a, 0xff, 0x73,
	0x10, 0x3d, 0x7f,
	0xba, 0x06, 0x26,
	0xbf, 0xdc, 0x84,
	0x0b, 0x5f, 0xee,
	0x81, 0x09, 0xaf,

// Level 36
	0xff, 0xff, 0xff,
	0xff, 0x88, 0x80,
	0x00, 0x28, 0x2c,
	0xc0, 0x00, 0x34,
	0xb6, 0x00, 0x00,
	0x02, 0x5b, 0x80,
	0x20, 0x81, 0xad,
	0xc0, 0x7f, 0xc0,
	0xd6, 0x80, 0x00,
	0x00, 0x0f, 0xed,
	0xb6, 0xdb, 0x6f,

// Level 37
	0x00, 0x81, 0x00,
	0x02, 0x89, 0xb5,
	0xb7, 0x6d, 0x42,
	0xda, 0x80, 0x20,
	0xa3, 0x0d, 0xff,
	0xf8, 0x50, 0x20,
	0xa0, 0x01, 0xa8,
	0xdf, 0x51, 0xff,
	0xfe, 0x7a, 0x28,
	0x00, 0x00, 0x85,
	0xe3, 0x80, 0x00,

// Level 38
	0x00, 0x00, 0x00,
	0x00, 0x00, 0x14,
	0x11, 0x00, 0x00,
	0xbf, 0x8f, 0xe8,
	0x14, 0x11, 0x04,
	0x04, 0x5f, 0xff,
	0xe2, 0xff, 0xf8,
	0x00, 0x0d, 0x64,
	0x81, 0x80, 0x00,
	0x09, 0x40, 0x00,
	0x00, 0x04, 0x90,

// Level 39
	0x00, 0x08, 0x05,
	0x00, 0x00, 0x04,
	0x10, 0x7f, 0x40,
	0x02, 0xda, 0x20,
	0xa1, 0x68, 0x00,
	0x10, 0x51, 0xed,
	0xa2, 0xda, 0x2d,
	0x00, 0x30, 0x00,
	0x16, 0xf0, 0x00,
	0x00, 0x0a, 0x17,
	0x00, 0x02, 0x05,

// Level 40
	0x00, 0x80, 0x00,
	0x00, 0x5f, 0xf8,
	0x88, 0x00, 0x28,
	0x96, 0xd8, 0x80,
	0x14, 0x41, 0xed,
	0x88, 0x3b, 0xb4,
	0x7e, 0xd8, 0x2d,
	0x03, 0x5e, 0xf6,
	0x16, 0x81, 0x2f,
	0xf8, 0x0a, 0x05,
	0xb7, 0x6d, 0x85,

// Level 41
	0x40, 0x4c, 0x80,
	0x20, 0x40, 0x16,
	0xf7, 0x40, 0x35,
	0x13, 0x7b, 0xa3,
	0x1a, 0x8d, 0xbd,
	0xd0, 0x0d, 0x7f,
	0xfe, 0xe4, 0x06,
	0xbf, 0xf1, 0x7f,
	0xe3, 0x5f, 0xf8,
	0xd4, 0x7b, 0xa8,
	0x02, 0xea, 0x00,

// Level 42
	0x00, 0x00, 0x04,
	0x00, 0x00, 0x00,
	0x02, 0x00, 0x2f,
	0xff, 0xf1, 0x2d,
	0x16, 0xdb, 0x7c,
	0x72, 0x8a, 0x00,
	0x02, 0x09, 0x45,
	0x19, 0x61, 0x86,
	0xa2, 0x85, 0x10,
	0xe0, 0x51, 0x45,
	0x74, 0x70, 0x29,

// Level 43
	0x00, 0x00, 0x00,
	0x10, 0x58, 0x00,
	0xb0, 0x6d, 0x6c,
	0x08, 0x5c, 0x10,
	0xb7, 0x36, 0x28,
	0xd8, 0x5a, 0x20,
	0x14, 0x80, 0x2d,
	0x1e, 0x8b, 0xb6,
	0xda, 0xa1, 0x40,
	0x00, 0x05, 0xff,
	0xe3, 0xfe, 0x3f,

// Level 44
	0x00, 0x00, 0x00,
	0x00, 0x00, 0x22,
	0x97, 0x45, 0x40,
	0x12, 0x2b, 0x14,
	0xa0, 0x55, 0xa5,
	0x51, 0x50, 0x2c,
	0x8a, 0xc5, 0x28,
	0x17, 0x29, 0x52,
	0xd5, 0x81, 0x62,
	0xbe, 0xff, 0xc1,
	0xb6, 0xdf, 0x5f,

// Level 45
	0xf6, 0xdb, 0x40,
	0x1f, 0xfb, 0x00,
	0x00, 0x2f, 0xfd,
	0x82, 0x2c, 0x17,
	0xfe, 0xea, 0xbe,
	0x0f, 0xff, 0xfd,
	0x83, 0x05, 0xff,
	0xfe, 0xa1, 0x6d,
	0xff, 0xff, 0x57,
	0xa1, 0xff, 0xc8,
	0xa8, 0x00, 0x3f,

// Level 46
	0x00, 0x00, 0x00,
	0x80, 0x0b, 0xff,
	0x97, 0xce, 0x28,
	0x00, 0xe1, 0x20,
	0x14, 0x6d, 0xb6,
	0xd9, 0x8a, 0xf8,
	0x02, 0xaf, 0xc0,
	0xa0, 0x00, 0x10,
	0x0b, 0xff, 0xff,
	0xff, 0x8f, 0xff,
	0xff, 0xff, 0xc7,

// Level 47
	0xf6, 0x5b, 0x6d,
	0x0f, 0xfa, 0x84,
	0x40, 0x01, 0xfd,
	0x9f, 0xff, 0x50,
	0xfe, 0xc0, 0x00,
	0xbd, 0x7f, 0x76,
	0x04, 0x51, 0x3f,
	0xb3, 0x59, 0xc7,
	0x9f, 0xd8, 0x06,
	0xa0, 0x2f, 0xea,
	0x1f, 0xff, 0xff,

// Level 48
	0xf3, 0xec, 0x00,
	0x00, 0x75, 0xf6,
	0xba, 0x7f, 0x7c,
	0xfa, 0x5e, 0x87,
	0xbe, 0x7d, 0xa8,
	0x82, 0xdd, 0xb0,
	0x1b, 0x60, 0x2c,
	0x9b, 0x6d, 0xbd,
	0xa3, 0x60, 0x04,
	0x10, 0x8b, 0x55,
	0xe3, 0x8f, 0xc7,

// Level 49
	0x00, 0x01, 0x00,
	0x08, 0x30, 0x08,
	0xc0, 0x0c, 0x00,
	0xf3, 0xaa, 0x2c,
	0x02, 0x75, 0xf5,
	0xbb, 0x00, 0xbc,
	0xfa, 0x8e, 0x00,
	0x9b, 0x01, 0x40,
	0x0e, 0xed, 0xbf,
	0xf4, 0x01, 0x76,
	0xc1, 0x7a, 0x10,

// Level 50
	0x00, 0x41, 0x01,
	0x00, 0x00, 0x24,
	0xff, 0xd0, 0x00,
	0x12, 0x00, 0x28,
	0x01, 0x88, 0x80,
	0x16, 0x00, 0x04,
	0x40, 0x01, 0x28,
	0x89, 0x21, 0xff,
	0x94, 0x24, 0x90,
	0x00, 0x4a, 0x1b,
	0x6c, 0x00, 0x35,

// Level 51
	0x11, 0xf0, 0x00,
	0x00, 0x5d, 0xc4,
	0x10, 0x00, 0x2c,
	0xf7, 0x0b, 0xb6,
	0xb7, 0x7a, 0x35,
	0x00, 0x5a, 0x05,
	0x00, 0x41, 0x2d,
	0x5f, 0x8b, 0xb0,
	0xd7, 0xfe, 0x35,
	0x03, 0x0b, 0xfa,
	0xa3, 0x7a, 0x0d,

// Level 52
	0x00, 0x40, 0x04,
	0x00, 0x00, 0x14,
	0x11, 0x00, 0x00,
	0x11, 0x05, 0x00,
	0x00, 0x04, 0x8a,
	0x40, 0x00, 0x3d,
	0xd7, 0x5e, 0x03,
	0x00, 0x0a, 0x00,
	0x0c, 0x00, 0x2d,
	0xa0, 0x01, 0xc0,
	0x00, 0x00, 0x07,

// Level 53
	0xe0, 0x08, 0x20,
	0x82, 0xf0, 0x05,
	0xb6, 0xd1, 0x78,
	0x00, 0x10, 0x04,
	0xbc, 0x01, 0xff,
	0xe3, 0xde, 0x18,
	0x1d, 0x20, 0x2f,
	0x00, 0x0f, 0x38,
	0x17, 0xf0, 0x36,
	0xd8, 0x0b, 0xfe,
	0xdb, 0x6d, 0x46,

// Level 54
	0x10, 0x00, 0x20,
	0x00, 0x08, 0x00,
	0x90, 0x00, 0x36,
	0xa2, 0xf8, 0x00,
	0x00, 0x51, 0x64,
	0x1e, 0x30, 0x68,
	0xba, 0x7e, 0x80,
	0x40, 0x51, 0x00,
	0xd7, 0xf1, 0xee,
	0xdf, 0xfb, 0xfe,
	0x14, 0x00, 0x05,

// Level 55
	0x12, 0x7f, 0xff,
	0xff, 0x88, 0xbf,
	0xfd, 0x7f, 0xed,
	0xde, 0xdb, 0xb6,
	0xf4, 0x07, 0x44,
	0x10, 0x0a, 0x07,
	0x02, 0x69, 0x6d,
	0x01, 0x81, 0x36,
	0xd6, 0x81, 0xc1,
	0xd8, 0x6b, 0xff,
	0xf6, 0xdb, 0x6d,

// Level 56
	0x00, 0x08, 0x00,
	0x03, 0x5b, 0x6d,
	0xbb, 0xe1, 0xa8,
	0x00, 0x0f, 0xb8,
	0xd4, 0x01, 0x06,
	0xf8, 0x6a, 0x07,
	0xdc, 0x00, 0x35,
	0x03, 0x2c, 0x37,
	0xda, 0x81, 0xf7,
	0x1f, 0x7d, 0x40,
	0x04, 0x0d, 0xf6,

// Level 57
	0x00, 0x41, 0xa2,
	0x00, 0x5b, 0x6d,
	0xde, 0xd0, 0x28,
	0x00, 0x6f, 0x40,
	0x54, 0x08, 0x37,
	0xa3, 0xfa, 0x3e,
	0xe3, 0xd0, 0xc5,
	0x19, 0x61, 0xe8,
	0x16, 0x8f, 0xb8,
	0xb4, 0x5b, 0x40,
	0x20, 0x00, 0x00,

// Level 58
	0xf6, 0xdb, 0x6d,
	0xb7, 0xfa, 0xa0,
	0x00, 0x0b, 0xfd,
	0xca, 0x00, 0x45,
	0xff, 0xdc, 0xa0,
	0xff, 0xff, 0xfd,
	0xc8, 0x30, 0x3f,
	0xfe, 0xdc, 0x00,
	0x1f, 0xff, 0xea,
	0x0c, 0x0f, 0xff,
	0xfe, 0x8f, 0xff,

// Level 59
	0xff, 0xff, 0xff,
	0xff, 0xf0, 0x00,
	0x06, 0x19, 0xfd,
	0xb6, 0xdd, 0xea,
	0xfd, 0x08, 0x00,
	0x03, 0xff, 0xff,
	0xff, 0x5c, 0xff,
	0x0c, 0x01, 0x00,
	0x7f, 0xb0, 0x1d,
	0xd4, 0x3f, 0xc2,
	0x00, 0x00, 0x07,

// Level 60
	0xff, 0xff, 0xff,
	0xff, 0xf8, 0x08,
	0x00, 0x89, 0xfc,
	0xb6, 0xdb, 0x6c,
	0xe3, 0x50, 0x00,
	0x17, 0x0b, 0x40,
	0x00, 0x01, 0x6d,
	0x01, 0xb6, 0xd8,
	0x16, 0x88, 0x00,
	0x02, 0x0a, 0x07,
	0xff, 0xff, 0xc0,

// Level 61
	0x00, 0x08, 0x20,
	0x00, 0x11, 0x7f,
	0x1f, 0xd0, 0x7e,
	0xa0, 0x01, 0xa8,
	0xfc, 0x50, 0x80,
	0x14, 0x7e, 0x28,
	0xe3, 0x0a, 0x3f,
	0x14, 0x61, 0xc5,
	0x1f, 0x8b, 0x40,
	0x16, 0x8f, 0xc4,
	0x02, 0x81, 0x07,

// Level 62
	0xc0, 0x4b, 0x6d,
	0xb6, 0xe1, 0xb0,
	0x00, 0x01, 0x70,
	0xdf, 0xfe, 0x3f,
	0xb8, 0x00, 0x00,
	0x60, 0x5d, 0xf8,
	0xff, 0x8e, 0x2e,
	0xfe, 0xff, 0xc7,
	0x15, 0x81, 0x40,
	0x00, 0x9a, 0x00,
	0x00, 0x01, 0xff,

// Level 63
	0x00, 0x28, 0x00,
	0x80, 0x5b, 0x76,
	0xc0, 0x7f, 0x68,
	0x03, 0x6d, 0x80,
	0xb4, 0x0d, 0xf8,
	0x02, 0x5a, 0x18,
	0x00, 0x31, 0xed,
	0x00, 0x36, 0x00,
	0x16, 0x80, 0x00,
	0x00, 0x0b, 0x41,
	0x00, 0x02, 0x05,

// Level 64
	0x04, 0x40, 0x04,
	0x04, 0x0e, 0x30,
	0x03, 0x0e, 0x00,
	0x00, 0x00, 0x00,
	0x00, 0x3d, 0xae,
	0xcc, 0x00, 0x38,
	0x00, 0x0e, 0x00,
	0xde, 0xff, 0xef,
	0xc3, 0x61, 0x82,
	0xc3, 0x6d, 0xc2,
	0xff, 0xfe, 0x87,

// Level 65
	0xe3, 0xa0, 0x00,
	0x03, 0xf1, 0xf5,
	0xdb, 0x7b, 0xfb,
	0x00, 0x00, 0x3d,
	0xfc, 0x54, 0x00,
	0x5e, 0xfe, 0x06,
	0x02, 0xef, 0x7f,
	0x18, 0x00, 0x07,
	0xbf, 0x89, 0x85,
	0xdb, 0xdf, 0xc7,
	0x40, 0x90, 0x2f,

// Level 66
	0xb6, 0xd0, 0x05,
	0xb6, 0xd0, 0x00,
	0x80, 0x01, 0x68,
	0x06, 0x48, 0x40,
	0xb4, 0x49, 0x1c,
	0x90, 0x5a, 0x24,
	0x51, 0x48, 0x2d,
	0x11, 0x5d, 0x54,
	0x16, 0x85, 0x72,
	0xd5, 0x0b, 0x45,
	0xd3, 0x4d, 0x45,

// Level 67
	0xff, 0xfe, 0x21,
	0x86, 0xd0, 0x9f,
	0x12, 0xcf, 0x68,
	0x4f, 0x89, 0x60,
	0xb7, 0xff, 0xc7,
	0x9c, 0x5a, 0x00,
	0x00, 0x40, 0x2d,
	0x02, 0x8e, 0x3f,
	0x16, 0x81, 0x40,
	0x00, 0x0b, 0xc0,
	0xff, 0x8f, 0xc5,

// Level 68
	0x00, 0x01, 0x6f,
	0x82, 0x78, 0x04,
	0x97, 0x90, 0x6e,
	0xbe, 0x4b, 0xf0,
	0xc2, 0x5f, 0x75,
	0xe3, 0x01, 0x87,
	0xb8, 0x71, 0x00,
	0xe3, 0xd0, 0x3e,
	0xd5, 0x81, 0xe8,
	0x00, 0x00, 0x00,
	0xfc, 0x7e, 0x3f,

// Level 69
	0x80, 0x01, 0x00,
	0x00, 0x20, 0x2f,
	0xf7, 0xfe, 0x14,
	0x14, 0x1a, 0x00,
	0x09, 0x0b, 0x3d,
	0xe2, 0x05, 0x05,
	0xc0, 0x00, 0xb4,
	0x42, 0xf0, 0x02,
	0xd9, 0x27, 0x43,
	0x0f, 0x6c, 0x90,
	0xa0, 0x00, 0x00,

// Level 70
	0x00, 0x0d, 0x00,
	0x00, 0x00, 0x2e,
	0xc2, 0x40, 0x00,
	0x17, 0x0d, 0x35,
	0x17, 0xff, 0xc2,
	0xc2, 0x8a, 0x18,
	0xc2, 0x01, 0x45,
	0x02, 0x61, 0x02,
	0xa2, 0x83, 0xf0,
	0x82, 0x51, 0xff,
	0xfe, 0xdb, 0x6f,

// Level 71
	0xff, 0xff, 0xff,
	0xff, 0xdb, 0x64,
	0x12, 0x5b, 0x6c,
	0x1b, 0x6d, 0x84,
	0xb7, 0x7f, 0xff,
	0xff, 0x5a, 0x00,
	0x08, 0x00, 0x2d,
	0xc3, 0xff, 0xf8,
	0xd6, 0x80, 0x03,
	0x00, 0x0b, 0x40,
	0x00, 0x80, 0x05,

// Level 72
	0x0b, 0xfe, 0x00,
	0x10, 0x58, 0x00,
	0x80, 0x58, 0xaa,
	0xff, 0xc0, 0x2e,
	0x96, 0x00, 0x20,
	0x16, 0x2a, 0xb6,
	0x11, 0x0b, 0xa5,
	0xdb, 0x65, 0xc6,
	0xda, 0x82, 0x32,
	0xfb, 0x6d, 0xfd,
	0x19, 0x7d, 0xb6,

// Level 73
	0xff, 0xff, 0xff,
	0xff, 0xf4, 0x00,
	0x00, 0x01, 0xfc,
	0xff, 0xaf, 0xfd,
	0xfd, 0x08, 0x27,
	0x5e, 0xff, 0x16,
	0x13, 0xaf, 0x7f,
	0x6b, 0xd6, 0x10,
	0xbf, 0x85, 0xef,
	0xeb, 0xdf, 0xc3,
	0x00, 0x8c, 0x2f,

// Level 74
	0x00, 0x01, 0x00,
	0x04, 0x00, 0x05,
	0x92, 0x58, 0x00,
	0x00, 0x45, 0x04,
	0xac, 0x00, 0x24,
	0x97, 0x50, 0x00,
	0x0a, 0x4b, 0x45,
	0xff, 0xd5, 0x95,
	0xf6, 0x80, 0x2b,
	0xce, 0x8b, 0x40,
	0x00, 0x00, 0x05,

// Level 75
	0x00, 0x00, 0x00,
	0x80, 0x00, 0x00,
	0x10, 0x42, 0x00,
	0x10, 0x5a, 0x3f,
	0xa2, 0xdb, 0xb6,
	0xc0, 0x51, 0xfd,
	0xd9, 0x6f, 0xe8,
	0x1f, 0xd1, 0x80,
	0x00, 0x30, 0x2e,
	0x00, 0x06, 0x00,
	0x00, 0x5d, 0x86,

// Level 76
	0xff, 0x6d, 0xb4,
	0xdf, 0xf0, 0x00,
	0x02, 0x01, 0xf0,
	0xff, 0xf9, 0x2d,
	0xd8, 0x00, 0x24,
	0xd2, 0xeb, 0xfa,
	0x13, 0x29, 0x70,
	0x1f, 0x0d, 0xa6,
	0xb8, 0x2e, 0x40,
	0x18, 0x5d, 0xff,
	0xdb, 0x5d, 0xaf,

// Level 77
	0xe0, 0x00, 0x00,
	0x03, 0xf0, 0x04,
	0x1b, 0x2d, 0xfd,
	0xb6, 0xdd, 0x9e,
	0xfe, 0x80, 0x02,
	0xe3, 0x7f, 0x40,
	0x23, 0x61, 0xbf,
	0xa0, 0x41, 0xb0,
	0xdf, 0xd0, 0x1d,
	0xdb, 0x6f, 0xe8,
	0x00, 0x00, 0x07,

// Level 78
	0x08, 0x01, 0x00,
	0x00, 0x0d, 0x47,
	0xff, 0xed, 0x58,
	0x02, 0xc6, 0x36,
	0xa0, 0xdf, 0xe4,
	0x03, 0xd1, 0xec,
	0x13, 0xd1, 0xe8,
	0xf6, 0x08, 0x28,
	0x17, 0x6b, 0x06,
	0x16, 0x01, 0xb5,
	0x80, 0x0b, 0x10,

// Level 79
	0xff, 0xff, 0xff,
	0xff, 0xf0, 0x34,
	0xb0, 0x09, 0xfd,
	0x83, 0x6d, 0x6e,
	0xfe, 0xea, 0xee,
	0x14, 0x7f, 0x46,
	0x02, 0x80, 0x17,
	0x14, 0x3d, 0x78,
	0x07, 0xdb, 0xb5,
	0x00, 0x0f, 0xe8,
	0x00, 0x00, 0x07,

// Level 80
	0x02, 0x05, 0xa0,
	0x00, 0x5f, 0xa6,
	0xfb, 0x6d, 0x6c,
	0x08, 0x71, 0xff,
	0xb7, 0x8e, 0x38,
	0x00, 0x5a, 0x30,
	0xc0, 0x20, 0x2d,
	0xba, 0xe0, 0x3d,
	0x16, 0xf1, 0xd0,
	0x02, 0x8b, 0x45,
	0x14, 0x10, 0x05,

// Level 81
	0xd0, 0x01, 0x00,
	0x13, 0x64, 0x20,
	0x20, 0x05, 0xb5,
	0x1b, 0x5c, 0x35,
	0xd8, 0x61, 0xa8,
	0x88, 0x6c, 0x05,
	0x17, 0x6d, 0xb6,
	0x03, 0x0a, 0x20,
	0x1b, 0x30, 0x36,
	0xdb, 0x6d, 0x80,
	0xa0, 0x00, 0x86,

// Level 82
	0xe0, 0x08, 0xa0,
	0x03, 0xf0, 0x22,
	0x8a, 0x01, 0xf8,
	0x0a, 0x28, 0xa0,
	0xfe, 0xbc, 0xb2,
	0xcc, 0x7f, 0x77,
	0xbe, 0xfc, 0x3f,
	0xa0, 0x04, 0x00,
	0x1f, 0xd0, 0x3c,
	0xe0, 0x0f, 0xe8,
	0x37, 0x50, 0x27,

// Level 83
	0x10, 0x00, 0x00,
	0x80, 0x5d, 0xb5,
	0xb4, 0x60, 0x28,
	0x00, 0x4b, 0x00,
	0x14, 0x30, 0x2a,
	0xc0, 0x8a, 0x00,
	0x96, 0x01, 0xc5,
	0x00, 0x61, 0x86,
	0x42, 0x80, 0x00,
	0x00, 0x51, 0xfd,
	0xb7, 0xd1, 0x7f,

// Level 84
	0xfe, 0x48, 0x2d,
	0xb6, 0xf4, 0xab,
	0x01, 0x81, 0x7f,
	0xb6, 0x0e, 0x00,
	0xbe, 0xdc, 0x80,
	0x00, 0x5f, 0x66,
	0x97, 0x64, 0x2f,
	0xae, 0x3a, 0x45,
	0x17, 0xd9, 0xa6,
	0xda, 0x8b, 0xee,
	0xd8, 0x00, 0x00,

// Level 85
	0xff, 0xff, 0xff,
	0xff, 0xf1, 0x24,
	0x90, 0x41, 0xf8,
	0x49, 0x44, 0x10,
	0xfe, 0xa5, 0x12,
	0xf7, 0xff, 0x54,
	0x49, 0x02, 0x3f,
	0xb1, 0x24, 0xbd,
	0xff, 0xd4, 0x92,
	0x40, 0x0f, 0xed,
	0xb6, 0xde, 0xc7,

// Level 86
	0x00, 0x00, 0x20,
	0x00, 0x00, 0x00,
	0x19, 0x7f, 0x40,
	0x00, 0x49, 0x7f,
	0xa0, 0x81, 0x32,
	0xdf, 0xd1, 0xc5,
	0xdb, 0x60, 0x28,
	0xfe, 0xff, 0xff,
	0xf4, 0x7f, 0x40,
	0x00, 0x0a, 0x00,
	0x49, 0x24, 0x97,

// Level 87
	0x00, 0x00, 0xa5,
	0x91, 0x24, 0xa4,
	0x9a, 0xa5, 0x3f,
	0xe7, 0x5b, 0x52,
	0x80, 0x0a, 0x07,
	0xaa, 0x28, 0x95,
	0xf3, 0x55, 0x26,
	0xda, 0xed, 0x7c,
	0x90, 0x2f, 0xee,
	0xff, 0x6a, 0x2e,
	0xd6, 0x81, 0x6d,

// Level 88
	0xfe, 0x5b, 0x6f,
	0xff, 0x81, 0x80,
	0x14, 0x00, 0x2e,
	0xdc, 0x4b, 0xe0,
	0x16, 0x6c, 0x25,
	0xf0, 0x5b, 0xaf,
	0xaa, 0xe9, 0x75,
	0x03, 0xda, 0x3e,
	0x14, 0x07, 0xe5,
	0x1e, 0x5c, 0x00,
	0xda, 0x9e, 0x85,

// Level 89
	0xb4, 0x5a, 0x00,
	0x16, 0xd0, 0x00,
	0x00, 0x01, 0x48,
	0xa4, 0x41, 0x47,
	0xbf, 0xfe, 0x36,
	0xbd, 0x0f, 0xff,
	0xd8, 0x0f, 0xe8,
	0x00, 0x01, 0x24,
	0xb5, 0x80, 0x00,
	0x49, 0x00, 0x80,
	0x03, 0xff, 0xff,

// Level 90
	0x01, 0x81, 0x18,
	0x00, 0x0a, 0x00,
	0xce, 0x80, 0x28,
	0x00, 0x49, 0xe8,
	0x14, 0x13, 0x36,
	0x94, 0x0e, 0x3d,
	0xdb, 0x6a, 0x3f,
	0x1e, 0xdb, 0x6d,
	0x1f, 0x8e, 0x07,
	0x03, 0x8f, 0xc7,
	0x43, 0x85, 0xc7,

// Level 91
	0x00, 0x08, 0x00,
	0x00, 0x0d, 0x65,
	0xa0, 0x30, 0x00,
	0x06, 0x80, 0x08,
	0xbf, 0x5d, 0x6d,
	0xda, 0x50, 0x00,
	0x00, 0x09, 0x28,
	0x0c, 0x06, 0xc6,
	0xd4, 0x00, 0x00,
	0x02, 0xca, 0x00,
	0x00, 0x01, 0x75,

// Level 92
	0xb4, 0x08, 0x20,
	0x16, 0xd0, 0x06,
	0x98, 0x01, 0x68,
	0x77, 0x6d, 0x58,
	0xb7, 0x07, 0x86,
	0x63, 0x5b, 0x80,
	0xdb, 0x01, 0xad,
	0xc0, 0x06, 0x00,
	0xd6, 0xe0, 0x00,
	0x00, 0x6b, 0x70,
	0x04, 0x10, 0x35,

// Level 93
	0xb9, 0x68, 0x00,
	0x82, 0xdf, 0xfa,
	0x00, 0x4d, 0x6e,
	0x5a, 0x00, 0x36,
	0xb7, 0xfe, 0x88,
	0x04, 0x5b, 0xd6,
	0x9c, 0x0e, 0x2d,
	0xff, 0xae, 0x07,
	0x16, 0xe5, 0xa6,
	0xd6, 0x8b, 0x7f,
	0xe8, 0x01, 0x40,

// Level 94
	0xff, 0xff, 0xff,
	0xff, 0xfb, 0x40,
	0x80, 0x5b, 0xfd,
	0x01, 0x34, 0x05,
	0xfe, 0x84, 0x45,
	0x42, 0xfe, 0x1e,
	0xba, 0xe6, 0x3f,
	0x01, 0xd0, 0x58,
	0x1f, 0x80, 0x1d,
	0x60, 0x0f, 0xc0,
	0xa1, 0x8a, 0x07,

// Level 95
	0x00, 0x02, 0x08,
	0x00, 0x5f, 0xff,
	0xff, 0xff, 0x6e,
	0xd9, 0xb7, 0xb6,
	0xb7, 0x6c, 0x00,
	0xdb, 0x5b, 0xb6,
	0x6d, 0xed, 0xad,
	0xc0, 0x00, 0x00,
	0xd6, 0xc0, 0xdb,
	0x6c, 0x4b, 0x70,
	0x00, 0x00, 0x35,

// Level 96
	0xe4, 0x80, 0x00,
	0x1f, 0xff, 0x72,
	0x89, 0x4f, 0xff,
	0xbb, 0x25, 0x17,
	0xff, 0xdc, 0x92,
	0x4b, 0xff, 0xee,
	0xd1, 0x25, 0xff,
	0xf7, 0x24, 0xa2,
	0xff, 0xfb, 0xb6,
	0xdb, 0x7f, 0xfd,
	0x09, 0x24, 0x3f,

// Level 97
	0xff, 0xff, 0xff,
	0xff, 0x80, 0x00,
	0x80, 0x00, 0x00,
	0x32, 0x29, 0x08,
	0x17, 0xf5, 0x14,
	0x5f, 0xdb, 0xd4,
	0x49, 0x45, 0xed,
	0xfe, 0x24, 0xa7,
	0xf4, 0x08, 0x92,
	0x4a, 0x00, 0x02,
	0x5b, 0x64, 0x80,

// Level 98
	0x17, 0x6d, 0x9b,
	0x94, 0x0b, 0x1b,
	0xdb, 0x6a, 0x05,
	0xdb, 0x76, 0xe5,
	0x02, 0xc6, 0xf6,
	0xda, 0x81, 0x76,
	0xd9, 0xb9, 0x40,
	0xb1, 0xbf, 0xb6,
	0xa0, 0x5d, 0xb6,
	0x6e, 0x50, 0x6c,
	0x6f, 0x6d, 0xa9,

// Level 99
	0xe0, 0x00, 0x00,
	0x03, 0xf0, 0x00,
	0x00, 0x01, 0xf8,
	0x00, 0x00, 0x00,
	0xfc, 0x00, 0x00,
	0x00, 0x7e, 0x18,
	0x09, 0x00, 0xff,
	0x00, 0x5f, 0xe8,
	0x1c, 0x01, 0x7f,
	0xfe, 0x80, 0x4d,
	0xff, 0xff, 0xe8
};

CPCT_RELOCATABLE_AREA(levels);
// End of file.
