//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>
#include "atlas_background.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2015
// Tile gfx_atlas_background_00: 14x22 pixels, 7x22 bytes.

// Locating atlas_background.....: (1540 bytes) from memory address 0x184a to 0x1e4e
CPCT_ABSOLUTE_LOCATION_AREA(0x184a);

// Tile gfx_atlas_background_00: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_background_00[7 * 22] = {
	0xc0, 0x0c, 0xc0, 0x84, 0x48, 0x84, 0x48,
	0xc0, 0x48, 0xc0, 0x84, 0xc0, 0xc0, 0x48,
	0xc0, 0x84, 0xc0, 0x84, 0xc0, 0xc0, 0xc0,
	0x0c, 0xc0, 0x48, 0x84, 0xc0, 0xc0, 0xc0,
	0x0c, 0x48, 0xc0, 0xc0, 0xc0, 0xc0, 0xc4,
	0x0c, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x8c,
	0x48, 0xc0, 0x84, 0x0c, 0xc0, 0xc0, 0x0c,
	0xc0, 0xc0, 0x0c, 0x48, 0x48, 0x48, 0x0c,
	0xc0, 0xc0, 0x0c, 0xc0, 0xc0, 0x48, 0x48,
	0xc0, 0xc0, 0x0c, 0xc0, 0xc0, 0xc0, 0x48,
	0xc0, 0xc0, 0x0c, 0xc0, 0xc0, 0xc0, 0x84,
	0xc0, 0x48, 0x48, 0xc0, 0xc0, 0x84, 0xc0,
	0x84, 0x48, 0x48, 0xc0, 0xc0, 0x0c, 0x48,
	0x84, 0xc0, 0x48, 0xc0, 0xc0, 0x0c, 0xc0,
	0xc0, 0xc0, 0x84, 0xc0, 0xc0, 0x48, 0xc0,
	0xc0, 0x0c, 0xc0, 0x48, 0xc0, 0x48, 0xc0,
	0x84, 0x0c, 0xc0, 0xc0, 0xc0, 0x84, 0xc0,
	0x84, 0x48, 0xc0, 0xc0, 0x0c, 0xc0, 0xc0,
	0xc0, 0x48, 0xc0, 0x84, 0x8c, 0x48, 0xc0,
	0x48, 0xc0, 0xc0, 0xc4, 0x0c, 0xc0, 0x84,
	0x0c, 0xc0, 0x0c, 0x84, 0x48, 0xc0, 0x84,
	0x0c, 0xc4, 0x0c, 0x84, 0xc0, 0xc0, 0x0c
};

// Tile gfx_atlas_background_01: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_background_01[7 * 22] = {
	0xc0, 0x0c, 0xc0, 0x84, 0x48, 0x84, 0x48,
	0xc0, 0x48, 0xc0, 0x84, 0xc0, 0xc0, 0x48,
	0xc0, 0x84, 0xc0, 0x84, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0x48, 0x84, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc4,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x8c,
	0xc0, 0xc0, 0x84, 0x0c, 0xc0, 0xc0, 0x0c,
	0xc0, 0xc0, 0x0c, 0x48, 0x48, 0x48, 0x0c,
	0xc0, 0xc0, 0x0c, 0xc0, 0xc0, 0x48, 0x48,
	0xc0, 0xc0, 0x0c, 0xc0, 0xc0, 0xc0, 0x48,
	0xc0, 0xc0, 0x0c, 0xc0, 0xc0, 0xc0, 0x84,
	0xc0, 0xc0, 0x48, 0xc0, 0xc0, 0x84, 0xc0,
	0xc0, 0xc0, 0x48, 0xc0, 0xc0, 0x0c, 0x48,
	0xc0, 0xc0, 0x48, 0xc0, 0xc0, 0x0c, 0xc0,
	0xc0, 0xc0, 0x84, 0xc0, 0xc0, 0x48, 0xc0,
	0xc0, 0xc0, 0xc0, 0x48, 0xc0, 0x48, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x84, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0x0c, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0x84, 0x8c, 0x48, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc4, 0x0c, 0xc0, 0x84,
	0xc0, 0xc0, 0x0c, 0x84, 0x48, 0xc0, 0x84,
	0xc0, 0xc0, 0x0c, 0x84, 0xc0, 0xc0, 0x0c
};

// Tile gfx_atlas_background_02: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_background_02[7 * 22] = {
	0xc0, 0x0c, 0xc0, 0x0c, 0xc0, 0x84, 0x48,
	0xc0, 0x48, 0xc0, 0x84, 0xc0, 0x84, 0xc0,
	0xc0, 0x48, 0xc0, 0xc0, 0xc0, 0xc0, 0x48,
	0xc0, 0x48, 0xc0, 0xc0, 0x84, 0x48, 0x84,
	0xc0, 0xc0, 0xc0, 0xc0, 0x8c, 0x0c, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc4, 0x0c, 0x48, 0xc0,
	0x0c, 0x48, 0xc0, 0x84, 0x0c, 0xc0, 0xc0,
	0x0c, 0x84, 0x84, 0x84, 0x48, 0xc0, 0x84,
	0x48, 0xc0, 0x84, 0x84, 0xc0, 0xc0, 0x84,
	0x48, 0xc0, 0xc0, 0x84, 0xc0, 0xc0, 0x84,
	0x48, 0xc0, 0xc0, 0xc0, 0x48, 0xc0, 0x84,
	0xc0, 0xc0, 0xc0, 0x48, 0xc0, 0x84, 0x84,
	0xc0, 0xc0, 0x84, 0x0c, 0xc0, 0x0c, 0x84,
	0xc0, 0xc0, 0x84, 0x48, 0xc0, 0x48, 0x84,
	0x48, 0xc0, 0x84, 0xc0, 0xc0, 0xc0, 0xc0,
	0x84, 0xc0, 0x84, 0xc0, 0xc0, 0x84, 0x48,
	0xc0, 0xc0, 0xc0, 0x48, 0xc0, 0x0c, 0x48,
	0xc0, 0x84, 0x48, 0xc0, 0xc0, 0x0c, 0xc0,
	0xc0, 0x4c, 0x0c, 0xc0, 0xc0, 0x84, 0xc0,
	0xc0, 0x8c, 0x48, 0xc0, 0x0c, 0xc0, 0xc0,
	0x48, 0x0c, 0xc0, 0xc0, 0x0c, 0x48, 0x84,
	0x48, 0x48, 0xc0, 0x84, 0x0c, 0x48, 0x8c
};

// Tile gfx_atlas_background_03: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_background_03[7 * 22] = {
	0xc0, 0x0c, 0xc0, 0x0c, 0xc0, 0x84, 0x48,
	0xc0, 0x48, 0xc0, 0x84, 0xc0, 0x84, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x48,
	0xc0, 0xc0, 0xc0, 0xc0, 0x84, 0x48, 0x84,
	0xc0, 0xc0, 0xc0, 0xc0, 0x8c, 0x0c, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc4, 0x0c, 0x48, 0xc0,
	0xc0, 0xc0, 0xc0, 0x84, 0x0c, 0xc0, 0xc0,
	0xc0, 0xc0, 0x84, 0x84, 0x48, 0xc0, 0x84,
	0xc0, 0xc0, 0x84, 0x84, 0xc0, 0xc0, 0x84,
	0xc0, 0xc0, 0xc0, 0x84, 0xc0, 0xc0, 0x84,
	0xc0, 0xc0, 0xc0, 0xc0, 0x48, 0xc0, 0x84,
	0xc0, 0xc0, 0xc0, 0x48, 0xc0, 0x84, 0x84,
	0xc0, 0xc0, 0x84, 0x0c, 0xc0, 0x0c, 0x84,
	0xc0, 0xc0, 0x84, 0x48, 0xc0, 0x48, 0x84,
	0xc0, 0xc0, 0x84, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0x84, 0xc0, 0xc0, 0x84, 0x48,
	0xc0, 0xc0, 0xc0, 0x48, 0xc0, 0x0c, 0x48,
	0xc0, 0xc0, 0x48, 0xc0, 0xc0, 0x0c, 0xc0,
	0xc0, 0xc0, 0x0c, 0xc0, 0xc0, 0x84, 0xc0,
	0xc0, 0xc0, 0x48, 0xc0, 0x0c, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0x0c, 0x48, 0x84,
	0xc0, 0xc0, 0xc0, 0x84, 0x0c, 0x48, 0x8c
};

// Tile gfx_atlas_background_04: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_background_04[7 * 22] = {
	0xc0, 0x0c, 0x0c, 0x84, 0x0c, 0x84, 0x0c,
	0x48, 0x0c, 0x48, 0x84, 0x48, 0xc0, 0x48,
	0xc0, 0x84, 0x84, 0x84, 0x0c, 0xc0, 0x84,
	0x8c, 0xc0, 0x48, 0x84, 0x48, 0xc0, 0xc0,
	0x0c, 0x48, 0xc0, 0xc0, 0x48, 0xc0, 0xc4,
	0x0c, 0x48, 0xc0, 0xc0, 0x84, 0xc0, 0x8c,
	0x0c, 0xc0, 0xc4, 0x8c, 0xc0, 0xc0, 0x8c,
	0x48, 0x48, 0xcc, 0x0c, 0x48, 0x48, 0x0c,
	0x84, 0xc0, 0x8c, 0x0c, 0xc0, 0x48, 0x0c,
	0x48, 0xc0, 0x0c, 0x0c, 0x48, 0xc0, 0x48,
	0xc0, 0xc0, 0x0c, 0x0c, 0xc0, 0xc0, 0x84,
	0xc0, 0x48, 0x0c, 0x48, 0x48, 0x0c, 0xc0,
	0xc4, 0x48, 0x0c, 0x84, 0xc0, 0xcc, 0x48,
	0x84, 0x48, 0x0c, 0x48, 0xc0, 0x8c, 0x0c,
	0x84, 0xc0, 0x84, 0xc0, 0xc0, 0x0c, 0x48,
	0xc0, 0x8c, 0xc0, 0x48, 0xc0, 0x0c, 0x84,
	0xc4, 0x0c, 0x48, 0xc0, 0xc0, 0x84, 0x48,
	0x84, 0x0c, 0x84, 0xc0, 0x0c, 0xc0, 0xc0,
	0xc0, 0x48, 0xc0, 0x84, 0x8c, 0x48, 0xc0,
	0x48, 0xc0, 0xc0, 0xc4, 0x0c, 0x0c, 0x84,
	0x0c, 0xc0, 0x8c, 0xc4, 0x0c, 0x0c, 0xc4,
	0x0c, 0xc4, 0x0c, 0x84, 0x0c, 0xc0, 0x8c
};

// Tile gfx_atlas_background_05: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_background_05[7 * 22] = {
	0xc0, 0x0c, 0x0c, 0x84, 0x0c, 0x84, 0x0c,
	0xc0, 0x0c, 0x48, 0x84, 0x48, 0xc0, 0x48,
	0xc0, 0x84, 0x84, 0x84, 0x0c, 0xc0, 0x84,
	0xc0, 0xc0, 0x48, 0x84, 0x48, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0x48, 0xc0, 0xc4,
	0xc0, 0xc0, 0xc0, 0xc0, 0x84, 0xc0, 0x8c,
	0xc0, 0xc0, 0xc4, 0x8c, 0xc0, 0xc0, 0x8c,
	0xc0, 0xc0, 0xcc, 0x0c, 0x48, 0x48, 0x0c,
	0xc0, 0xc0, 0x8c, 0x0c, 0xc0, 0x48, 0x0c,
	0xc0, 0xc0, 0x0c, 0x0c, 0x48, 0xc0, 0x48,
	0xc0, 0xc0, 0x0c, 0x0c, 0xc0, 0xc0, 0x84,
	0xc0, 0xc0, 0x0c, 0x48, 0x48, 0x0c, 0xc0,
	0xc0, 0xc0, 0x0c, 0x84, 0xc0, 0xcc, 0x48,
	0xc0, 0xc0, 0x0c, 0x48, 0xc0, 0x8c, 0x0c,
	0xc0, 0xc0, 0x84, 0xc0, 0xc0, 0x0c, 0x48,
	0xc0, 0xc0, 0xc0, 0x48, 0xc0, 0x0c, 0x84,
	0xc0, 0xc0, 0x48, 0xc0, 0xc0, 0x84, 0x48,
	0xc0, 0xc0, 0x84, 0xc0, 0x0c, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0x84, 0x8c, 0x48, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc4, 0x0c, 0x0c, 0x84,
	0xc0, 0xc0, 0x8c, 0xc4, 0x0c, 0x0c, 0xc4,
	0xc0, 0xc0, 0x0c, 0x84, 0x0c, 0xc0, 0x8c
};

// Tile gfx_atlas_background_06: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_background_06[7 * 22] = {
	0x48, 0x0c, 0x48, 0x0c, 0x48, 0x84, 0x0c,
	0xc0, 0x0c, 0xc0, 0x84, 0x84, 0x84, 0x0c,
	0x48, 0x0c, 0x48, 0xc0, 0x48, 0xc0, 0x48,
	0xc0, 0x0c, 0xc0, 0xc0, 0xc4, 0x48, 0x84,
	0xc0, 0x84, 0xc0, 0xc0, 0x8c, 0x0c, 0xc0,
	0xc0, 0xc0, 0x48, 0xc4, 0x0c, 0x0c, 0xc0,
	0xcc, 0x48, 0xc0, 0xc4, 0x0c, 0x48, 0xc0,
	0x8c, 0x0c, 0x84, 0x84, 0x0c, 0x84, 0xc4,
	0x0c, 0x48, 0x84, 0x84, 0x48, 0x48, 0xc4,
	0x0c, 0x0c, 0xc0, 0x84, 0x84, 0xc0, 0x84,
	0x0c, 0x48, 0xc0, 0xc0, 0x48, 0xc0, 0x84,
	0x0c, 0x84, 0x84, 0x48, 0xc0, 0x84, 0x84,
	0x48, 0x48, 0xc4, 0x8c, 0xc0, 0x8c, 0x84,
	0x0c, 0xc0, 0xc4, 0x0c, 0x48, 0x0c, 0x84,
	0x48, 0xc0, 0x84, 0x0c, 0xc0, 0x48, 0xc0,
	0x84, 0xc0, 0x84, 0x48, 0x48, 0xc4, 0x48,
	0xc0, 0xc0, 0xc0, 0x0c, 0xc0, 0x8c, 0x0c,
	0x48, 0x84, 0x48, 0xc0, 0xc0, 0x0c, 0x48,
	0xc0, 0x4c, 0x0c, 0xc0, 0xc0, 0x84, 0xc0,
	0xc0, 0x8c, 0x0c, 0x48, 0x0c, 0xc0, 0xc0,
	0x48, 0x8c, 0x0c, 0x48, 0x8c, 0x48, 0xc4,
	0x48, 0x0c, 0x48, 0xc4, 0x0c, 0x48, 0x8c
};

// Tile gfx_atlas_background_07: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_background_07[7 * 22] = {
	0xc0, 0x0c, 0x48, 0x0c, 0x48, 0x84, 0x0c,
	0xc0, 0x0c, 0xc0, 0x84, 0x84, 0x84, 0x0c,
	0xc0, 0x84, 0x48, 0xc0, 0x48, 0xc0, 0x48,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc4, 0x48, 0x84,
	0xc0, 0xc0, 0xc0, 0xc0, 0x8c, 0x0c, 0xc0,
	0xc0, 0xc0, 0x48, 0xc4, 0x0c, 0x0c, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc4, 0x0c, 0x48, 0xc0,
	0xc0, 0xc0, 0x84, 0x84, 0x0c, 0x84, 0xc4,
	0xc0, 0xc0, 0x84, 0x84, 0x48, 0x48, 0xc4,
	0xc0, 0xc0, 0xc0, 0x84, 0x84, 0xc0, 0x84,
	0xc0, 0xc0, 0xc0, 0xc0, 0x48, 0xc0, 0x84,
	0xc0, 0xc0, 0x84, 0x48, 0xc0, 0x84, 0x84,
	0xc0, 0xc0, 0xc4, 0x8c, 0xc0, 0x8c, 0x84,
	0xc0, 0xc0, 0xc4, 0x0c, 0x48, 0x0c, 0x84,
	0xc0, 0xc0, 0x84, 0x0c, 0xc0, 0x48, 0xc0,
	0xc0, 0xc0, 0x84, 0x48, 0x48, 0xc4, 0x48,
	0xc0, 0xc0, 0xc0, 0x0c, 0xc0, 0x8c, 0x0c,
	0xc0, 0xc0, 0x48, 0xc0, 0xc0, 0x0c, 0x48,
	0xc0, 0xc0, 0x0c, 0xc0, 0xc0, 0x84, 0xc0,
	0xc0, 0xc0, 0x0c, 0x48, 0x0c, 0xc0, 0xc0,
	0xc0, 0xc0, 0x0c, 0x48, 0x8c, 0x48, 0xc4,
	0xc0, 0xc0, 0x48, 0xc4, 0x0c, 0x48, 0x8c
};

// Tile gfx_atlas_background_08: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_background_08[7 * 22] = {
	0x48, 0x84, 0x8c, 0x8c, 0x84, 0xc0, 0x0c,
	0x84, 0xc4, 0x4c, 0x0c, 0x48, 0xc0, 0x0c,
	0x48, 0x84, 0x8c, 0x8c, 0x84, 0xc0, 0x48,
	0x84, 0xc4, 0x0c, 0x0c, 0x48, 0xc0, 0x84,
	0xc0, 0x84, 0x0c, 0x0c, 0x84, 0xc0, 0xc0,
	0xc0, 0x84, 0x8c, 0x8c, 0x48, 0xc0, 0xc0,
	0xcc, 0xc0, 0x48, 0x48, 0x0c, 0xc0, 0xc0,
	0x8c, 0x48, 0xc0, 0xc0, 0xc0, 0xc0, 0x84,
	0x0c, 0x1c, 0xcc, 0xcc, 0x0c, 0xc0, 0x84,
	0x0c, 0x4c, 0x8c, 0x8c, 0x48, 0xc0, 0x0c,
	0x0c, 0x58, 0x4c, 0x0c, 0x84, 0xc0, 0x0c,
	0x0c, 0x4c, 0x8c, 0x8c, 0x48, 0xc0, 0x84,
	0x48, 0x48, 0x48, 0x0c, 0x0c, 0xc0, 0x84,
	0x0c, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x48,
	0x48, 0x1c, 0xcc, 0xcc, 0x0c, 0xc0, 0x48,
	0x84, 0xc4, 0x8c, 0x8c, 0x48, 0xc0, 0x0c,
	0xc0, 0xc4, 0x4c, 0x0c, 0x84, 0xc0, 0x0c,
	0x48, 0xd0, 0x8c, 0x8c, 0x48, 0xc0, 0x0c,
	0x84, 0xc4, 0x0c, 0x0c, 0x84, 0xc0, 0x48,
	0xc0, 0xd0, 0x0c, 0x0c, 0x48, 0xc0, 0xc0,
	0x48, 0x84, 0x8c, 0x8c, 0x84, 0xc0, 0xc4,
	0x48, 0xc4, 0x0c, 0x0c, 0x48, 0xc0, 0x8c
};

// Tile gfx_atlas_background_09: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_background_09[7 * 22] = {
	0xc0, 0x84, 0x8c, 0x8c, 0x84, 0xc0, 0x0c,
	0xc0, 0x84, 0x4c, 0x0c, 0x48, 0xc0, 0x0c,
	0xc0, 0x84, 0x8c, 0x8c, 0x84, 0xc0, 0x48,
	0xc0, 0xc0, 0x0c, 0x0c, 0x48, 0xc0, 0x84,
	0xc0, 0x84, 0x0c, 0x0c, 0x84, 0xc0, 0xc0,
	0xc0, 0xc0, 0x0c, 0x8c, 0x48, 0xc0, 0xc0,
	0xc0, 0xc0, 0x48, 0x48, 0x0c, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x84,
	0xc0, 0xc0, 0x84, 0x84, 0x84, 0xc0, 0x84,
	0xc0, 0xc0, 0x48, 0x48, 0x48, 0xc0, 0x0c,
	0xc0, 0x84, 0x84, 0x84, 0x84, 0xc0, 0x0c,
	0xc0, 0xc0, 0xc0, 0xc0, 0x48, 0xc0, 0x84,
	0xc0, 0x84, 0xc0, 0xc0, 0xc0, 0xc0, 0x84,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x48,
	0xc0, 0xc0, 0x0c, 0x0c, 0x0c, 0xc0, 0x48,
	0xc0, 0xc0, 0x0c, 0x8c, 0x48, 0xc0, 0x0c,
	0xc0, 0x84, 0x4c, 0x0c, 0x84, 0xc0, 0x0c,
	0xc0, 0xc0, 0x0c, 0x8c, 0x48, 0xc0, 0x0c,
	0xc0, 0x84, 0x0c, 0x0c, 0x84, 0xc0, 0x48,
	0xc0, 0xc0, 0x0c, 0x0c, 0x48, 0xc0, 0xc0,
	0xc0, 0x84, 0x0c, 0x8c, 0x84, 0xc0, 0xc4,
	0xc0, 0xc0, 0x0c, 0x0c, 0x48, 0xc0, 0x8c
};


CPCT_RELOCATABLE_AREA(atlas_background);
// End of file.