//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>
#include "atlas_destruction.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2015
// Tile gfx_atlas_destruction_0: 14x22 pixels, 7x22 bytes.

// Locating atlas_destruction....: (0462 bytes) from memory address 0x20b8 to 0x2286
CPCT_ABSOLUTE_LOCATION_AREA(0x20b8);

const u8 gfx_atlas_destruction_0[7 * 22] = {
	0x90, 0x22, 0x00, 0x00, 0x11, 0x60, 0x61,
	0x60, 0x22, 0x00, 0x00, 0x15, 0x30, 0x30,
	0x00, 0x00, 0x00, 0x00, 0x11, 0xc2, 0x60,
	0x00, 0x30, 0x80, 0x20, 0x41, 0x32, 0x60,
	0x00, 0x92, 0x60, 0x20, 0x40, 0x32, 0x80,
	0x00, 0x32, 0x60, 0x00, 0x10, 0x63, 0x80,
	0x00, 0x3a, 0x60, 0xc2, 0x10, 0x93, 0x60,
	0x00, 0x63, 0x60, 0x32, 0x40, 0x31, 0xc0,
	0x00, 0x93, 0x60, 0x6a, 0x10, 0xc1, 0x60,
	0x00, 0x31, 0x60, 0x63, 0x10, 0x30, 0xc2,
	0x00, 0x61, 0x30, 0x93, 0x20, 0xc0, 0x80,
	0x00, 0x90, 0xc0, 0x31, 0x60, 0x00, 0x00,
	0x00, 0x00, 0x10, 0x61, 0x60, 0x20, 0x00,
	0x00, 0x00, 0x40, 0x30, 0xc2, 0x00, 0x00,
	0x30, 0x30, 0x40, 0x30, 0x62, 0x10, 0x90,
	0x92, 0x90, 0x40, 0x90, 0x6a, 0x41, 0x60,
	0x32, 0x60, 0x40, 0x30, 0x62, 0x11, 0x30,
	0xc3, 0x30, 0x00, 0xc0, 0xc0, 0x10, 0x92,
	0x31, 0x60, 0x00, 0x00, 0x00, 0x10, 0x32,
	0x35, 0x30, 0x00, 0x20, 0x00, 0x10, 0x63,
	0x31, 0x60, 0x00, 0x20, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

// Tile gfx_atlas_destruction_1: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_destruction_1[7 * 22] = {
	0x61, 0x00, 0x00, 0x00, 0x10, 0x92, 0x90,
	0x31, 0x00, 0x00, 0x20, 0x10, 0x31, 0x90,
	0x91, 0x00, 0x00, 0x20, 0x00, 0xc0, 0xc0,
	0xc0, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x10, 0x00, 0x00, 0x00, 0x41, 0x92,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x15, 0x30,
	0x30, 0x80, 0x00, 0x00, 0x00, 0x11, 0x90,
	0x92, 0x60, 0x00, 0x00, 0x00, 0x41, 0x30,
	0x3a, 0x60, 0x00, 0x00, 0x00, 0x10, 0xc2,
	0x93, 0x60, 0x00, 0x00, 0x10, 0x10, 0x32,
	0x31, 0x60, 0x00, 0x00, 0x10, 0x40, 0x62,
	0x90, 0xc0, 0x00, 0x00, 0x00, 0x10, 0x61,
	0x40, 0x80, 0x00, 0xc2, 0x00, 0x00, 0xc0,
	0x00, 0x00, 0x00, 0x32, 0x00, 0x00, 0x00,
	0x00, 0x10, 0x00, 0x6a, 0x00, 0x00, 0x00,
	0x00, 0x10, 0x10, 0x93, 0x20, 0x10, 0x00,
	0x00, 0x00, 0x40, 0x31, 0x20, 0x10, 0x00,
	0x30, 0x20, 0x10, 0x61, 0x20, 0x00, 0x00,
	0x60, 0x60, 0x40, 0x30, 0xc2, 0x00, 0x60,
	0x30, 0xc0, 0x40, 0x90, 0x6a, 0x00, 0x92,
	0x92, 0x60, 0x40, 0x30, 0x62, 0x00, 0x32,
	0x32, 0xc0, 0x00, 0x00, 0x40, 0x00, 0x61
};

// Tile gfx_atlas_destruction_2: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_destruction_2[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc1,
	0x62, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10,
	0x82, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10,
	0x22, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10,
	0x22, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40,
	0x00, 0x00, 0x00, 0x20, 0x00, 0x00, 0x00,
	0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x92,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x32,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3a,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x63,
	0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x11,
	0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40,
	0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x11,
	0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x61,
	0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x90,
	0xc0, 0x00, 0x00, 0x00, 0x00, 0x20, 0x60,
	0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30,
	0x00, 0x00, 0x00, 0xc2, 0x00, 0x00, 0x40,
	0x00, 0x00, 0x00, 0x32, 0x00, 0x00, 0x00,
	0x30, 0x80, 0x00, 0x6a, 0x80, 0x00, 0x10,
	0x90, 0x80, 0x10, 0x93, 0x60, 0x00, 0x41
};

CPCT_RELOCATABLE_AREA(atlas_destructio);
// End of file.
