//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>
#include "atlas_enemies.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2015
// Tile gfx_atlas_enemies_00: 14x22 pixels, 7x22 bytes.

// Locating atlas_enemies........: (1694 bytes) from memory address 0x2d09 to 0x33a7
CPCT_ABSOLUTE_LOCATION_AREA(0x2d09);

const u8 gfx_atlas_enemies_00[7 * 22] = {
	0x00, 0x00, 0x10, 0x7f, 0x6b, 0x00, 0x00,
	0x00, 0x00, 0x35, 0xff, 0xbf, 0x82, 0x00,
	0x00, 0x00, 0x35, 0x3f, 0x7f, 0x82, 0x00,
	0x00, 0x41, 0x3f, 0x3f, 0xff, 0x2a, 0x00,
	0x00, 0xc3, 0x3b, 0x27, 0x73, 0x6b, 0x00,
	0x10, 0x7f, 0x3a, 0x31, 0x30, 0x6b, 0x82,
	0x41, 0xc3, 0x7f, 0x91, 0xd5, 0x3f, 0xba,
	0x10, 0x7f, 0x7f, 0xfb, 0xff, 0x6b, 0xc3,
	0x41, 0xc3, 0x3b, 0x73, 0xf3, 0x3f, 0xba,
	0x10, 0x3f, 0x6a, 0xff, 0xea, 0x6b, 0xc3,
	0x41, 0xc3, 0x6a, 0x30, 0x60, 0x3f, 0xba,
	0x10, 0x6b, 0x93, 0x33, 0xf3, 0xc3, 0x61,
	0x41, 0x3f, 0x92, 0x30, 0x61, 0xbf, 0x92,
	0x41, 0x3f, 0x35, 0x3f, 0xd7, 0xbf, 0x6b,
	0x10, 0x3f, 0x61, 0xc3, 0x75, 0xff, 0x3a,
	0x00, 0x30, 0x97, 0xff, 0xd7, 0xbf, 0x82,
	0x00, 0x41, 0xc3, 0xc3, 0x61, 0x3a, 0x00,
	0x00, 0x15, 0x6b, 0x30, 0x30, 0x20, 0x00,
	0x00, 0x3f, 0xff, 0xc3, 0x30, 0x82, 0x00,
	0x00, 0x75, 0xbf, 0x00, 0x61, 0xaa, 0x00,
	0x00, 0x30, 0x6b, 0x00, 0x97, 0xaa, 0x00,
	0x00, 0x10, 0x20, 0x00, 0x3f, 0xff, 0x00
};

// Tile gfx_atlas_enemies_01: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_enemies_01[7 * 22] = {
	0x00, 0x00, 0x35, 0xbf, 0x82, 0x00, 0x00,
	0x00, 0x10, 0x7f, 0xff, 0x6b, 0x00, 0x00,
	0x00, 0x10, 0x3f, 0x3f, 0xeb, 0x00, 0x00,
	0x00, 0x15, 0x3f, 0x7f, 0xbf, 0x82, 0x00,
	0x00, 0x97, 0x33, 0x1b, 0xb7, 0xc3, 0x00,
	0x41, 0x97, 0x30, 0x32, 0x35, 0xff, 0x20,
	0x35, 0xbf, 0xea, 0x62, 0xbf, 0xc3, 0x82,
	0xc3, 0x97, 0xff, 0xf7, 0xbf, 0x7f, 0x20,
	0x35, 0xbf, 0x33, 0xf3, 0xb7, 0xc3, 0x82,
	0xc3, 0x97, 0xd5, 0xff, 0x95, 0x7f, 0x20,
	0x35, 0xbf, 0x33, 0x73, 0xb7, 0xc3, 0x82,
	0x92, 0xc3, 0x3f, 0x3f, 0x6b, 0x97, 0x20,
	0x61, 0x7f, 0x92, 0x30, 0x61, 0x3f, 0x82,
	0x97, 0x7f, 0xeb, 0x3f, 0x3a, 0x3f, 0x82,
	0x35, 0xff, 0xba, 0xc3, 0x92, 0x3f, 0x20,
	0x41, 0x7f, 0xeb, 0x7f, 0xeb, 0x30, 0x00,
	0x00, 0x35, 0x92, 0xc3, 0xc3, 0x82, 0x00,
	0x00, 0x10, 0x30, 0x30, 0xd7, 0xaa, 0x00,
	0x00, 0x41, 0x30, 0xc3, 0x3f, 0xff, 0x00,
	0x00, 0x15, 0x92, 0x00, 0x3f, 0x3a, 0x00,
	0x00, 0x15, 0xeb, 0x00, 0x97, 0x30, 0x00,
	0x00, 0x7f, 0xff, 0x00, 0x10, 0x20, 0x00
};

// Tile gfx_atlas_enemies_02: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_enemies_02[7 * 22] = {
	0x00, 0x00, 0x15, 0x3f, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x3f, 0xff, 0x2a, 0x00, 0x00,
	0x00, 0x15, 0x7f, 0xff, 0xbf, 0x00, 0x00,
	0x00, 0x15, 0xc3, 0x6b, 0xd7, 0x00, 0x00,
	0x00, 0x15, 0x6a, 0x6a, 0x7f, 0x00, 0x00,
	0x00, 0x15, 0xea, 0xea, 0xff, 0x00, 0x00,
	0x00, 0x15, 0xbf, 0xbf, 0xff, 0x0a, 0x00,
	0x00, 0x4a, 0x7f, 0xd5, 0xea, 0x87, 0x00,
	0x05, 0xc3, 0xd5, 0xff, 0xc1, 0xd7, 0x00,
	0x15, 0xc1, 0xc2, 0xc0, 0xc3, 0xc0, 0xaa,
	0x15, 0x40, 0x95, 0xff, 0xc0, 0x40, 0xaa,
	0x15, 0x40, 0x97, 0x7f, 0xc2, 0x55, 0x00,
	0x15, 0x00, 0xc0, 0xc2, 0x80, 0xea, 0x00,
	0x40, 0x2a, 0x2f, 0x87, 0x2a, 0x80, 0x00,
	0x00, 0x2a, 0xc0, 0xc0, 0x80, 0x00, 0x00,
	0x00, 0x80, 0x6b, 0xc3, 0x7f, 0x00, 0x00,
	0x00, 0x15, 0x1f, 0x95, 0x4a, 0xaa, 0x00,
	0x00, 0x6a, 0xc0, 0x40, 0xc0, 0xaa, 0x00,
	0x00, 0x6a, 0x00, 0x00, 0x40, 0x0a, 0x00,
	0x00, 0x85, 0x80, 0x00, 0xc1, 0x80, 0x00,
	0x00, 0x40, 0xc2, 0x40, 0xeb, 0x80, 0x00,
	0x00, 0xd5, 0xff, 0xc0, 0xff, 0xc2, 0x00
};

// Tile gfx_atlas_enemies_03: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_enemies_03[7 * 22] = {
	0x00, 0x00, 0x00, 0x3f, 0x2a, 0x00, 0x00,
	0x00, 0x00, 0x15, 0x7f, 0xbf, 0x00, 0x00,
	0x00, 0x00, 0x3f, 0xff, 0xff, 0x2a, 0x00,
	0x00, 0x00, 0x6b, 0x97, 0xc3, 0xaa, 0x00,
	0x00, 0x00, 0x3f, 0x95, 0x95, 0xaa, 0x00,
	0x00, 0x00, 0x7f, 0xd5, 0xd5, 0xaa, 0x00,
	0x00, 0x05, 0x7f, 0x7f, 0x7f, 0xaa, 0x00,
	0x00, 0x4b, 0x95, 0xea, 0xff, 0x85, 0x00,
	0x00, 0x6b, 0xc2, 0xff, 0xea, 0xc3, 0x0a,
	0x15, 0xc0, 0xc3, 0xc0, 0xc1, 0xc2, 0x2a,
	0x15, 0x80, 0xc0, 0x30, 0x60, 0x80, 0xaa,
	0x00, 0x2a, 0xc1, 0x7f, 0xeb, 0x80, 0xaa,
	0x00, 0x95, 0x40, 0x3f, 0xea, 0x00, 0xaa,
	0x00, 0x40, 0x15, 0x4b, 0x1f, 0x55, 0x80,
	0x00, 0x00, 0x40, 0xc0, 0xc0, 0x55, 0x00,
	0x00, 0x00, 0x3f, 0xc3, 0x97, 0x40, 0x00,
	0x00, 0x15, 0x85, 0x6a, 0x2f, 0xaa, 0x00,
	0x00, 0x15, 0xc0, 0x80, 0xc0, 0xd5, 0x00,
	0x00, 0x05, 0x80, 0x00, 0x00, 0xd5, 0x00,
	0x00, 0x40, 0xc2, 0x00, 0x40, 0x4a, 0x00,
	0x00, 0x40, 0xd7, 0x80, 0xc1, 0x80, 0x00,
	0x00, 0xc1, 0xff, 0xc0, 0xff, 0xea, 0x00
};

// Tile gfx_atlas_enemies_04: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_enemies_04[7 * 22] = {
	0x00, 0x00, 0x10, 0x97, 0xa8, 0x00, 0x00,
	0x00, 0x00, 0x70, 0x3c, 0x9e, 0x00, 0x00,
	0x00, 0x41, 0x97, 0x3f, 0x3f, 0x2a, 0x00,
	0x00, 0x96, 0xfc, 0xfc, 0xfc, 0xbd, 0x00,
	0x41, 0x74, 0x7c, 0xfc, 0xfc, 0x76, 0x82,
	0x10, 0xb8, 0xb8, 0xc0, 0xd4, 0xfc, 0x20,
	0x40, 0x30, 0xc0, 0x3c, 0x68, 0xb8, 0x80,
	0x00, 0xc0, 0x3c, 0x3c, 0x3c, 0xc0, 0x00,
	0x00, 0x94, 0x6d, 0xef, 0xef, 0x68, 0x00,
	0x00, 0x94, 0xcf, 0xc5, 0xc5, 0x68, 0x00,
	0x00, 0x94, 0xcf, 0xc5, 0xc5, 0xca, 0x00,
	0x00, 0xc5, 0xcf, 0xef, 0xef, 0xca, 0x00,
	0x00, 0xc5, 0xe7, 0xcf, 0xcf, 0xe2, 0x00,
	0x40, 0x6d, 0xca, 0xc0, 0xc0, 0xca, 0x00,
	0x94, 0xcf, 0xde, 0xb8, 0xc0, 0xca, 0x00,
	0xc5, 0xcf, 0xcf, 0xfc, 0x65, 0x68, 0x00,
	0xc5, 0x94, 0xcf, 0xcf, 0xcf, 0x80, 0x00,
	0xc5, 0xca, 0x6d, 0xcf, 0x9e, 0x00, 0x00,
	0x14, 0x9e, 0x94, 0xcf, 0x68, 0x00, 0x00,
	0x40, 0x9e, 0xc0, 0xc0, 0x80, 0x00, 0x00,
	0xc5, 0x68, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

// Tile gfx_atlas_enemies_05: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_enemies_05[7 * 22] = {
	0x00, 0x00, 0x10, 0x97, 0xa8, 0x00, 0x00,
	0x00, 0x00, 0x70, 0x3c, 0x9e, 0x00, 0x00,
	0x00, 0x41, 0x97, 0x3f, 0x3f, 0x2a, 0x00,
	0x00, 0x96, 0xfc, 0xfc, 0xfc, 0xbd, 0x00,
	0x41, 0x74, 0x7c, 0xfc, 0xfc, 0x76, 0x82,
	0x10, 0xb8, 0xb8, 0xc0, 0xd4, 0xfc, 0x20,
	0x40, 0x30, 0xc0, 0x3c, 0x68, 0xb8, 0x80,
	0x00, 0xc0, 0x3c, 0xbe, 0xbe, 0xc0, 0x00,
	0x00, 0x94, 0x6d, 0xc5, 0xc5, 0x68, 0x00,
	0x00, 0x94, 0xcf, 0xc5, 0xc5, 0x68, 0x00,
	0x00, 0x94, 0xcf, 0xef, 0xef, 0xca, 0x00,
	0x00, 0xc5, 0xe7, 0xcf, 0xcf, 0xe2, 0x00,
	0x00, 0xc5, 0xca, 0xc0, 0xc0, 0xca, 0x00,
	0x40, 0xc5, 0xde, 0xb8, 0xc0, 0xca, 0x00,
	0xc5, 0xca, 0xde, 0xfc, 0x60, 0xca, 0x00,
	0xcf, 0x9e, 0xcf, 0xfc, 0x65, 0xca, 0x00,
	0x9e, 0xcf, 0xcf, 0xcf, 0xcf, 0x68, 0x00,
	0xca, 0x6d, 0xcf, 0xcf, 0xcf, 0x80, 0x00,
	0xcf, 0x94, 0x6d, 0xcf, 0x9e, 0x00, 0x00,
	0x94, 0x68, 0x3c, 0xcf, 0x68, 0x00, 0x00,
	0x40, 0x80, 0xc0, 0xc0, 0x80, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

// Tile gfx_atlas_enemies_06: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_enemies_06[7 * 22] = {
	0x00, 0x3c, 0x00, 0x00, 0x00, 0x3c, 0x00,
	0x14, 0x9e, 0x2d, 0x3c, 0x1e, 0xcf, 0x28,
	0x6d, 0x78, 0x4f, 0x3c, 0xcf, 0xb4, 0x9e,
	0x9e, 0x78, 0xca, 0x0f, 0xc5, 0xb4, 0x3c,
	0xda, 0x78, 0x85, 0xcf, 0xca, 0xb4, 0xb4,
	0x78, 0x78, 0x4f, 0xcf, 0xcf, 0xb4, 0xb4,
	0xda, 0x78, 0x4a, 0xcf, 0xc5, 0xb4, 0xb4,
	0x78, 0x78, 0x4a, 0xcf, 0xc5, 0xb4, 0xb4,
	0x78, 0x78, 0x4f, 0xcf, 0xcf, 0xb4, 0xb4,
	0x78, 0x78, 0xdf, 0xc0, 0xef, 0xb4, 0xb4,
	0x28, 0x3c, 0xcf, 0xcf, 0xcf, 0x3c, 0x14,
	0x28, 0x28, 0xe5, 0xcf, 0xda, 0x14, 0x14,
	0x28, 0x28, 0x5a, 0x30, 0xe5, 0x14, 0x14,
	0x00, 0x00, 0x4f, 0xcf, 0xcf, 0x00, 0x00,
	0x00, 0x00, 0x4f, 0xcf, 0xcf, 0x00, 0x00,
	0x00, 0x51, 0x79, 0xcf, 0xb6, 0xa2, 0x00,
	0x00, 0x00, 0xa2, 0x00, 0x51, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

// Tile gfx_atlas_enemies_07: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_enemies_07[7 * 22] = {
	0x00, 0x00, 0x05, 0x00, 0x0a, 0x00, 0x00,
	0x00, 0x00, 0x4f, 0x00, 0xcf, 0x00, 0x00,
	0x00, 0x00, 0xca, 0x0f, 0xc5, 0x00, 0x00,
	0x00, 0x00, 0x85, 0xcf, 0xca, 0x00, 0x00,
	0x00, 0x00, 0x4f, 0xcf, 0xcf, 0x00, 0x00,
	0x00, 0x00, 0x4a, 0xcf, 0xc5, 0x00, 0x00,
	0x00, 0x14, 0x4a, 0xcf, 0xc5, 0x28, 0x00,
	0x00, 0x6d, 0x4f, 0xcf, 0xcf, 0x9e, 0x00,
	0x00, 0x9e, 0xdf, 0xc0, 0xef, 0x3c, 0x00,
	0x00, 0xda, 0xdf, 0xfc, 0xef, 0xb4, 0x00,
	0x00, 0x78, 0xe5, 0xcf, 0xda, 0xb4, 0x00,
	0x00, 0xda, 0xda, 0x30, 0xe5, 0xb4, 0x00,
	0x00, 0x78, 0x4f, 0xcf, 0xcf, 0xb4, 0x00,
	0x00, 0x78, 0x4f, 0xcf, 0xcf, 0xb4, 0x00,
	0x00, 0x78, 0x2d, 0xcf, 0x9e, 0xb4, 0x00,
	0x00, 0x78, 0xda, 0x30, 0xe5, 0xb4, 0x00,
	0x00, 0x79, 0xdb, 0x3c, 0xe7, 0xb6, 0x00,
	0x00, 0x28, 0xa2, 0x3c, 0x51, 0x14, 0x00,
	0x00, 0x28, 0x28, 0x3c, 0x14, 0x14, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

// Tile gfx_atlas_enemies_08: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_enemies_08[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0xaa, 0x55, 0xff, 0xaa, 0x00, 0x00, 0x00,
	0x00, 0xff, 0xff, 0xff, 0x00, 0x00, 0xaa,
	0x00, 0xff, 0xff, 0xff, 0x55, 0xaa, 0x00,
	0x55, 0xff, 0xaa, 0xff, 0xff, 0xff, 0x00,
	0x55, 0xff, 0x00, 0x55, 0xaa, 0xff, 0xaa,
	0x55, 0xaa, 0xaa, 0x00, 0x00, 0x55, 0xaa,
	0x55, 0xaa, 0x00, 0x00, 0x55, 0x55, 0xaa,
	0x55, 0xaa, 0x00, 0x00, 0x00, 0x55, 0xaa,
	0x55, 0xaa, 0x00, 0x00, 0x00, 0x55, 0xaa,
	0x55, 0xaa, 0x00, 0x00, 0x00, 0xff, 0xaa,
	0x55, 0xff, 0x00, 0x00, 0x55, 0xff, 0xaa,
	0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00,
	0x00, 0x55, 0xaa, 0x00, 0x00, 0xaa, 0x00,
	0x55, 0x00, 0x00, 0xaa, 0x00, 0xff, 0x00,
	0x55, 0x00, 0x55, 0x00, 0x00, 0xff, 0x00,
	0x55, 0xaa, 0xff, 0x55, 0x55, 0xff, 0x00,
	0x55, 0xff, 0xff, 0x55, 0xff, 0xff, 0x00,
	0x55, 0xff, 0xff, 0x00, 0xff, 0xaa, 0x00,
	0x00, 0xff, 0xaa, 0x00, 0xff, 0xaa, 0xaa,
	0x55, 0x55, 0x00, 0xaa, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

// Tile gfx_atlas_enemies_09: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_enemies_09[7 * 22] = {
	0x00, 0xff, 0xff, 0xaa, 0x00, 0x00, 0x00,
	0x55, 0xff, 0xff, 0xff, 0x00, 0x00, 0x55,
	0x55, 0xff, 0x00, 0xff, 0x55, 0xff, 0x00,
	0xff, 0x00, 0x00, 0x55, 0xaa, 0x00, 0xaa,
	0xaa, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55,
	0xaa, 0x55, 0x00, 0x00, 0x00, 0xaa, 0x55,
	0xaa, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55,
	0xaa, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55,
	0xaa, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55,
	0xaa, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xaa,
	0x55, 0x00, 0x00, 0x00, 0x00, 0x55, 0x00,
	0xaa, 0x00, 0x00, 0x00, 0x00, 0x00, 0xaa,
	0xaa, 0x00, 0x00, 0xaa, 0x00, 0x00, 0xaa,
	0xaa, 0x00, 0x00, 0x00, 0x00, 0x00, 0xaa,
	0xaa, 0x00, 0x55, 0x55, 0x00, 0x00, 0xaa,
	0xaa, 0x00, 0x55, 0x55, 0x00, 0x00, 0xaa,
	0xff, 0x00, 0xff, 0x00, 0xaa, 0x55, 0x00,
	0x55, 0xff, 0xaa, 0x00, 0xff, 0xff, 0x55,
	0xaa, 0xff, 0x00, 0xaa, 0x00, 0x00, 0x00
};

// Tile gfx_atlas_enemies_10: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_enemies_10[7 * 22] = {
	0x55, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00,
	0xff, 0xaa, 0x00, 0xaa, 0x55, 0xff, 0xaa,
	0xaa, 0x00, 0x00, 0x00, 0xaa, 0x00, 0x55,
	0x55, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xaa,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0xaa, 0x00, 0x00, 0x00, 0x00, 0x00, 0xaa,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0xaa, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55,
	0x00, 0x00, 0x55, 0x55, 0x00, 0x00, 0x55,
	0x00, 0x00, 0x55, 0x00, 0x00, 0x00, 0x55,
	0xaa, 0x00, 0x55, 0x00, 0xaa, 0x00, 0xaa,
	0x55, 0xff, 0xaa, 0x00, 0x00, 0xff, 0x00
};

CPCT_RELOCATABLE_AREA(atlas_enemies);
// End of file.
