//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>
#include "atlas_ladder.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2015
// Tile gfx_atlas_ladder_0: 14x22 pixels, 7x22 bytes.

// Locating atlas_ladder.........: (0924 bytes) from memory address 0x296c to 0x2d08
CPCT_ABSOLUTE_LOCATION_AREA(0x296c);

const u8 gfx_atlas_ladder_0[7 * 22] = {
	0x71, 0x3f, 0x3f, 0x1a, 0x1f, 0x3f, 0x7b,
	0x1f, 0x3f, 0x3f, 0x6f, 0x3f, 0x3f, 0x3f,
	0xc5, 0xcf, 0xf0, 0x78, 0xf0, 0xcf, 0x6d,
	0x6d, 0xda, 0xcf, 0x9e, 0xe5, 0xda, 0xda,
	0x3c, 0xf0, 0x6d, 0xda, 0x3c, 0xf0, 0xda,
	0x3c, 0xe0, 0x3c, 0xf0, 0x94, 0xb4, 0x78,
	0xd0, 0xc0, 0xb4, 0xe0, 0xc0, 0xb4, 0xf0,
	0xc0, 0x60, 0xc0, 0xc0, 0x48, 0x94, 0xe0,
	0xc0, 0x30, 0x84, 0x84, 0xc0, 0x60, 0xc0,
	0xc0, 0x12, 0xc0, 0x84, 0xc0, 0x12, 0xc0,
	0xc0, 0x92, 0xc0, 0xc0, 0x48, 0x92, 0x84,
	0x81, 0x07, 0x03, 0x83, 0x83, 0x03, 0x43,
	0x21, 0x97, 0x83, 0x43, 0x4b, 0x2b, 0xc3,
	0x61, 0x12, 0x43, 0x03, 0x83, 0x25, 0x87,
	0x21, 0x03, 0x87, 0x83, 0x43, 0x83, 0x12,
	0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x60,
	0xc0, 0x60, 0xc0, 0xc0, 0xc0, 0x60, 0xc0,
	0x84, 0x12, 0xc0, 0xc0, 0x0c, 0x12, 0xc0,
	0xc0, 0x92, 0xc0, 0x84, 0x8c, 0x92, 0xc0,
	0x48, 0x1a, 0xc0, 0xc4, 0x0c, 0x1a, 0x84,
	0x0c, 0x1a, 0x84, 0x84, 0x48, 0x1a, 0x84,
	0x0c, 0x1a, 0x84, 0x84, 0xc0, 0x1a, 0x84
};

// Tile gfx_atlas_ladder_1: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_ladder_1[7 * 22] = {
	0x71, 0x3f, 0x3f, 0x1a, 0x1f, 0x3f, 0x7b,
	0x9f, 0x3f, 0x3f, 0x6f, 0x3f, 0x3f, 0x3f,
	0xc5, 0xcf, 0xf0, 0x78, 0xf0, 0xcf, 0x6d,
	0x6d, 0xda, 0xcf, 0x9e, 0xe5, 0xda, 0xda,
	0x3c, 0xf0, 0x6d, 0xda, 0x3c, 0xf0, 0xda,
	0x3c, 0xe0, 0x3c, 0xf0, 0x94, 0xb4, 0x78,
	0xd0, 0xc0, 0xb4, 0xe0, 0xc0, 0xb4, 0xf0,
	0xc0, 0x60, 0xc0, 0xc0, 0x48, 0x94, 0xe0,
	0xc0, 0x30, 0x84, 0x84, 0xc0, 0x60, 0xc0,
	0xc0, 0x12, 0xc0, 0x84, 0xc0, 0x12, 0x84,
	0xc0, 0x92, 0xc0, 0xc0, 0x48, 0x92, 0x84,
	0x81, 0x07, 0x03, 0x83, 0x83, 0x03, 0x43,
	0x21, 0x97, 0x83, 0x43, 0x4b, 0x2b, 0xc3,
	0x61, 0x12, 0x43, 0x03, 0x83, 0x25, 0x87,
	0x21, 0x03, 0x87, 0x83, 0x43, 0x83, 0x12,
	0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x60,
	0xc0, 0x60, 0xc0, 0xc0, 0xc0, 0x60, 0xc0,
	0xc0, 0x12, 0xc0, 0xc0, 0x0c, 0x12, 0xc0,
	0xc0, 0x92, 0xc0, 0x84, 0x8c, 0x92, 0xc0,
	0xc0, 0x1a, 0xc0, 0xc4, 0x0c, 0x1a, 0x84,
	0xc0, 0x1a, 0x84, 0x84, 0x48, 0x1a, 0x84,
	0xc0, 0x1a, 0x84, 0x84, 0xc0, 0x1a, 0x84
};

// Tile gfx_atlas_ladder_2: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_ladder_2[7 * 22] = {
	0x81, 0x43, 0xc3, 0x43, 0x03, 0x03, 0x42,
	0x4b, 0x2b, 0x87, 0x83, 0x43, 0x6b, 0x12,
	0xc3, 0x25, 0x43, 0x03, 0x83, 0x21, 0x92,
	0x21, 0x43, 0x83, 0x43, 0x4b, 0x03, 0x12,
	0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30,
	0xc0, 0x60, 0xc0, 0xc0, 0xc0, 0x60, 0xc0,
	0x0c, 0x12, 0xc0, 0x84, 0x0c, 0x12, 0xc0,
	0x0c, 0x92, 0x84, 0x84, 0x48, 0x92, 0x84,
	0x48, 0x1a, 0x84, 0x84, 0xc0, 0x1a, 0x84,
	0x48, 0x1a, 0xc0, 0x84, 0xc0, 0x1a, 0x84,
	0x48, 0x1a, 0xc0, 0xc0, 0x48, 0x1a, 0x84,
	0x81, 0x07, 0x03, 0x83, 0xc3, 0x03, 0x06,
	0x21, 0x97, 0x83, 0x43, 0x0f, 0x97, 0x87,
	0x61, 0x12, 0x43, 0x03, 0xc3, 0x12, 0x92,
	0x21, 0x03, 0x87, 0x83, 0x43, 0x83, 0x12,
	0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x60,
	0xc0, 0x60, 0xc0, 0xc0, 0xc0, 0x60, 0xc0,
	0xc0, 0x12, 0xc0, 0xc0, 0xc0, 0x12, 0xc0,
	0xc0, 0x92, 0x84, 0xc0, 0xc0, 0x92, 0xc0,
	0xc0, 0x1a, 0xc0, 0xc0, 0x0c, 0x1a, 0xc0,
	0x48, 0x1a, 0xc0, 0xc0, 0x0c, 0x1a, 0x84,
	0x48, 0x1a, 0xc0, 0x84, 0x0c, 0x1a, 0x84
};

// Tile gfx_atlas_ladder_3: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_ladder_3[7 * 22] = {
	0x81, 0x43, 0xc3, 0x43, 0x03, 0x03, 0x42,
	0x4b, 0x2b, 0x87, 0x83, 0x43, 0x6b, 0x12,
	0xc3, 0x25, 0x43, 0x03, 0x83, 0x21, 0x92,
	0x21, 0x43, 0x83, 0x43, 0x4b, 0x03, 0x12,
	0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30,
	0xc0, 0x60, 0xc0, 0xc0, 0xc0, 0x60, 0xc0,
	0xc0, 0x12, 0xc0, 0x84, 0x0c, 0x12, 0xc0,
	0xc0, 0x92, 0x84, 0x84, 0x48, 0x92, 0x84,
	0xc0, 0x1a, 0x84, 0x84, 0xc0, 0x1a, 0x84,
	0xc0, 0x1a, 0xc0, 0x84, 0xc0, 0x1a, 0x84,
	0xc0, 0x1a, 0xc0, 0xc0, 0x48, 0x1a, 0x84,
	0x81, 0x07, 0x03, 0x83, 0xc3, 0x03, 0x06,
	0x21, 0x97, 0x83, 0x43, 0x0f, 0x97, 0x87,
	0x61, 0x12, 0x43, 0x03, 0xc3, 0x12, 0x92,
	0x21, 0x03, 0x87, 0x83, 0x43, 0x83, 0x12,
	0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x60,
	0xc0, 0x60, 0xc0, 0xc0, 0xc0, 0x60, 0xc0,
	0xc0, 0x12, 0xc0, 0xc0, 0xc0, 0x12, 0xc0,
	0xc0, 0x92, 0x84, 0xc0, 0xc0, 0x92, 0xc0,
	0xc0, 0x1a, 0xc0, 0xc0, 0x0c, 0x1a, 0xc0,
	0xc0, 0x1a, 0xc0, 0xc0, 0x0c, 0x1a, 0x84,
	0xc0, 0x1a, 0xc0, 0x84, 0x0c, 0x1a, 0x84
};

// Tile gfx_atlas_ladder_4: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_ladder_4[7 * 22] = {
	0x81, 0x43, 0xc3, 0x43, 0x03, 0x03, 0x42,
	0x4b, 0x2b, 0x0f, 0x83, 0x43, 0x6b, 0x12,
	0xc3, 0x25, 0x43, 0x43, 0x4b, 0x21, 0x92,
	0x21, 0x43, 0x83, 0x03, 0x83, 0x03, 0x12,
	0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30,
	0xc0, 0x60, 0xc0, 0xc0, 0xc0, 0x60, 0xc0,
	0x48, 0x12, 0x84, 0x0c, 0xc0, 0x12, 0x84,
	0xc0, 0x92, 0x84, 0x48, 0x48, 0x92, 0x84,
	0xc0, 0x1a, 0x84, 0xc0, 0xc0, 0x1a, 0xc0,
	0xc0, 0x1a, 0x84, 0xc0, 0xc0, 0x1a, 0xc0,
	0xc0, 0x1a, 0x84, 0xc0, 0xc0, 0x1a, 0x84,
	0x81, 0x07, 0x03, 0x83, 0x83, 0x03, 0x03,
	0x21, 0x97, 0x87, 0x4b, 0x4b, 0x97, 0x87,
	0x61, 0x12, 0x43, 0x03, 0xc3, 0x12, 0x92,
	0x21, 0x03, 0x83, 0x83, 0x07, 0x83, 0x12,
	0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x60,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0x84, 0x0c, 0x48, 0xc0, 0xc0, 0x0c, 0xc0,
	0xc0, 0x0c, 0x0c, 0xc0, 0xc0, 0x84, 0xc0,
	0x48, 0x84, 0x48, 0xc0, 0x0c, 0xc0, 0xc0,
	0x0c, 0xc0, 0xc0, 0xc0, 0x0c, 0x48, 0x84,
	0x0c, 0xc0, 0xc0, 0x84, 0x0c, 0x48, 0x0c
};

// Tile gfx_atlas_ladder_5: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_ladder_5[7 * 22] = {
	0x81, 0x43, 0xc3, 0x43, 0x03, 0x03, 0x42,
	0x4b, 0x2b, 0x0f, 0x83, 0x43, 0x6b, 0x12,
	0xc3, 0x25, 0x43, 0x43, 0x4b, 0x21, 0x92,
	0x21, 0x43, 0x83, 0x03, 0x83, 0x03, 0x12,
	0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30,
	0xc0, 0x60, 0xc0, 0xc0, 0xc0, 0x60, 0xc0,
	0xc0, 0x12, 0x84, 0x0c, 0xc0, 0x12, 0x84,
	0xc0, 0x92, 0x84, 0x48, 0x48, 0x92, 0x84,
	0xc0, 0x1a, 0x84, 0xc0, 0xc0, 0x1a, 0xc0,
	0xc0, 0x1a, 0x84, 0xc0, 0xc0, 0x1a, 0xc0,
	0xc0, 0x1a, 0x84, 0xc0, 0xc0, 0x1a, 0x84,
	0x81, 0x07, 0x03, 0x83, 0x83, 0x03, 0x03,
	0x21, 0x97, 0x87, 0x4b, 0x4b, 0x97, 0x87,
	0x61, 0x12, 0x43, 0x03, 0xc3, 0x12, 0x92,
	0x21, 0x03, 0x83, 0x83, 0x07, 0x83, 0x12,
	0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x60,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0x48, 0xc0, 0xc0, 0x0c, 0xc0,
	0xc0, 0xc0, 0x0c, 0xc0, 0xc0, 0x84, 0xc0,
	0xc0, 0xc0, 0x48, 0xc0, 0x0c, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0x0c, 0x48, 0x84,
	0xc0, 0xc0, 0xc0, 0x84, 0x0c, 0x48, 0x0c
};

CPCT_RELOCATABLE_AREA(atlas_ladder);
// End of file.