//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>
#include "atlas_softwall.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2015
// Tile gfx_atlas_softwall_0: 14x22 pixels, 7x22 bytes.

// Locating atlas_softwall.......: (0616 bytes) from memory address 0x1e4f to 0x20b7
CPCT_ABSOLUTE_LOCATION_AREA(0x1e4f);

const u8 gfx_atlas_softwall_0[7 * 22] = {
	0x74, 0x27, 0x76, 0x3b, 0x7e, 0x27, 0x76,
	0x3f, 0x7f, 0xbf, 0xff, 0x3f, 0x7f, 0xbf,
	0x27, 0x37, 0x3b, 0x37, 0x2f, 0x37, 0xb8,
	0x31, 0x74, 0x32, 0xb9, 0x31, 0x74, 0x76,
	0x74, 0x91, 0x30, 0x3a, 0x74, 0x93, 0x31,
	0x90, 0x30, 0xc1, 0x32, 0x90, 0x31, 0xc1,
	0x92, 0x90, 0x60, 0xb8, 0x3a, 0xc1, 0x62,
	0x30, 0x74, 0x30, 0x92, 0x32, 0x90, 0x3a,
	0x60, 0x31, 0x30, 0x30, 0x93, 0x30, 0xc3,
	0x60, 0x95, 0x30, 0x90, 0x91, 0x60, 0x31,
	0x60, 0x31, 0x92, 0x30, 0x31, 0xc2, 0x31,
	0x92, 0xc1, 0x32, 0xc2, 0x61, 0x32, 0x31,
	0x32, 0x30, 0x32, 0x32, 0x90, 0x62, 0x61,
	0x32, 0x90, 0x92, 0x6a, 0x60, 0x92, 0x90,
	0x92, 0x60, 0x60, 0x63, 0x30, 0x61, 0x90,
	0x30, 0x30, 0x30, 0x93, 0x60, 0xc0, 0x60,
	0x61, 0x60, 0x60, 0x31, 0x30, 0x60, 0x60,
	0x31, 0x30, 0x90, 0x61, 0x60, 0x92, 0xc0,
	0x61, 0x92, 0x60, 0x30, 0x92, 0x32, 0x60,
	0x90, 0x32, 0xc0, 0x30, 0x32, 0x61, 0x60,
	0x90, 0x3a, 0x60, 0x90, 0x6a, 0x31, 0x30,
	0x90, 0x32, 0xc0, 0x30, 0x63, 0x31, 0xc2
};

// Tile gfx_atlas_softwall_1: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_softwall_1[7 * 22] = {
	0x74, 0x27, 0x76, 0x3b, 0x7e, 0x27, 0x76,
	0x3f, 0x7f, 0xbf, 0xff, 0x3f, 0x7f, 0xbf,
	0x27, 0x37, 0x3b, 0x37, 0x2f, 0x37, 0xb8,
	0x31, 0x74, 0x32, 0xb9, 0x31, 0x74, 0x76,
	0x74, 0x91, 0x30, 0x3a, 0x74, 0x93, 0x31,
	0x90, 0x30, 0xc1, 0x32, 0x90, 0x31, 0xc1,
	0x92, 0x90, 0x60, 0xb8, 0x3a, 0xc1, 0x62,
	0x30, 0x74, 0x30, 0x92, 0x32, 0x90, 0x3a,
	0x60, 0x31, 0x30, 0x30, 0x93, 0x30, 0xc3,
	0x60, 0x95, 0x30, 0x90, 0x91, 0x60, 0x31,
	0x60, 0x31, 0x92, 0x30, 0x31, 0xc2, 0x31,
	0x92, 0xc1, 0x32, 0xc2, 0x61, 0x32, 0x31,
	0x32, 0x30, 0x32, 0x32, 0x90, 0xc2, 0x61,
	0x92, 0x90, 0x92, 0x62, 0x30, 0x92, 0x90,
	0x30, 0xc0, 0x60, 0x92, 0x60, 0x61, 0x90,
	0x90, 0x60, 0xc0, 0x30, 0xc0, 0x90, 0x60,
	0xc0, 0x60, 0xc0, 0x90, 0xc0, 0x90, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0x0c, 0xc0, 0x0c, 0xc0, 0xc0
};

// Tile gfx_atlas_softwall_2: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_softwall_2[7 * 22] = {
	0x90, 0x92, 0x60, 0x90, 0x93, 0x61, 0x32,
	0x60, 0x31, 0xc0, 0x30, 0x31, 0x30, 0x32,
	0x30, 0x61, 0x60, 0x90, 0x61, 0x30, 0xc2,
	0x60, 0x31, 0x90, 0x90, 0x30, 0x32, 0x31,
	0x30, 0x91, 0x60, 0x90, 0x92, 0x92, 0xc1,
	0x32, 0x30, 0x30, 0x90, 0x32, 0x90, 0x30,
	0x92, 0x90, 0x60, 0x90, 0x3a, 0x30, 0x30,
	0x30, 0x61, 0x30, 0x90, 0x63, 0x90, 0x30,
	0x60, 0x31, 0x30, 0x30, 0x93, 0x30, 0x61,
	0x60, 0x95, 0x30, 0x90, 0x91, 0x60, 0x31,
	0x60, 0x31, 0x92, 0x30, 0x31, 0xc2, 0x31,
	0x92, 0xc1, 0x32, 0xc2, 0x61, 0x32, 0x31,
	0x32, 0x30, 0x32, 0x32, 0x90, 0x62, 0x61,
	0x32, 0x90, 0x92, 0x6a, 0x60, 0x92, 0x90,
	0x92, 0x60, 0x60, 0x63, 0x30, 0x61, 0x90,
	0x30, 0x30, 0x30, 0x93, 0x60, 0xc0, 0x60,
	0x61, 0x60, 0x60, 0x31, 0x30, 0x60, 0x60,
	0x31, 0x30, 0x90, 0x61, 0x60, 0x92, 0xc0,
	0x61, 0x92, 0x60, 0x30, 0x92, 0x32, 0x60,
	0x90, 0x32, 0xc0, 0x30, 0x32, 0x61, 0x60,
	0x90, 0x3a, 0x60, 0x90, 0x6a, 0x31, 0x30,
	0x90, 0x32, 0xc0, 0x30, 0x63, 0x31, 0xc2
};

// Tile gfx_atlas_softwall_3: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_softwall_3[7 * 22] = {
	0x90, 0x92, 0x60, 0x90, 0x93, 0x61, 0x32,
	0x60, 0x31, 0xc0, 0x30, 0x31, 0x30, 0x32,
	0x30, 0x61, 0x60, 0x90, 0x61, 0x30, 0xc2,
	0x60, 0x31, 0x90, 0x90, 0x30, 0x32, 0x31,
	0x30, 0x91, 0x60, 0x90, 0x92, 0x92, 0xc1,
	0x32, 0x30, 0x30, 0x90, 0x32, 0x90, 0x30,
	0x92, 0x90, 0x60, 0x90, 0x3a, 0x30, 0x30,
	0x30, 0x61, 0x30, 0x90, 0x63, 0x90, 0x30,
	0x60, 0x31, 0x30, 0x30, 0x93, 0x30, 0x61,
	0x60, 0x95, 0x30, 0x90, 0x91, 0x60, 0x31,
	0x60, 0x31, 0x92, 0x30, 0x31, 0xc2, 0x31,
	0x92, 0xc1, 0x32, 0xc2, 0x61, 0x32, 0x31,
	0x32, 0x30, 0x32, 0x32, 0x90, 0xc2, 0x61,
	0x92, 0x90, 0x92, 0x62, 0x30, 0x92, 0x90,
	0x30, 0xc0, 0x60, 0x92, 0x60, 0x61, 0x90,
	0x90, 0x60, 0xc0, 0x30, 0xc0, 0x90, 0x60,
	0xc0, 0x60, 0xc0, 0x90, 0xc0, 0x90, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0x48, 0xc0, 0x0c, 0xc0, 0x0c, 0xc0, 0xc0
};

CPCT_RELOCATABLE_AREA(atlas_softwall);
// End of file.