//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>
#include "atlas_solidwall.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2015
// Tile gfx_atlas_solidwall_0: 14x22 pixels, 7x22 bytes.

// Locating atlas_solidwall......: (0924 bytes) from memory address 0x2287 to 0x2623
CPCT_ABSOLUTE_LOCATION_AREA(0x2287);

const u8 gfx_atlas_solidwall_0[7 * 22] = {
	0x71, 0x3f, 0x3f, 0xb2, 0xb7, 0x3f, 0x7b,
	0x1f, 0x3f, 0x3f, 0x2f, 0x3f, 0x3f, 0x3f,
	0xd1, 0xf3, 0x30, 0x92, 0x30, 0xf3, 0xd3,
	0xd3, 0xb2, 0xf3, 0xe3, 0x71, 0xb2, 0xb2,
	0xc3, 0x30, 0xd3, 0xb2, 0xc3, 0x30, 0xb2,
	0xc3, 0x60, 0xc3, 0x30, 0xc1, 0x61, 0x92,
	0x90, 0xc0, 0x61, 0x60, 0xc0, 0x61, 0x30,
	0xc0, 0x60, 0xc0, 0xc0, 0xc0, 0xc1, 0x60,
	0x90, 0x12, 0xc0, 0xc0, 0x30, 0xc0, 0xc0,
	0x21, 0x0f, 0x60, 0x21, 0x0f, 0x12, 0xc0,
	0x25, 0x0f, 0x12, 0x0f, 0x0f, 0x0b, 0x60,
	0x71, 0x0b, 0x60, 0xa7, 0x0f, 0x12, 0xc0,
	0x90, 0x30, 0x81, 0x5f, 0x0b, 0x60, 0xc0,
	0xc0, 0x60, 0x81, 0x07, 0xb2, 0x60, 0x42,
	0x21, 0x12, 0x90, 0x03, 0x30, 0x81, 0x42,
	0x0f, 0x0f, 0x60, 0x03, 0x30, 0x07, 0x42,
	0xa7, 0x0f, 0x42, 0x21, 0x21, 0x0b, 0x60,
	0x53, 0x0b, 0x60, 0x90, 0xd1, 0x12, 0x60,
	0x03, 0x12, 0x60, 0x60, 0x81, 0x1a, 0x90,
	0x03, 0x30, 0x81, 0x0b, 0x81, 0x30, 0x90,
	0x21, 0x60, 0x85, 0x0f, 0x21, 0x60, 0x42,
	0x21, 0x90, 0xd5, 0x0b, 0x90, 0x21, 0x0b
};

// Tile gfx_atlas_solidwall_1: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_solidwall_1[7 * 22] = {
	0x71, 0x3f, 0x3f, 0xb2, 0xb7, 0x3f, 0x7b,
	0x1f, 0x3f, 0x3f, 0x2f, 0x3f, 0x3f, 0x3f,
	0xd1, 0xf3, 0x30, 0x92, 0x30, 0xf3, 0xd3,
	0xd3, 0xb2, 0xf3, 0xe3, 0x71, 0xb2, 0xb2,
	0xc3, 0x30, 0xd3, 0xb2, 0xc3, 0x30, 0xb2,
	0xc3, 0x60, 0xc3, 0x30, 0xc1, 0x61, 0x92,
	0x90, 0xc0, 0x61, 0x60, 0xc0, 0x61, 0x30,
	0xc0, 0x60, 0xc0, 0xc0, 0xc0, 0x90, 0x60,
	0x25, 0x0f, 0x60, 0x21, 0x85, 0x42, 0xc0,
	0x53, 0x1a, 0x25, 0x0f, 0xd1, 0x0b, 0x60,
	0x21, 0x1a, 0x71, 0x0f, 0x81, 0x12, 0xc0,
	0x90, 0x30, 0x81, 0xfb, 0x4a, 0x60, 0x81,
	0xc0, 0x60, 0x81, 0x07, 0x60, 0x60, 0x12,
	0x21, 0x12, 0x90, 0x12, 0x60, 0x81, 0x42,
	0xa7, 0x0f, 0x60, 0x12, 0xc0, 0x07, 0x60,
	0x53, 0x1a, 0xc0, 0x60, 0xc0, 0x1a, 0x60,
	0x81, 0x60, 0xc0, 0xc0, 0xc0, 0x30, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0x0c, 0xc0, 0x0c, 0xc0, 0x84
};

// Tile gfx_atlas_solidwall_2: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_solidwall_2[7 * 22] = {
	0x71, 0x3f, 0x3f, 0xb2, 0xb7, 0x3f, 0x7b,
	0x1f, 0x3f, 0x3f, 0x2f, 0x3f, 0x3f, 0x3f,
	0xd1, 0xf3, 0x30, 0x92, 0x30, 0xf3, 0xd3,
	0xd3, 0xb2, 0xf3, 0xe3, 0x71, 0xb2, 0xb2,
	0xc3, 0x30, 0xd3, 0xb2, 0xc3, 0x30, 0xb2,
	0xc3, 0x60, 0xc3, 0x30, 0xc1, 0x61, 0x92,
	0x90, 0xc0, 0x61, 0x60, 0xc0, 0x61, 0x30,
	0xc0, 0x60, 0xc0, 0xc0, 0xc0, 0x90, 0x60,
	0x25, 0x0f, 0x60, 0x21, 0x85, 0x42, 0xc0,
	0x53, 0x1a, 0x25, 0x0f, 0xd1, 0x0b, 0x60,
	0x21, 0x1a, 0x71, 0x0f, 0x81, 0x12, 0xc0,
	0x90, 0x30, 0x81, 0xfb, 0x4a, 0x60, 0x81,
	0xc0, 0x60, 0x81, 0x07, 0x60, 0x60, 0x12,
	0x21, 0x12, 0x90, 0x12, 0x60, 0x81, 0x42,
	0xa7, 0x0f, 0x60, 0x12, 0xc0, 0x07, 0x60,
	0x53, 0x1a, 0xc0, 0x60, 0xc0, 0x1a, 0x60,
	0x81, 0x60, 0xc0, 0xc0, 0x60, 0x30, 0xc0,
	0xc0, 0xc0, 0x30, 0x90, 0x60, 0xc0, 0xc0,
	0x60, 0x90, 0x60, 0x30, 0x92, 0xc0, 0x60,
	0x90, 0x30, 0xc0, 0x30, 0x32, 0x30, 0x60,
	0x90, 0x92, 0x60, 0x90, 0x6a, 0x61, 0x60,
	0x90, 0x32, 0xc0, 0x30, 0x63, 0x31, 0xc2
};

// Tile gfx_atlas_solidwall_3: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_solidwall_3[7 * 22] = {
	0x90, 0x21, 0x81, 0x42, 0x90, 0x0f, 0x0f,
	0x21, 0x0f, 0x12, 0x90, 0x81, 0x0f, 0x0b,
	0x53, 0x0f, 0x4a, 0x25, 0xd1, 0x07, 0x1a,
	0x07, 0xa3, 0x60, 0x0f, 0x21, 0xfb, 0x12,
	0x03, 0x1a, 0x85, 0xa7, 0x81, 0x07, 0x30,
	0x21, 0x42, 0x81, 0x1a, 0x81, 0x03, 0x60,
	0x90, 0x42, 0x81, 0x42, 0x90, 0x12, 0x60,
	0xc0, 0x60, 0x90, 0xc0, 0xc0, 0x30, 0xc0,
	0x90, 0x12, 0xc0, 0xc0, 0x30, 0xc0, 0xc0,
	0x21, 0x0f, 0x60, 0x21, 0x0f, 0x12, 0xc0,
	0x25, 0x0f, 0x12, 0x0f, 0x0f, 0x0b, 0x60,
	0x71, 0x0b, 0x60, 0xa7, 0x0f, 0x12, 0xc0,
	0x90, 0x30, 0x81, 0x5f, 0x0b, 0x60, 0xc0,
	0xc0, 0x60, 0x81, 0x07, 0xb2, 0x60, 0x42,
	0x21, 0x12, 0x90, 0x03, 0x30, 0x81, 0x42,
	0x0f, 0x0f, 0x60, 0x03, 0x30, 0x07, 0x42,
	0xa7, 0x0f, 0x42, 0x21, 0x21, 0x0b, 0x60,
	0x53, 0x0b, 0x60, 0x90, 0xd1, 0x12, 0x60,
	0x03, 0x12, 0x60, 0x60, 0x81, 0x1a, 0x90,
	0x03, 0x30, 0x81, 0x0b, 0x81, 0x30, 0x90,
	0x21, 0x60, 0x85, 0x0f, 0x21, 0x60, 0x42,
	0x21, 0x90, 0xd5, 0x0b, 0x90, 0x21, 0x0b
};

// Tile gfx_atlas_solidwall_4: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_solidwall_4[7 * 22] = {
	0x90, 0x21, 0x81, 0x42, 0x90, 0x0f, 0x0f,
	0x21, 0x0f, 0x12, 0x90, 0x81, 0x0f, 0x0b,
	0x53, 0x0f, 0x4a, 0x25, 0x71, 0x07, 0x1a,
	0x07, 0xa3, 0x60, 0x0f, 0x21, 0xfb, 0x12,
	0x21, 0x03, 0xd1, 0x1a, 0x90, 0x03, 0x60,
	0x90, 0x42, 0x81, 0x30, 0xc0, 0x30, 0x60,
	0xc0, 0x60, 0x90, 0x60, 0xc0, 0x90, 0xc0,
	0x90, 0x1a, 0xc0, 0x90, 0x90, 0x60, 0xc0,
	0x25, 0x0f, 0x60, 0x21, 0x85, 0x03, 0x60,
	0x53, 0x1a, 0x25, 0x0f, 0xd1, 0x0b, 0x60,
	0x21, 0x1a, 0x71, 0x0f, 0x81, 0x12, 0xc0,
	0x90, 0x30, 0x81, 0xfb, 0x4a, 0x60, 0x81,
	0xc0, 0x60, 0x81, 0x07, 0x60, 0x60, 0x12,
	0x21, 0x12, 0x90, 0x12, 0x60, 0x81, 0x42,
	0xa7, 0x0f, 0x60, 0x12, 0xc0, 0x07, 0x60,
	0x53, 0x1a, 0xc0, 0x60, 0xc0, 0x1a, 0x60,
	0x81, 0x60, 0xc0, 0xc0, 0xc0, 0x30, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0x0c, 0xc0, 0x0c, 0xc0, 0x84
};

// Tile gfx_atlas_solidwall_5: 14x22 pixels, 7x22 bytes.
const u8 gfx_atlas_solidwall_5[7 * 22] = {
	0x90, 0x21, 0x81, 0x42, 0x90, 0x0f, 0x0f,
	0x21, 0x0f, 0x12, 0x90, 0x81, 0x0f, 0x0b,
	0x53, 0x0f, 0x4a, 0x25, 0x71, 0x07, 0x1a,
	0x07, 0xa3, 0x60, 0x0f, 0x21, 0xfb, 0x12,
	0x21, 0x03, 0xd1, 0x1a, 0x90, 0x03, 0x60,
	0x90, 0x42, 0x81, 0x30, 0xc0, 0x30, 0x60,
	0xc0, 0x60, 0x90, 0x60, 0xc0, 0x90, 0xc0,
	0x90, 0x1a, 0xc0, 0x90, 0x90, 0x60, 0xc0,
	0x25, 0x0f, 0x60, 0x21, 0x85, 0x03, 0x60,
	0x53, 0x1a, 0x25, 0x0f, 0xd1, 0x0b, 0x60,
	0x21, 0x1a, 0x71, 0x0f, 0x81, 0x12, 0xc0,
	0x90, 0x30, 0x81, 0xfb, 0x4a, 0x60, 0x81,
	0xc0, 0x60, 0x81, 0x07, 0x60, 0x60, 0x12,
	0x21, 0x12, 0x90, 0x12, 0x60, 0x81, 0x42,
	0xa7, 0x0f, 0x60, 0x12, 0xc0, 0x07, 0x60,
	0x53, 0x1a, 0xc0, 0x60, 0xc0, 0x1a, 0x60,
	0x81, 0x60, 0xc0, 0xc0, 0x60, 0x30, 0xc0,
	0xc0, 0xc0, 0x30, 0x90, 0x60, 0xc0, 0xc0,
	0x60, 0x90, 0x60, 0x30, 0x92, 0xc0, 0x60,
	0x90, 0x30, 0xc0, 0x30, 0x32, 0x30, 0x60,
	0x90, 0x92, 0x60, 0x90, 0x6a, 0x61, 0x60,
	0x90, 0x32, 0xc0, 0x30, 0x63, 0x31, 0xc2
};

CPCT_RELOCATABLE_AREA(atlas_solidwal);
// End of file.