//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>
#include "char.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2015


// Locating char.................: (1350 bytes) from memory address 0x0ee6 to 0x142c
CPCT_ABSOLUTE_LOCATION_AREA(0x0ee6);

// Each tile font_char is 4x9 pixels, 2x9 bytes
const u8 font_chars[2 * 9 * 75] = {
	0x55, 0x80,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xd5, 0xc0,
	0x40, 0x80,
	0x00, 0x00,
	0x55, 0x80,
	0xff, 0x80,
	0xd5, 0x80,
	0x55, 0x80,
	0x55, 0x80,
	0x55, 0x80,
	0xff, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0x55, 0x80,
	0xea, 0xea,
	0xc0, 0xea,
	0x55, 0xc0,
	0xea, 0x80,
	0xea, 0x00,
	0xff, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0x55, 0x80,
	0xea, 0xea,
	0xc0, 0xea,
	0x55, 0xc0,
	0x40, 0xea,
	0xea, 0xea,
	0xd5, 0xc0,
	0x40, 0x80,
	0x00, 0x00,
	0x00, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xff, 0xea,
	0xc0, 0xea,
	0x00, 0xea,
	0x00, 0xea,
	0x00, 0xc0,
	0x00, 0x00,
	0xff, 0xea,
	0xea, 0xc0,
	0xea, 0x00,
	0xff, 0x80,
	0xc0, 0xea,
	0x00, 0xea,
	0xff, 0xc0,
	0xc0, 0x80,
	0x00, 0x00,
	0x55, 0x80,
	0xea, 0xea,
	0xea, 0xc0,
	0xff, 0x80,
	0xea, 0xea,
	0xea, 0xea,
	0xd5, 0xc0,
	0x40, 0x80,
	0x00, 0x00,
	0xff, 0xea,
	0xc0, 0xea,
	0x00, 0xea,
	0x55, 0xc0,
	0x55, 0x80,
	0x55, 0x80,
	0x55, 0x80,
	0x40, 0x80,
	0x00, 0x00,
	0x55, 0x80,
	0xea, 0xea,
	0xea, 0xea,
	0xd5, 0xc0,
	0xea, 0xea,
	0xea, 0xea,
	0xd5, 0xc0,
	0x40, 0x80,
	0x00, 0x00,
	0x55, 0x80,
	0xea, 0xea,
	0xea, 0xea,
	0xd5, 0xea,
	0x40, 0xea,
	0x00, 0xea,
	0x55, 0xc0,
	0x40, 0x80,
	0x00, 0x00,
	0x00, 0x00,
	0x55, 0x80,
	0x55, 0x80,
	0x40, 0x80,
	0x00, 0x00,
	0x55, 0x80,
	0x55, 0x80,
	0x40, 0x80,
	0x00, 0x00,
	0x00, 0x00,
	0x55, 0x80,
	0x55, 0x80,
	0x40, 0x80,
	0x00, 0x00,
	0x55, 0x80,
	0x55, 0x80,
	0xea, 0x80,
	0xc0, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x55, 0x80,
	0x55, 0x80,
	0x40, 0x80,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x55, 0x80,
	0x55, 0x80,
	0xea, 0x80,
	0xc0, 0x00,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x55, 0x80,
	0xea, 0xea,
	0xc0, 0xea,
	0x55, 0xc0,
	0x55, 0x80,
	0x40, 0x80,
	0x55, 0x80,
	0x40, 0x80,
	0x00, 0x00,
	0x55, 0x80,
	0x55, 0x80,
	0x55, 0x80,
	0x55, 0x80,
	0x55, 0x80,
	0x40, 0x80,
	0x55, 0x80,
	0x40, 0x80,
	0x00, 0x00,
	0x55, 0x80,
	0xea, 0xea,
	0xea, 0xea,
	0xff, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0xff, 0x80,
	0xea, 0xea,
	0xea, 0xea,
	0xff, 0xc0,
	0xea, 0xea,
	0xea, 0xea,
	0xff, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0x55, 0x80,
	0xea, 0xea,
	0xea, 0xc0,
	0xea, 0x00,
	0xea, 0x00,
	0xea, 0xea,
	0xd5, 0xc0,
	0x40, 0x80,
	0x00, 0x00,
	0xff, 0x80,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xff, 0xc0,
	0xc0, 0x80,
	0x00, 0x00,
	0xff, 0xea,
	0xea, 0xc0,
	0xea, 0x00,
	0xff, 0x80,
	0xea, 0x80,
	0xea, 0x00,
	0xff, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0xff, 0xea,
	0xea, 0xc0,
	0xea, 0x00,
	0xff, 0x80,
	0xea, 0x80,
	0xea, 0x00,
	0xea, 0x00,
	0xc0, 0x00,
	0x00, 0x00,
	0x55, 0xea,
	0xea, 0xc0,
	0xea, 0x00,
	0xea, 0x00,
	0xea, 0xea,
	0xea, 0xea,
	0xd5, 0xea,
	0x40, 0xc0,
	0x00, 0x00,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xff, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0xff, 0xea,
	0xd5, 0xc0,
	0x55, 0x80,
	0x55, 0x80,
	0x55, 0x80,
	0x55, 0x80,
	0xff, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0x55, 0xea,
	0x40, 0xea,
	0x00, 0xea,
	0x00, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xd5, 0xc0,
	0x40, 0x80,
	0x00, 0x00,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xff, 0xc0,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0xea, 0x00,
	0xea, 0x00,
	0xea, 0x00,
	0xea, 0x00,
	0xea, 0x00,
	0xea, 0x00,
	0xff, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0xea, 0xea,
	0xff, 0xea,
	0xff, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0xff, 0x80,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0x55, 0x80,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xd5, 0xc0,
	0x40, 0x80,
	0x00, 0x00,
	0xff, 0x80,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xff, 0xc0,
	0xea, 0x80,
	0xea, 0x00,
	0xc0, 0x00,
	0x00, 0x00,
	0x55, 0x80,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xff, 0xc0,
	0xd5, 0xea,
	0x40, 0xc0,
	0x00, 0x00,
	0xff, 0x80,
	0xea, 0xea,
	0xea, 0xea,
	0xff, 0xc0,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0x55, 0xea,
	0xea, 0xc0,
	0xea, 0x00,
	0xff, 0x80,
	0xc0, 0xea,
	0x00, 0xea,
	0xff, 0xc0,
	0xc0, 0x80,
	0x00, 0x00,
	0xff, 0xea,
	0xd5, 0xc0,
	0x55, 0x80,
	0x55, 0x80,
	0x55, 0x80,
	0x55, 0x80,
	0x55, 0x80,
	0x40, 0x80,
	0x00, 0x00,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xd5, 0xea,
	0x40, 0xc0,
	0x00, 0x00,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xd5, 0xc0,
	0x55, 0x80,
	0x40, 0x80,
	0x00, 0x00,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xff, 0xea,
	0xff, 0xea,
	0xea, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xd5, 0xc0,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xff, 0xea,
	0xd5, 0xc0,
	0x55, 0x80,
	0x55, 0x80,
	0x40, 0x80,
	0x00, 0x00,
	0xff, 0xea,
	0xc0, 0xea,
	0x00, 0xea,
	0x55, 0xc0,
	0xea, 0x80,
	0xea, 0x00,
	0xff, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0x00, 0xea,
	0x55, 0xc0,
	0x55, 0x80,
	0x55, 0x80,
	0x55, 0x80,
	0x55, 0x80,
	0x40, 0xea,
	0x00, 0xc0,
	0x00, 0x00,
	0x00, 0xea,
	0x00, 0xea,
	0x55, 0xc0,
	0x55, 0x80,
	0x55, 0x80,
	0xea, 0x80,
	0xea, 0x00,
	0xc0, 0x00,
	0x00, 0x00,
	0x55, 0x80,
	0x40, 0xea,
	0x00, 0xea,
	0x00, 0xea,
	0x00, 0xea,
	0x00, 0xea,
	0x55, 0xc0,
	0x40, 0x80,
	0x00, 0x00,
	0x55, 0x80,
	0xff, 0xea,
	0xea, 0xc0,
	0xff, 0x80,
	0xff, 0x80,
	0xea, 0x80,
	0xff, 0xea,
	0xd5, 0xc0,
	0x40, 0x80,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0xff, 0xea,
	0xc0, 0xc0,
	0xea, 0x00,
	0xea, 0x00,
	0xea, 0x00,
	0xc0, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0xff, 0x80,
	0xc0, 0xea,
	0x55, 0xea,
	0xea, 0xea,
	0xff, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0x00, 0x00,
	0xea, 0x00,
	0xea, 0x00,
	0xff, 0x80,
	0xea, 0xea,
	0xea, 0xea,
	0xff, 0xc0,
	0xc0, 0x80,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x55, 0x80,
	0xea, 0xea,
	0xea, 0xc0,
	0xea, 0xea,
	0xd5, 0xc0,
	0x40, 0x80,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0xea,
	0x00, 0xea,
	0x55, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xd5, 0xea,
	0x40, 0xc0,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x55, 0x80,
	0xea, 0xea,
	0xff, 0xea,
	0xea, 0xc0,
	0xd5, 0xea,
	0x40, 0xc0,
	0x00, 0x00,
	0x00, 0x00,
	0x55, 0xea,
	0xea, 0xc0,
	0xea, 0x00,
	0xff, 0x80,
	0xea, 0x80,
	0xea, 0x00,
	0xea, 0x00,
	0xc0, 0x00,
	0x00, 0x00,
	0x00, 0xea,
	0x55, 0xc0,
	0xea, 0xea,
	0xea, 0xea,
	0xd5, 0xc0,
	0x40, 0xea,
	0xff, 0xc0,
	0xc0, 0x80,
	0x00, 0x00,
	0xea, 0x00,
	0xea, 0x00,
	0xff, 0x80,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0x00, 0x00,
	0xea, 0x00,
	0xc0, 0x00,
	0xea, 0x00,
	0xea, 0x00,
	0xea, 0x00,
	0xea, 0x00,
	0xc0, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0xea,
	0x00, 0xc0,
	0x00, 0xea,
	0x00, 0xea,
	0x00, 0xea,
	0xea, 0xea,
	0xd5, 0xc0,
	0x40, 0x80,
	0x00, 0x00,
	0xea, 0x00,
	0xea, 0x00,
	0xea, 0xea,
	0xea, 0xea,
	0xff, 0xc0,
	0xea, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0xea, 0x00,
	0xea, 0x00,
	0xea, 0x00,
	0xea, 0x00,
	0xea, 0x00,
	0xea, 0x00,
	0xea, 0x00,
	0xc0, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0xea, 0xea,
	0xff, 0xea,
	0xff, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0xff, 0x80,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x55, 0x80,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xd5, 0xc0,
	0x40, 0x80,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0xff, 0x80,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xff, 0xc0,
	0xea, 0x80,
	0xc0, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x55, 0x80,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xd5, 0xea,
	0x40, 0xea,
	0x00, 0xc0,
	0x00, 0x00,
	0x00, 0x00,
	0xff, 0x80,
	0xea, 0xea,
	0xea, 0xc0,
	0xea, 0x00,
	0xea, 0x00,
	0xc0, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0x55, 0xea,
	0xea, 0xc0,
	0xff, 0xea,
	0xc0, 0xea,
	0xff, 0xc0,
	0xc0, 0x80,
	0x00, 0x00,
	0x55, 0x80,
	0xff, 0xea,
	0xd5, 0xc0,
	0x55, 0x80,
	0x55, 0x80,
	0x55, 0x80,
	0x40, 0xea,
	0x00, 0xc0,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xd5, 0xea,
	0x40, 0xc0,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xd5, 0xc0,
	0x55, 0x80,
	0x40, 0x80,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0xea, 0xea,
	0xea, 0xea,
	0xff, 0xea,
	0xff, 0xea,
	0xea, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0xea, 0xea,
	0xea, 0xea,
	0xd5, 0xc0,
	0xea, 0xea,
	0xea, 0xea,
	0xc0, 0xc0,
	0x00, 0x00,
	0x00, 0x00,
	0x00, 0x00,
	0xea, 0xea,
	0xea, 0xea,
	0xea, 0xea,
	0xd5, 0xea,
	0x40, 0xea,
	0xff, 0xc0,
	0xc0, 0x80,
	0x00, 0x00,
	0x00, 0x00,
	0xff, 0xea,
	0xc0, 0xea,
	0x55, 0xc0,
	0xea, 0x80,
	0xff, 0xea,
	0xc0, 0xc0,
	0x00, 0x00
};

CPCT_RELOCATABLE_AREA(char);
// End of file.