//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>
#include "hero_littleindian.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2015
// Tile gfx_hero_littleindian_00: 14x22 pixels, 7x22 bytes.

// Locating hero_littleindian....: (3080 bytes) from memory address 0x33a8 to 0x3fb0
CPCT_ABSOLUTE_LOCATION_AREA(0x33a8);

const u8 gfx_hero_littleindian_00[7 * 22] = {
	0x00, 0x00, 0x10, 0x90, 0x30, 0x00, 0x00,
	0x00, 0x00, 0x60, 0x30, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x60, 0x30, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x60, 0x30, 0x30, 0xb8, 0x00,
	0x00, 0x10, 0x74, 0xb8, 0x30, 0xb8, 0x00,
	0x00, 0x10, 0xfc, 0xfc, 0x30, 0x30, 0x00,
	0x00, 0x40, 0x33, 0x33, 0x90, 0x30, 0x00,
	0x00, 0x11, 0x33, 0x33, 0x62, 0x32, 0x20,
	0x00, 0x11, 0xc0, 0x62, 0x91, 0x62, 0x20,
	0x00, 0x54, 0x33, 0x33, 0xb9, 0x32, 0x80,
	0x00, 0x11, 0x33, 0xbb, 0x33, 0x90, 0x22,
	0x00, 0x22, 0x33, 0x91, 0x33, 0x31, 0x22,
	0x00, 0x33, 0x92, 0x30, 0x61, 0x33, 0x22,
	0x00, 0x33, 0x93, 0x33, 0xc3, 0x33, 0x22,
	0x00, 0x11, 0x93, 0x33, 0xc3, 0x33, 0x00,
	0x00, 0x00, 0x93, 0x93, 0xc3, 0x82, 0x00,
	0x00, 0x41, 0x92, 0x18, 0xc3, 0x82, 0x00,
	0x00, 0x41, 0x61, 0xc3, 0x30, 0x20, 0x00,
	0x00, 0x40, 0x92, 0x61, 0xc3, 0x0a, 0x00,
	0x00, 0x10, 0xc1, 0x40, 0x87, 0x00, 0x00,
	0x00, 0x00, 0x60, 0x10, 0x85, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00
};

// Tile gfx_hero_littleindian_01: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_littleindian_01[7 * 22] = {
	0x00, 0x00, 0x10, 0x90, 0x30, 0x00, 0x00,
	0x00, 0x00, 0x60, 0x30, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x60, 0x30, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x60, 0x30, 0x30, 0xb8, 0x00,
	0x00, 0x10, 0x74, 0xb8, 0x30, 0xb8, 0x00,
	0x00, 0x10, 0xfc, 0xfc, 0x30, 0x30, 0x00,
	0x00, 0x40, 0x33, 0x33, 0x90, 0x30, 0x00,
	0x00, 0x11, 0x33, 0x33, 0x62, 0x32, 0x00,
	0x00, 0x11, 0xc0, 0x62, 0x91, 0x62, 0x20,
	0x00, 0x54, 0x33, 0x33, 0xb9, 0x32, 0x80,
	0x00, 0x11, 0x33, 0xbb, 0x33, 0x90, 0x20,
	0x00, 0x00, 0x33, 0x91, 0x33, 0x60, 0x00,
	0x00, 0x11, 0x92, 0x30, 0x61, 0x62, 0x00,
	0x00, 0x33, 0x93, 0x33, 0xc3, 0x33, 0x00,
	0x00, 0x33, 0x93, 0x33, 0xc3, 0x33, 0x22,
	0x00, 0x22, 0x93, 0x92, 0xc3, 0x93, 0x22,
	0x00, 0x41, 0x92, 0x49, 0x61, 0x82, 0x00,
	0x00, 0x41, 0x61, 0xc3, 0x92, 0x20, 0x00,
	0x00, 0x41, 0x92, 0x60, 0xc3, 0x0a, 0x00,
	0x00, 0x40, 0x87, 0x10, 0x85, 0x00, 0x00,
	0x00, 0x10, 0x85, 0x00, 0x60, 0x00, 0x00,
	0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0x00
};

// Tile gfx_hero_littleindian_02: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_littleindian_02[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x10, 0x90, 0x30, 0x00, 0x00,
	0x00, 0x00, 0x60, 0x30, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x60, 0x30, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x60, 0x30, 0x30, 0xb8, 0x00,
	0x00, 0x10, 0x74, 0xb8, 0x30, 0xb8, 0x00,
	0x00, 0x10, 0xfc, 0xfc, 0x30, 0x30, 0x00,
	0x00, 0x40, 0x33, 0x33, 0x90, 0x30, 0x00,
	0x00, 0x11, 0x33, 0x33, 0x62, 0x32, 0x20,
	0x00, 0x11, 0xc0, 0x62, 0x91, 0x62, 0x20,
	0x00, 0x54, 0x33, 0x33, 0xb9, 0x32, 0x80,
	0x00, 0x11, 0x33, 0xbb, 0x33, 0x90, 0x20,
	0x00, 0x00, 0x33, 0x91, 0x33, 0x60, 0x00,
	0x00, 0x11, 0x12, 0x30, 0x21, 0x82, 0x00,
	0x00, 0x11, 0x93, 0x33, 0x43, 0x82, 0x00,
	0x00, 0x41, 0x93, 0x33, 0xc3, 0x22, 0x00,
	0x00, 0x10, 0x31, 0x93, 0x93, 0x22, 0x00,
	0x00, 0x41, 0x92, 0x49, 0x93, 0x22, 0x00,
	0x00, 0x41, 0x83, 0x12, 0x31, 0x22, 0x00,
	0x00, 0x10, 0xc0, 0x01, 0x33, 0x22, 0x00
};

// Tile gfx_hero_littleindian_03: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_littleindian_03[7 * 22] = {
	0x00, 0x00, 0x10, 0x90, 0x30, 0x00, 0x00,
	0x00, 0x00, 0x60, 0x30, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x60, 0x30, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x60, 0x30, 0x30, 0xb8, 0x00,
	0x00, 0x10, 0x74, 0xb8, 0x30, 0xb8, 0x00,
	0x00, 0x10, 0xfc, 0xfc, 0x30, 0x30, 0x00,
	0x00, 0x40, 0x33, 0x33, 0x90, 0x30, 0x00,
	0x00, 0x11, 0x91, 0x62, 0x62, 0x32, 0x00,
	0x00, 0x11, 0x91, 0x62, 0x33, 0x62, 0x00,
	0x00, 0x54, 0x33, 0x33, 0xb9, 0x32, 0x00,
	0x00, 0x11, 0x32, 0x30, 0x33, 0x90, 0x00,
	0x00, 0x00, 0x33, 0x33, 0x63, 0x60, 0x20,
	0x00, 0x00, 0x12, 0x30, 0x21, 0x62, 0x20,
	0x00, 0x11, 0x93, 0x33, 0x93, 0x31, 0x20,
	0x00, 0x11, 0x93, 0x33, 0x93, 0x33, 0x00,
	0x00, 0x11, 0x93, 0x93, 0x93, 0x33, 0x00,
	0x00, 0x01, 0x92, 0x18, 0xc3, 0x22, 0x00,
	0x00, 0x01, 0x61, 0xc3, 0x30, 0x20, 0x00,
	0x00, 0x41, 0x12, 0x61, 0xc3, 0x0a, 0x00,
	0x00, 0x00, 0x83, 0x02, 0xc3, 0x0a, 0x00,
	0x00, 0x00, 0x60, 0x80, 0xc3, 0x0a, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x60, 0x80, 0x00
};

// Tile gfx_hero_littleindian_04: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_littleindian_04[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x10, 0x90, 0x30, 0x00, 0x00,
	0x00, 0x00, 0x60, 0x30, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x60, 0x30, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x60, 0x30, 0x30, 0xb8, 0x00,
	0x00, 0x10, 0x74, 0xb8, 0x30, 0xb8, 0x00,
	0x00, 0x10, 0xfc, 0xfc, 0x30, 0x30, 0x00,
	0x00, 0x40, 0x33, 0x33, 0x90, 0x30, 0x00,
	0x00, 0x11, 0x91, 0x62, 0x62, 0x32, 0x00,
	0x00, 0x11, 0x91, 0x62, 0x33, 0x62, 0x00,
	0x00, 0x54, 0x33, 0x33, 0xb9, 0x32, 0x20,
	0x00, 0x11, 0x32, 0x30, 0x33, 0x90, 0x20,
	0x00, 0x00, 0x33, 0x33, 0x63, 0x60, 0x20,
	0x00, 0x00, 0x12, 0x30, 0x31, 0x62, 0x00,
	0x00, 0x00, 0x93, 0x63, 0x32, 0x22, 0x00,
	0x00, 0x00, 0x93, 0x63, 0x33, 0x22, 0x00,
	0x00, 0x00, 0x93, 0xc3, 0x33, 0x22, 0x00,
	0x00, 0x01, 0x92, 0x49, 0x93, 0x82, 0x00,
	0x00, 0x01, 0x03, 0x12, 0x30, 0x20, 0x00,
	0x00, 0x41, 0x12, 0x01, 0x03, 0x0a, 0x00,
	0x00, 0x10, 0x83, 0x00, 0xc3, 0x87, 0x00,
	0x00, 0x00, 0xc0, 0x00, 0x10, 0xc0, 0x00
};

// Tile gfx_hero_littleindian_05: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_littleindian_05[7 * 22] = {
	0x00, 0x00, 0x10, 0x90, 0x30, 0x00, 0x00,
	0x00, 0x00, 0x60, 0x30, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x60, 0x30, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x60, 0x30, 0x30, 0xb8, 0x00,
	0x00, 0x10, 0x74, 0xb8, 0x30, 0xb8, 0x00,
	0x00, 0x10, 0xfc, 0xfc, 0x30, 0x30, 0x00,
	0x00, 0x40, 0x33, 0x33, 0x90, 0x30, 0x00,
	0x00, 0x11, 0x91, 0x62, 0x62, 0x32, 0x00,
	0x00, 0x11, 0x91, 0x62, 0x33, 0x62, 0x00,
	0x00, 0x54, 0x33, 0x33, 0xb9, 0x32, 0x00,
	0x00, 0x11, 0x32, 0x30, 0x33, 0x90, 0x00,
	0x00, 0x00, 0x33, 0x33, 0x63, 0x60, 0x20,
	0x00, 0x00, 0x12, 0x30, 0x21, 0x62, 0x20,
	0x00, 0x11, 0x93, 0x33, 0x93, 0x31, 0x20,
	0x00, 0x11, 0x93, 0x33, 0x93, 0x33, 0x00,
	0x00, 0x11, 0x93, 0x93, 0x93, 0x33, 0x00,
	0x00, 0x00, 0x92, 0x18, 0xc3, 0x22, 0x00,
	0x00, 0x00, 0x03, 0xc3, 0x30, 0x20, 0x00,
	0x00, 0x00, 0x01, 0x61, 0x87, 0x00, 0x00,
	0x00, 0x00, 0x01, 0x61, 0xc3, 0x0a, 0x00,
	0x00, 0x00, 0x01, 0x07, 0x60, 0x80, 0x00,
	0x00, 0x00, 0x10, 0xc0, 0x00, 0x00, 0x00
};

// Tile gfx_hero_littleindian_06: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_littleindian_06[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x10, 0x90, 0x30, 0x00, 0x00,
	0x00, 0x00, 0x60, 0x30, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x60, 0x30, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x60, 0x30, 0x30, 0xb8, 0x00,
	0x00, 0x10, 0x74, 0xb8, 0x30, 0xb8, 0x00,
	0x00, 0x10, 0xfc, 0xfc, 0x30, 0x30, 0x00,
	0x00, 0x40, 0x33, 0x33, 0x90, 0x30, 0x00,
	0x00, 0x11, 0x91, 0x62, 0x62, 0x32, 0x00,
	0x00, 0x11, 0x91, 0x62, 0x33, 0x62, 0x00,
	0x00, 0x54, 0x33, 0x33, 0xb9, 0x32, 0x20,
	0x00, 0x11, 0x32, 0x30, 0x33, 0x90, 0x20,
	0x00, 0x00, 0x33, 0x33, 0x63, 0x60, 0x20,
	0x00, 0x11, 0x12, 0x30, 0x21, 0x33, 0x00,
	0x00, 0x33, 0x93, 0x33, 0x63, 0x31, 0x22,
	0x00, 0x33, 0x93, 0x33, 0x63, 0x33, 0x22,
	0x00, 0x11, 0x93, 0x93, 0x63, 0x33, 0x22,
	0x00, 0x00, 0x92, 0x18, 0x61, 0x93, 0x00,
	0x00, 0x00, 0x83, 0x43, 0x12, 0x20, 0x00,
	0x00, 0x00, 0x01, 0x61, 0xc3, 0x0a, 0x00,
	0x00, 0x00, 0x01, 0x61, 0x87, 0x00, 0x00,
	0x00, 0x00, 0x10, 0x90, 0xc0, 0x00, 0x00
};

// Tile gfx_hero_littleindian_07: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_littleindian_07[7 * 22] = {
	0x00, 0x00, 0x05, 0x85, 0x0f, 0x00, 0x00,
	0x00, 0x00, 0x4a, 0x0f, 0x5f, 0x0a, 0x00,
	0x00, 0x05, 0x4a, 0x0f, 0x0f, 0x0a, 0x00,
	0x00, 0x05, 0x4a, 0x0f, 0x0f, 0xaf, 0x00,
	0x00, 0x05, 0x5f, 0x85, 0x0f, 0xaf, 0x00,
	0x00, 0x05, 0xd5, 0xea, 0x0f, 0x0f, 0x00,
	0x00, 0x40, 0xff, 0xff, 0x85, 0x0f, 0x00,
	0x00, 0x55, 0xff, 0xff, 0xea, 0xaf, 0x00,
	0x00, 0x55, 0xc0, 0xea, 0xd5, 0xea, 0x00,
	0x00, 0x55, 0xff, 0xff, 0xff, 0xaf, 0x00,
	0x00, 0x55, 0xff, 0xd5, 0xff, 0x85, 0x00,
	0x00, 0x00, 0xff, 0xff, 0xff, 0x4a, 0x0a,
	0x00, 0x00, 0x4a, 0xc0, 0x85, 0xea, 0x0a,
	0x00, 0x55, 0x5f, 0xff, 0x5f, 0xd5, 0x0a,
	0x00, 0x55, 0x5f, 0xff, 0x5f, 0xff, 0x00,
	0x00, 0x55, 0x5f, 0x5f, 0x5f, 0xff, 0x00,
	0x00, 0x05, 0x4a, 0xc0, 0x0f, 0xea, 0x00,
	0x00, 0x00, 0x85, 0x0f, 0xc0, 0x80, 0x00,
	0x00, 0x00, 0x0f, 0x0f, 0x0f, 0x0a, 0x00,
	0x00, 0x00, 0x0f, 0x0a, 0x0f, 0x0a, 0x00,
	0x00, 0x00, 0x0f, 0x0a, 0x0f, 0x0a, 0x00,
	0x00, 0x00, 0xc0, 0x80, 0xc0, 0x80, 0x00
};

// Tile gfx_hero_littleindian_08: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_littleindian_08[7 * 22] = {
	0x00, 0x00, 0x10, 0x90, 0x30, 0x00, 0x00,
	0x00, 0x00, 0x60, 0x30, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x60, 0x30, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x60, 0x30, 0x30, 0xb8, 0x00,
	0x00, 0x10, 0x74, 0xb8, 0x30, 0xb8, 0x00,
	0x00, 0x10, 0xfc, 0xfc, 0x30, 0x30, 0x00,
	0x00, 0x40, 0x33, 0x33, 0x90, 0x30, 0x00,
	0x00, 0x11, 0x91, 0x62, 0x62, 0x32, 0x00,
	0x00, 0x11, 0x91, 0x62, 0x33, 0x62, 0x00,
	0x00, 0x54, 0x33, 0x33, 0xb9, 0x32, 0x00,
	0x00, 0x11, 0x32, 0x30, 0x33, 0x90, 0x00,
	0x00, 0x00, 0x33, 0x33, 0x63, 0x60, 0x20,
	0x00, 0x00, 0x12, 0x30, 0x21, 0x62, 0x20,
	0x00, 0x11, 0x93, 0x33, 0x93, 0x31, 0x20,
	0x00, 0x11, 0x93, 0x33, 0x93, 0x33, 0x00,
	0x00, 0x11, 0x93, 0x93, 0x93, 0x33, 0x00,
	0x00, 0x00, 0x92, 0x18, 0xc3, 0x63, 0x00,
	0x00, 0x00, 0x21, 0x03, 0x30, 0x20, 0x00,
	0x00, 0x00, 0x43, 0xc3, 0xc3, 0x0a, 0x00,
	0x00, 0x00, 0x43, 0x0a, 0xc3, 0x0a, 0x00,
	0x00, 0x00, 0xc3, 0x0a, 0xc3, 0x0a, 0x00,
	0x00, 0x00, 0x60, 0x80, 0x60, 0x80, 0x00
};

// Tile gfx_hero_littleindian_09: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_littleindian_09[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x10, 0x90, 0x30, 0x00, 0x00,
	0x00, 0x00, 0x60, 0x30, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x60, 0x30, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x60, 0x30, 0x30, 0xb8, 0x00,
	0x00, 0x10, 0x74, 0xb8, 0x30, 0xb8, 0x00,
	0x00, 0x10, 0xfc, 0xfc, 0x30, 0x30, 0x00,
	0x00, 0x40, 0x33, 0x33, 0x90, 0x30, 0x00,
	0x00, 0x11, 0x91, 0x62, 0x62, 0x32, 0x00,
	0x00, 0x11, 0x91, 0x62, 0x33, 0x62, 0x00,
	0x00, 0x54, 0x33, 0x33, 0xb9, 0x32, 0x20,
	0x00, 0x11, 0x32, 0x30, 0x33, 0x90, 0x20,
	0x00, 0x00, 0x33, 0x33, 0x63, 0x62, 0x20,
	0x00, 0x11, 0x12, 0x30, 0x31, 0x31, 0x00,
	0x00, 0x11, 0x93, 0x33, 0x93, 0x33, 0x00,
	0x00, 0x11, 0x93, 0x33, 0x93, 0x33, 0x00,
	0x00, 0x00, 0x93, 0x93, 0xc3, 0x63, 0x00,
	0x00, 0x01, 0x92, 0x18, 0xc3, 0xc3, 0x00,
	0x00, 0x01, 0x21, 0x03, 0x30, 0x30, 0x00,
	0x00, 0x01, 0x43, 0x0a, 0xc3, 0x87, 0x00,
	0x00, 0x01, 0x87, 0x00, 0x41, 0x87, 0x00,
	0x00, 0x10, 0xc0, 0x00, 0x10, 0xc0, 0x00
};

// Tile gfx_hero_littleindian_10: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_littleindian_10[7 * 22] = {
	0x00, 0x10, 0x90, 0x30, 0x00, 0x00, 0x00,
	0x00, 0x60, 0x30, 0x74, 0x20, 0x00, 0x00,
	0x10, 0x60, 0x30, 0x30, 0x20, 0x00, 0x00,
	0x10, 0x60, 0x30, 0x30, 0xb8, 0x00, 0x00,
	0x10, 0x74, 0xb8, 0x30, 0xb8, 0x00, 0x00,
	0x10, 0xfc, 0xfc, 0x30, 0x30, 0x00, 0x00,
	0x40, 0x33, 0x33, 0x90, 0x30, 0x00, 0x00,
	0x11, 0x91, 0x62, 0x62, 0x32, 0x00, 0x00,
	0x11, 0x91, 0x62, 0x33, 0x62, 0x20, 0x00,
	0x54, 0x33, 0x33, 0xb9, 0x32, 0x90, 0x00,
	0x11, 0x32, 0x30, 0x33, 0x90, 0x30, 0x00,
	0x41, 0x33, 0x33, 0x63, 0xc2, 0x10, 0x00,
	0x11, 0x12, 0x30, 0x21, 0x63, 0x00, 0x00,
	0x11, 0x93, 0x33, 0x93, 0x31, 0x00, 0x00,
	0x11, 0x93, 0x33, 0x93, 0x33, 0x00, 0x00,
	0x00, 0x93, 0x93, 0x93, 0x33, 0x00, 0x00,
	0x00, 0x92, 0x18, 0xc3, 0x63, 0x00, 0x00,
	0x00, 0x21, 0x03, 0x30, 0x20, 0x00, 0x00,
	0x00, 0x43, 0x20, 0xc3, 0x0a, 0x00, 0x00,
	0x00, 0xc3, 0x0a, 0xc3, 0x0a, 0x00, 0x00,
	0x00, 0x41, 0xc2, 0x41, 0xc2, 0x00, 0x00,
	0x00, 0x10, 0x80, 0x10, 0x80, 0x00, 0x00
};

// Tile gfx_hero_littleindian_11: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_littleindian_11[7 * 22] = {
	0x10, 0x90, 0x30, 0x00, 0x00, 0x00, 0x00,
	0x60, 0x30, 0x74, 0x20, 0x00, 0x00, 0x00,
	0x60, 0x30, 0x30, 0x20, 0x00, 0x00, 0x00,
	0x60, 0x30, 0x30, 0xb8, 0x00, 0x00, 0x00,
	0x74, 0xb8, 0x30, 0xb8, 0x00, 0x00, 0x00,
	0xfc, 0xfc, 0x30, 0x30, 0x00, 0x00, 0x00,
	0x33, 0x33, 0x90, 0x30, 0x00, 0x00, 0x00,
	0x33, 0x33, 0x62, 0x32, 0x00, 0x00, 0x00,
	0xc0, 0x62, 0x91, 0x62, 0x10, 0x00, 0x00,
	0x33, 0x33, 0xb9, 0x32, 0x60, 0x00, 0x00,
	0x33, 0xbb, 0x33, 0x90, 0x90, 0x00, 0x00,
	0x93, 0x91, 0x63, 0xc2, 0x20, 0x00, 0x00,
	0x12, 0x30, 0x21, 0x63, 0x00, 0x00, 0x00,
	0x63, 0x33, 0x93, 0x31, 0x00, 0x00, 0x00,
	0x63, 0x33, 0x93, 0x33, 0x00, 0x00, 0x00,
	0xc3, 0x93, 0x93, 0x33, 0x00, 0x00, 0x00,
	0x92, 0x18, 0x61, 0x63, 0x00, 0x00, 0x00,
	0x21, 0x43, 0x61, 0xc3, 0x00, 0x00, 0x00,
	0x43, 0xc2, 0x92, 0x30, 0x00, 0x00, 0x00,
	0x41, 0xc2, 0xc3, 0xc3, 0x00, 0x00, 0x00,
	0x00, 0x80, 0x41, 0xc3, 0x80, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00
};

// Tile gfx_hero_littleindian_12: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_littleindian_12[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x05, 0x4a, 0x0a, 0x00, 0x00,
	0x00, 0x00, 0x0f, 0x85, 0xaf, 0x00, 0x00,
	0x00, 0x05, 0x0f, 0x4a, 0x0f, 0x0a, 0x00,
	0x00, 0x05, 0x0f, 0x85, 0x5f, 0x0a, 0x00,
	0x00, 0x05, 0x0f, 0x85, 0x5f, 0x0a, 0x00,
	0x00, 0x05, 0x0f, 0x85, 0x0f, 0x0a, 0x00,
	0x00, 0x05, 0x0f, 0x85, 0x5f, 0x0a, 0x00,
	0x00, 0x05, 0x0f, 0x4a, 0x0f, 0x0a, 0x00,
	0x00, 0x05, 0x0f, 0x4a, 0x0f, 0x0a, 0x00,
	0x00, 0x05, 0x0f, 0x4a, 0x0f, 0x0a, 0x00,
	0x00, 0x05, 0x0f, 0x85, 0x0f, 0x0a, 0x00,
	0x55, 0xea, 0x0f, 0x85, 0x0f, 0xd5, 0xaa,
	0x55, 0xaf, 0xc0, 0x4a, 0xc0, 0x5f, 0xaa,
	0x00, 0xaf, 0x0f, 0x4a, 0x0f, 0x5f, 0x00,
	0x00, 0xaf, 0x0f, 0x85, 0x0f, 0x5f, 0x00,
	0x00, 0x40, 0x0f, 0xc0, 0x0f, 0x80, 0x00,
	0x00, 0x05, 0xc0, 0xc0, 0xc0, 0x0a, 0x00,
	0x00, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x00,
	0x00, 0x0f, 0x4a, 0x00, 0x85, 0x0f, 0x00,
	0x00, 0x0f, 0x0f, 0x00, 0x0f, 0x0f, 0x00,
	0x00, 0x40, 0xc0, 0x00, 0xc0, 0x80, 0x00
};

// Tile gfx_hero_littleindian_13: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_littleindian_13[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x10, 0x60, 0x20, 0x00, 0x00,
	0x00, 0x00, 0x30, 0x90, 0xb8, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x11, 0x10, 0x30, 0x90, 0x30, 0x20, 0x22,
	0x11, 0x23, 0x30, 0xc0, 0x30, 0x13, 0x22,
	0x11, 0x63, 0x42, 0x60, 0x81, 0x93, 0x22,
	0x00, 0x63, 0xc3, 0x90, 0xc3, 0x1b, 0x00,
	0x00, 0x63, 0xc3, 0x60, 0xc3, 0x1b, 0x00,
	0x00, 0x10, 0xc3, 0xc3, 0x87, 0x20, 0x00,
	0x00, 0x83, 0x30, 0x30, 0x30, 0x43, 0x00,
	0x00, 0xc3, 0x12, 0x00, 0x21, 0x87, 0x00,
	0x00, 0x43, 0x83, 0x00, 0x43, 0x4b, 0x00,
	0x00, 0x10, 0xc0, 0x00, 0xc0, 0x20, 0x00
};

// Tile gfx_hero_littleindian_14: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_littleindian_14[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x10, 0x60, 0x20, 0x00, 0x00,
	0x00, 0x00, 0x30, 0x90, 0xb8, 0x00, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x30, 0x20, 0x00,
	0x11, 0x23, 0x30, 0x90, 0x30, 0x13, 0x22,
	0x11, 0x63, 0x42, 0x60, 0x81, 0x93, 0x22,
	0x00, 0x63, 0xc3, 0x60, 0xc3, 0x1b, 0x00,
	0x00, 0x63, 0xc3, 0x90, 0xc3, 0x1b, 0x00,
	0x00, 0x10, 0xc3, 0x60, 0x87, 0x20, 0x00,
	0x00, 0x01, 0x30, 0x30, 0x30, 0x02, 0x00,
	0x00, 0x83, 0x03, 0x03, 0x03, 0x43, 0x00,
	0x00, 0xc3, 0x12, 0x00, 0x21, 0x87, 0x00,
	0x00, 0x43, 0x83, 0x00, 0x43, 0x4b, 0x00,
	0x00, 0x10, 0xc0, 0x00, 0xc0, 0x20, 0x00
};

// Tile gfx_hero_littleindian_15: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_littleindian_15[7 * 22] = {
	0x00, 0x00, 0x10, 0x60, 0x20, 0x00, 0x00,
	0x00, 0x00, 0x30, 0x90, 0xb8, 0x00, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x30, 0x20, 0x00,
	0x11, 0x23, 0x30, 0x90, 0x30, 0x13, 0x22,
	0x11, 0x63, 0x42, 0x90, 0x81, 0x93, 0x22,
	0x11, 0x63, 0xc3, 0x60, 0xc3, 0x1b, 0x22,
	0x00, 0x63, 0xc3, 0x60, 0xc3, 0x1b, 0x00,
	0x00, 0x10, 0xc3, 0x90, 0x87, 0x20, 0x00,
	0x00, 0x41, 0x30, 0x60, 0x30, 0x82, 0x00,
	0x00, 0xc3, 0xc3, 0xc3, 0xc3, 0xc3, 0x00,
	0x00, 0x83, 0x03, 0x03, 0x03, 0x07, 0x00,
	0x00, 0xc3, 0x12, 0x00, 0x21, 0x87, 0x00,
	0x00, 0x43, 0x83, 0x00, 0x43, 0x4b, 0x00,
	0x00, 0x10, 0xc0, 0x00, 0xc0, 0x20, 0x00
};

// Tile gfx_hero_littleindian_16: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_littleindian_16[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x10, 0x30, 0x80, 0x00, 0x00,
	0x00, 0x00, 0x30, 0x60, 0x30, 0x00, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x30, 0x20, 0x00,
	0x11, 0x23, 0x30, 0x90, 0x30, 0x13, 0x22,
	0x11, 0x23, 0x42, 0x60, 0x81, 0x33, 0x22,
	0x11, 0x03, 0x83, 0x60, 0xc3, 0x33, 0x00,
	0xc1, 0x61, 0xc3, 0x60, 0x61, 0x22, 0x00,
	0xc1, 0x12, 0x61, 0x92, 0xc1, 0x0a, 0x00,
	0xc1, 0x03, 0x12, 0x30, 0x30, 0x00, 0x00,
	0xc1, 0x83, 0x03, 0x03, 0x03, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x03, 0x43, 0x0a, 0x00,
	0x00, 0x00, 0x00, 0x01, 0xc3, 0x0a, 0x00,
	0x00, 0x00, 0x00, 0x00, 0xc0, 0x20, 0x00
};

// Tile gfx_hero_littleindian_17: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_littleindian_17[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x10, 0x60, 0x20, 0x00, 0x00,
	0x00, 0x00, 0x30, 0x60, 0xb8, 0x00, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x30, 0x20, 0x00,
	0x11, 0x23, 0x30, 0x90, 0x30, 0x13, 0x22,
	0x11, 0x23, 0x42, 0x60, 0x81, 0x93, 0x22,
	0x00, 0x63, 0xc3, 0x60, 0x43, 0x1b, 0x00,
	0x00, 0x63, 0xc3, 0x90, 0x61, 0x1b, 0x00,
	0x00, 0x92, 0xc3, 0xc2, 0x43, 0x0a, 0x00,
	0x00, 0x83, 0x30, 0x30, 0x30, 0x20, 0x00,
	0x00, 0x83, 0x03, 0x03, 0x03, 0x82, 0x00,
	0x00, 0xc3, 0x02, 0x01, 0xc3, 0x0a, 0x00,
	0x00, 0x60, 0x80, 0x00, 0x43, 0x0a, 0x00,
	0x00, 0x00, 0x00, 0x00, 0xc0, 0x20, 0x00
};

// Tile gfx_hero_littleindian_18: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_littleindian_18[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x40, 0x74, 0x20, 0x00, 0x00,
	0x00, 0x00, 0x30, 0x90, 0xb8, 0x00, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x30, 0x20, 0x00,
	0x11, 0x23, 0x30, 0x90, 0x30, 0x13, 0x22,
	0x11, 0x33, 0x42, 0x60, 0x81, 0x13, 0x22,
	0x00, 0x33, 0xc3, 0xc0, 0x43, 0x03, 0x22,
	0x00, 0x11, 0x92, 0x90, 0xc3, 0x83, 0x00,
	0x00, 0x41, 0xc2, 0x61, 0xc3, 0x12, 0xc2,
	0x00, 0x00, 0x61, 0xc3, 0x92, 0x21, 0xc2,
	0x00, 0x00, 0x12, 0x30, 0x21, 0x43, 0xc2,
	0x00, 0x41, 0x83, 0x03, 0x03, 0xc3, 0xc2,
	0x00, 0x41, 0xc3, 0x20, 0x00, 0x00, 0x00,
	0x00, 0x10, 0xc0, 0x00, 0x00, 0x00, 0x00
};

// Tile gfx_hero_littleindian_19: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_littleindian_19[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x10, 0x90, 0x20, 0x00, 0x00,
	0x00, 0x00, 0x30, 0xc0, 0xb8, 0x00, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x74, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x60, 0x30, 0x20, 0x00,
	0x00, 0x10, 0x30, 0x90, 0x30, 0x20, 0x00,
	0x11, 0x23, 0x30, 0x90, 0x30, 0x13, 0x22,
	0x11, 0x63, 0x42, 0x60, 0x81, 0x93, 0x22,
	0x00, 0x63, 0x83, 0x60, 0xc3, 0x1b, 0x00,
	0x00, 0x63, 0x92, 0x60, 0xc3, 0x1b, 0x00,
	0x00, 0x41, 0x83, 0xc1, 0xc3, 0x20, 0x00,
	0x00, 0x10, 0xc3, 0xc3, 0x12, 0x07, 0x00,
	0x00, 0x01, 0x30, 0x30, 0x21, 0x07, 0x00,
	0x00, 0x41, 0x03, 0x20, 0x01, 0xc3, 0x00,
	0x00, 0x41, 0x83, 0x00, 0x40, 0x90, 0x00,
	0x00, 0x10, 0xc0, 0x00, 0x00, 0x00, 0x00
};

CPCT_RELOCATABLE_AREA(hero_littleindia);
// End of file.