//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>
#include "hero_shaolinkid.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2015
// Tile gfx_hero_shaolinkid_00: 14x22 pixels, 7x22 bytes.

// Locating hero_shaolinkid......: (3080 bytes) from memory address 0x3fb1 to 0x4bb9
CPCT_ABSOLUTE_LOCATION_AREA(0x3fb1);

const u8 gfx_hero_shaolinkid_00[7 * 22] = {
	0x00, 0x00, 0x41, 0xc3, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0xf3, 0xd3, 0xfb, 0x00, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0xc0, 0xe2, 0xd1, 0xa2, 0x00,
	0x00, 0x51, 0xff, 0xf7, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xea, 0xe2, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xea, 0xe2, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x00, 0xf7, 0xff, 0xf3, 0xa2, 0xa2,
	0x00, 0xa2, 0xf3, 0xf3, 0xf3, 0x71, 0xa2,
	0x00, 0xf3, 0x38, 0x30, 0x34, 0xf3, 0xa2,
	0x00, 0xf3, 0x1e, 0xb6, 0xcf, 0xf3, 0xa2,
	0x00, 0x51, 0x4f, 0x6d, 0xcf, 0xf3, 0x00,
	0x00, 0x00, 0xc5, 0x9e, 0xcf, 0x28, 0x00,
	0x00, 0x05, 0x5a, 0xcf, 0x3c, 0x80, 0x00,
	0x00, 0x14, 0xe5, 0xc0, 0xcf, 0x8a, 0x00,
	0x00, 0x55, 0x78, 0xcf, 0xe1, 0x8a, 0x00,
	0x00, 0x55, 0xbe, 0xf5, 0x78, 0x00, 0x00,
	0x00, 0x00, 0xff, 0x55, 0xbe, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0xff, 0x00, 0x00
};

// Tile gfx_hero_shaolinkid_01: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_shaolinkid_01[7 * 22] = {
	0x00, 0x00, 0x41, 0xc3, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0xf3, 0xd3, 0xfb, 0x00, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0xc0, 0xe2, 0xd1, 0xa2, 0x00,
	0x00, 0x51, 0xff, 0xf7, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xea, 0xe2, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xea, 0xe2, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x00, 0xf7, 0xff, 0xf3, 0xa2, 0x00,
	0x00, 0x00, 0xf3, 0xf3, 0xf3, 0x20, 0x00,
	0x00, 0x51, 0x38, 0x30, 0x34, 0xa2, 0x00,
	0x00, 0xf3, 0x1e, 0xb6, 0xcf, 0xf3, 0x00,
	0x00, 0xf3, 0x4f, 0x6d, 0xcf, 0xf3, 0xa2,
	0x00, 0xa2, 0x4f, 0x9e, 0x6d, 0x79, 0xa2,
	0x00, 0x00, 0xc5, 0x6d, 0x9e, 0x80, 0x00,
	0x00, 0x05, 0xca, 0x94, 0xe5, 0x8a, 0x00,
	0x00, 0x14, 0xe5, 0xdf, 0x78, 0x8a, 0x00,
	0x00, 0x55, 0x78, 0xf5, 0xbe, 0x00, 0x00,
	0x00, 0x55, 0xbe, 0x00, 0xff, 0x00, 0x00,
	0x00, 0x00, 0xff, 0x00, 0x00, 0x00, 0x00
};

// Tile gfx_hero_shaolinkid_02: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_shaolinkid_02[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x41, 0xc3, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0xf3, 0xd3, 0xfb, 0x00, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0x71, 0xf3, 0x71, 0xf3, 0x00,
	0x00, 0x51, 0xb2, 0xb2, 0xf3, 0xf3, 0x00,
	0x00, 0x51, 0xc0, 0xe2, 0xd1, 0xf3, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x00, 0x30, 0x30, 0xf3, 0xa2, 0x00,
	0x00, 0x00, 0xf3, 0xf3, 0xf3, 0x20, 0x00,
	0x00, 0x51, 0x38, 0x30, 0x34, 0x82, 0x00,
	0x00, 0x51, 0x1e, 0xb6, 0xcf, 0x8a, 0x00,
	0x00, 0x14, 0x6d, 0x6d, 0xcb, 0xa2, 0x00,
	0x00, 0x05, 0x9e, 0x9e, 0xdb, 0xa2, 0x00,
	0x00, 0x50, 0xe5, 0xe0, 0xd1, 0xa2, 0x00,
	0x00, 0x14, 0x78, 0xd0, 0xf1, 0xa2, 0x00,
	0x00, 0x55, 0xff, 0x14, 0xf3, 0xa2, 0x00
};

// Tile gfx_hero_shaolinkid_03: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_shaolinkid_03[7 * 22] = {
	0x00, 0x00, 0x41, 0xc3, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0xf3, 0xd3, 0xfb, 0x00, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0xc0, 0xe2, 0xd1, 0xa2, 0x00,
	0x00, 0x51, 0xff, 0xf7, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xea, 0xe2, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xea, 0xe2, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x00, 0x30, 0x30, 0xf3, 0xa2, 0x00,
	0x00, 0x00, 0xf3, 0xf3, 0xf3, 0x20, 0x00,
	0x00, 0x00, 0x38, 0x30, 0x34, 0xa2, 0x00,
	0x00, 0x51, 0x1e, 0xb6, 0xdb, 0xd3, 0x00,
	0x00, 0x51, 0x4f, 0x6d, 0xdb, 0xf3, 0x00,
	0x00, 0x51, 0xc5, 0x9e, 0xdb, 0xf3, 0x00,
	0x00, 0x05, 0xca, 0xe0, 0xc0, 0xa2, 0x00,
	0x00, 0x14, 0xe5, 0xcf, 0xcf, 0x8a, 0x00,
	0x00, 0x14, 0x78, 0xd0, 0xf0, 0x8a, 0x00,
	0x00, 0x00, 0x3c, 0x3c, 0x3c, 0x28, 0x00,
	0x00, 0x00, 0xff, 0xaa, 0x3c, 0x28, 0x00,
	0x00, 0x00, 0x00, 0x00, 0xff, 0xaa, 0x00
};

// Tile gfx_hero_shaolinkid_04: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_shaolinkid_04[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x41, 0xc3, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0xf3, 0xd3, 0xfb, 0x00, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0xc0, 0xe2, 0xd1, 0xa2, 0x00,
	0x00, 0x51, 0xff, 0xf7, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xea, 0xe2, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xea, 0xe2, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x00, 0x30, 0x30, 0xf3, 0xa2, 0x00,
	0x00, 0x00, 0xf3, 0xf3, 0xb2, 0x20, 0x00,
	0x00, 0x00, 0x38, 0x30, 0x71, 0xa2, 0x00,
	0x00, 0x00, 0x1e, 0xb6, 0xe3, 0xa2, 0x00,
	0x00, 0x00, 0x4f, 0x6d, 0xf3, 0xa2, 0x00,
	0x00, 0x00, 0xc5, 0x9e, 0xf3, 0xa2, 0x00,
	0x00, 0x05, 0xca, 0xe0, 0xd1, 0x8a, 0x00,
	0x00, 0x14, 0xe5, 0xcf, 0xcf, 0x8a, 0x00,
	0x00, 0x14, 0x78, 0xa0, 0xf0, 0xa0, 0x00,
	0x00, 0x55, 0x3c, 0x00, 0x3c, 0x3c, 0x00,
	0x00, 0x00, 0xff, 0x00, 0x55, 0xff, 0x00
};

// Tile gfx_hero_shaolinkid_05: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_shaolinkid_05[7 * 22] = {
	0x00, 0x00, 0x41, 0xc3, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0xf3, 0xd3, 0xfb, 0x00, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0xc0, 0xe2, 0xd1, 0xa2, 0x00,
	0x00, 0x51, 0xff, 0xf7, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xea, 0xe2, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xea, 0xe2, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x00, 0x30, 0x30, 0xf3, 0xa2, 0x00,
	0x00, 0x00, 0xf3, 0xf3, 0xf3, 0x20, 0x00,
	0x00, 0x00, 0x38, 0x30, 0x34, 0xa2, 0x00,
	0x00, 0x51, 0x1e, 0xb6, 0xdb, 0xd3, 0x00,
	0x00, 0x51, 0x4f, 0x6d, 0xdb, 0xf3, 0x00,
	0x00, 0x51, 0xc5, 0x9e, 0xdb, 0xf3, 0x00,
	0x00, 0x00, 0x4a, 0xe0, 0xc5, 0xa2, 0x00,
	0x00, 0x00, 0x4f, 0xcf, 0xcf, 0x8a, 0x00,
	0x00, 0x00, 0x50, 0xf0, 0xf0, 0x00, 0x00,
	0x00, 0x00, 0x14, 0x3c, 0x3c, 0x28, 0x00,
	0x00, 0x00, 0x14, 0x3c, 0xff, 0xaa, 0x00,
	0x00, 0x00, 0x55, 0xff, 0x00, 0x00, 0x00
};

// Tile gfx_hero_shaolinkid_06: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_shaolinkid_06[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x41, 0xc3, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0xf3, 0xd3, 0xfb, 0x00, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0xc0, 0xe2, 0xd1, 0xa2, 0x00,
	0x00, 0x51, 0xff, 0xf7, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xea, 0xe2, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xea, 0xe2, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x00, 0x30, 0x30, 0xf3, 0xa2, 0x00,
	0x00, 0x00, 0xf3, 0xf3, 0xf3, 0x20, 0x00,
	0x00, 0x51, 0x38, 0x30, 0x34, 0xf3, 0x00,
	0x00, 0xf3, 0x1e, 0xb6, 0xcf, 0xd3, 0xa2,
	0x00, 0xf3, 0x4f, 0x6d, 0xcf, 0xf3, 0xa2,
	0x00, 0x51, 0xc5, 0x9e, 0x9e, 0xf3, 0xa2,
	0x00, 0x00, 0x4a, 0xe0, 0xc5, 0xdb, 0x00,
	0x00, 0x00, 0x05, 0xcf, 0xcf, 0x8a, 0x00,
	0x00, 0x00, 0x50, 0xf0, 0xf0, 0x00, 0x00,
	0x00, 0x00, 0x14, 0x3c, 0x3c, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x5f, 0xff, 0x00, 0x00
};

// Tile gfx_hero_shaolinkid_07: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_shaolinkid_07[7 * 22] = {
	0x00, 0x00, 0x05, 0x0f, 0x0a, 0x00, 0x00,
	0x00, 0x00, 0x0f, 0x0f, 0xaf, 0x00, 0x00,
	0x00, 0x05, 0x0f, 0x0f, 0x5f, 0x0a, 0x00,
	0x00, 0x05, 0x0f, 0x0f, 0x5f, 0x0a, 0x00,
	0x00, 0x05, 0x0f, 0x0f, 0x0f, 0x0a, 0x00,
	0x00, 0x05, 0x4a, 0x4a, 0x0f, 0x0a, 0x00,
	0x00, 0x05, 0x85, 0x0f, 0x85, 0x0f, 0x00,
	0x00, 0x05, 0x0f, 0x0f, 0x0f, 0x0f, 0x00,
	0x00, 0x05, 0xc0, 0x4a, 0x85, 0x0f, 0x00,
	0x00, 0x05, 0x0f, 0x0f, 0x0f, 0x0a, 0x00,
	0x00, 0x00, 0x0f, 0x85, 0x0f, 0x0a, 0x00,
	0x00, 0x00, 0x0f, 0x0f, 0x0f, 0x80, 0x00,
	0x00, 0x00, 0xc0, 0xc0, 0xc0, 0x0a, 0x00,
	0x00, 0x05, 0xea, 0x4a, 0xaf, 0x85, 0x00,
	0x00, 0x05, 0xff, 0xd5, 0xaf, 0x0f, 0x00,
	0x00, 0x05, 0xd5, 0xea, 0xaf, 0x0f, 0x00,
	0x00, 0x00, 0xea, 0xc0, 0xd5, 0x0a, 0x00,
	0x00, 0x00, 0xff, 0xff, 0xff, 0xaa, 0x00,
	0x00, 0x00, 0xc0, 0x80, 0xc0, 0x80, 0x00,
	0x00, 0x00, 0x0f, 0x0a, 0x0f, 0x0a, 0x00,
	0x00, 0x00, 0x0f, 0x0a, 0x0f, 0x0a, 0x00,
	0x00, 0x00, 0xff, 0xaa, 0xff, 0xaa, 0x00
};

// Tile gfx_hero_shaolinkid_08: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_shaolinkid_08[7 * 22] = {
	0x00, 0x00, 0x41, 0xc3, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0xf3, 0xd3, 0xfb, 0x00, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0xc0, 0xe2, 0xd1, 0xa2, 0x00,
	0x00, 0x51, 0xff, 0xf7, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xea, 0xe2, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xea, 0xe2, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x00, 0x30, 0x30, 0xf3, 0xa2, 0x00,
	0x00, 0x00, 0xf3, 0xf3, 0xf3, 0x20, 0x00,
	0x00, 0x00, 0x38, 0x30, 0x34, 0xa2, 0x00,
	0x00, 0x51, 0x1e, 0xb6, 0xdb, 0xd3, 0x00,
	0x00, 0x51, 0x4f, 0x6d, 0xdb, 0xf3, 0x00,
	0x00, 0x51, 0xc5, 0x9e, 0xdb, 0xf3, 0x00,
	0x00, 0x00, 0x4a, 0xe0, 0xc5, 0xa2, 0x00,
	0x00, 0x00, 0x4f, 0xcf, 0xcf, 0x8a, 0x00,
	0x00, 0x00, 0xf0, 0xa0, 0xf0, 0xa0, 0x00,
	0x00, 0x00, 0x3c, 0x28, 0x3c, 0x28, 0x00,
	0x00, 0x00, 0x3c, 0x28, 0x3c, 0x28, 0x00,
	0x00, 0x00, 0xff, 0xaa, 0xff, 0xaa, 0x00
};

// Tile gfx_hero_shaolinkid_09: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_shaolinkid_09[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x41, 0xc3, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0xf3, 0xd3, 0xfb, 0x00, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0xc0, 0xe2, 0xd1, 0xa2, 0x00,
	0x00, 0x51, 0xff, 0xf7, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xea, 0xe2, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xea, 0xe2, 0xfb, 0xf3, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x00, 0x30, 0x30, 0xf3, 0x20, 0x00,
	0x00, 0x00, 0xf3, 0xf3, 0xb6, 0xa2, 0x00,
	0x00, 0x51, 0x38, 0x30, 0x71, 0xd3, 0x00,
	0x00, 0x51, 0x1e, 0xb6, 0xdb, 0xf3, 0x00,
	0x00, 0x51, 0x4f, 0x6d, 0xdb, 0xf3, 0x00,
	0x00, 0x00, 0xc5, 0x9e, 0x9e, 0xa2, 0x00,
	0x00, 0x05, 0xca, 0xe0, 0xc5, 0x28, 0x00,
	0x00, 0x50, 0xe5, 0xcf, 0xcf, 0xcf, 0x00,
	0x00, 0x14, 0x78, 0xa0, 0xf0, 0xb4, 0x00,
	0x00, 0x14, 0x3c, 0x00, 0x14, 0x3c, 0x00,
	0x00, 0x55, 0xff, 0x00, 0x55, 0xff, 0x00
};

// Tile gfx_hero_shaolinkid_10: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_shaolinkid_10[7 * 22] = {
	0x00, 0x41, 0xc3, 0xa2, 0x00, 0x00, 0x00,
	0x00, 0xf3, 0xd3, 0xfb, 0x00, 0x00, 0x00,
	0x00, 0xf3, 0xf3, 0xf7, 0xa2, 0x00, 0x00,
	0x51, 0xf3, 0xf3, 0xf7, 0xa2, 0x00, 0x00,
	0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00, 0x00,
	0x51, 0xc0, 0xe2, 0xd1, 0xa2, 0x00, 0x00,
	0x51, 0xff, 0xf7, 0xfb, 0xf3, 0x00, 0x00,
	0x51, 0xea, 0xe2, 0xfb, 0xf3, 0x00, 0x00,
	0x51, 0xea, 0xe2, 0xfb, 0xf3, 0x00, 0x00,
	0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00, 0x00,
	0x41, 0x30, 0x30, 0xf3, 0xa2, 0x00, 0x00,
	0x51, 0xd3, 0xf3, 0xf3, 0x20, 0x00, 0x00,
	0x51, 0x38, 0x30, 0x34, 0xa2, 0x00, 0x00,
	0x51, 0x1e, 0xb6, 0xdb, 0xd3, 0x00, 0x00,
	0x51, 0x4f, 0x6d, 0xdb, 0xf3, 0x00, 0x00,
	0x00, 0xc5, 0x9e, 0xdb, 0xf3, 0x00, 0x00,
	0x00, 0x4a, 0xe0, 0xc5, 0xa2, 0x00, 0x00,
	0x00, 0xe5, 0xcf, 0xcf, 0x8a, 0x00, 0x00,
	0x00, 0x78, 0xa0, 0xf0, 0xa0, 0x00, 0x00,
	0x00, 0x3c, 0x28, 0x3c, 0x28, 0x00, 0x00,
	0x00, 0x14, 0x7d, 0x14, 0x7d, 0x00, 0x00,
	0x00, 0x55, 0xaa, 0x55, 0xaa, 0x00, 0x00
};

// Tile gfx_hero_shaolinkid_11: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_shaolinkid_11[7 * 22] = {
	0x41, 0xc3, 0xa2, 0x00, 0x00, 0x00, 0x00,
	0xf3, 0xd3, 0xfb, 0x00, 0x00, 0x00, 0x00,
	0xf3, 0xf3, 0xf7, 0xa2, 0x00, 0x00, 0x00,
	0xf3, 0xf3, 0xf7, 0xa2, 0x00, 0x00, 0x00,
	0xf3, 0xf3, 0xf3, 0xa2, 0x00, 0x00, 0x00,
	0xf3, 0xf3, 0xf3, 0xa2, 0x00, 0x00, 0x00,
	0x71, 0xf3, 0x71, 0xf3, 0x00, 0x00, 0x00,
	0xb2, 0xb2, 0xf3, 0xf3, 0x00, 0x00, 0x00,
	0xc0, 0xe2, 0xd1, 0xf3, 0x00, 0x00, 0x00,
	0xf3, 0xf3, 0xf3, 0xa2, 0x00, 0x00, 0x00,
	0x75, 0xff, 0xf3, 0xa2, 0x00, 0x00, 0x00,
	0xd3, 0xf3, 0xf3, 0x20, 0x00, 0x00, 0x00,
	0xb2, 0x30, 0x34, 0xa2, 0x00, 0x00, 0x00,
	0xb6, 0xb6, 0xdb, 0xd3, 0x00, 0x00, 0x00,
	0xe7, 0x6d, 0xdb, 0xf3, 0x00, 0x00, 0x00,
	0x4f, 0x9e, 0xdb, 0xf3, 0x00, 0x00, 0x00,
	0xe0, 0xe0, 0xc5, 0xa2, 0x00, 0x00, 0x00,
	0x78, 0x4f, 0xcf, 0x8a, 0x00, 0x00, 0x00,
	0x3c, 0xa0, 0xf0, 0xa0, 0x00, 0x00, 0x00,
	0x14, 0x7d, 0x3c, 0x3c, 0x00, 0x00, 0x00,
	0x55, 0xaa, 0x14, 0x3c, 0xaa, 0x00, 0x00,
	0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00
};

// Tile gfx_hero_shaolinkid_12: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_shaolinkid_12[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x05, 0x0f, 0x0a, 0x00, 0x00,
	0x00, 0x00, 0x0f, 0x0f, 0xaf, 0x00, 0x00,
	0x00, 0x05, 0x0f, 0x0f, 0x5f, 0x0a, 0x00,
	0x00, 0x05, 0x0f, 0x0f, 0x5f, 0x0a, 0x00,
	0x00, 0x05, 0x0f, 0x0f, 0x0f, 0x0a, 0x00,
	0x00, 0x05, 0x0f, 0x0f, 0x0f, 0x0a, 0x00,
	0x00, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x00,
	0x00, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x00,
	0x00, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x00,
	0x00, 0x05, 0x0f, 0x0f, 0x0f, 0x0a, 0x00,
	0x00, 0x05, 0x0f, 0x0f, 0x0f, 0x0a, 0x00,
	0x05, 0x4a, 0x0f, 0x0f, 0x0f, 0x85, 0x0a,
	0x05, 0x5f, 0xc0, 0xc0, 0xc0, 0xaf, 0x0a,
	0x00, 0x5f, 0xff, 0xff, 0xff, 0xaf, 0x00,
	0x00, 0x5f, 0xff, 0xff, 0xff, 0xaf, 0x00,
	0x00, 0x40, 0xff, 0xff, 0xff, 0x80, 0x00,
	0x00, 0x55, 0xc0, 0xc0, 0xc0, 0xaa, 0x00,
	0x00, 0x4a, 0xff, 0xff, 0xff, 0x85, 0x00,
	0x00, 0x0f, 0xc0, 0x00, 0xc0, 0x0f, 0x00,
	0x00, 0x0f, 0x0f, 0x00, 0x0f, 0x0f, 0x00,
	0x00, 0x55, 0xff, 0x00, 0xff, 0xaa, 0x00
};

// Tile gfx_hero_shaolinkid_13: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_shaolinkid_13[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x51, 0xf3, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0xf3, 0xc3, 0xfb, 0x00, 0x00,
	0x00, 0x51, 0xf3, 0xc3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xc3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x51, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0xa2,
	0x51, 0xb2, 0xf3, 0xf3, 0xf3, 0x71, 0xa2,
	0x51, 0xa7, 0xb4, 0x3c, 0x78, 0xdb, 0xa2,
	0x00, 0xa7, 0x0f, 0x0f, 0x4f, 0xdb, 0x00,
	0x00, 0xa7, 0xcf, 0xcf, 0xcf, 0xdb, 0x00,
	0x00, 0x40, 0xcf, 0xcf, 0xcf, 0x80, 0x00,
	0x00, 0x2d, 0xd0, 0xf0, 0xe0, 0x9e, 0x00,
	0x00, 0x3c, 0x4f, 0xcf, 0xcf, 0x3c, 0x00,
	0x00, 0x3c, 0x3c, 0x00, 0x3c, 0x3c, 0x00,
	0x00, 0x55, 0xff, 0x00, 0xff, 0xaa, 0x00
};

// Tile gfx_hero_shaolinkid_14: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_shaolinkid_14[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x51, 0xf3, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0xf3, 0xc3, 0xfb, 0x00, 0x00,
	0x00, 0x51, 0xf3, 0xc3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xc3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x51, 0xb2, 0xf3, 0xf3, 0xf3, 0x71, 0xa2,
	0x51, 0xa7, 0xb4, 0x3c, 0x78, 0xdb, 0xa2,
	0x00, 0xa7, 0x0f, 0x0f, 0x4f, 0xdb, 0x00,
	0x00, 0xa7, 0xcf, 0xcf, 0xcf, 0xdb, 0x00,
	0x00, 0x40, 0xcf, 0xcf, 0xcf, 0x80, 0x00,
	0x00, 0x05, 0xd0, 0xf0, 0xe0, 0x8a, 0x00,
	0x00, 0x78, 0x4f, 0xcf, 0xcf, 0xb4, 0x00,
	0x00, 0x3c, 0xe0, 0x00, 0xd0, 0x3c, 0x00,
	0x00, 0x3c, 0x3c, 0x00, 0x3c, 0x3c, 0x00,
	0x00, 0x55, 0xff, 0x00, 0xff, 0xaa, 0x00
};

// Tile gfx_hero_shaolinkid_15: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_shaolinkid_15[7 * 22] = {
	0x00, 0x00, 0x51, 0xf3, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0xf3, 0xc3, 0xfb, 0x00, 0x00,
	0x00, 0x51, 0xf3, 0xc3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xc3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x51, 0xb2, 0xf3, 0xf3, 0xf3, 0x71, 0xa2,
	0x51, 0xa7, 0xb4, 0x3c, 0x78, 0xdb, 0xa2,
	0x51, 0xa7, 0x0f, 0x0f, 0x4f, 0xdb, 0xa2,
	0x00, 0xa7, 0xcf, 0xcf, 0xcf, 0xdb, 0x00,
	0x00, 0x40, 0xcf, 0xcf, 0xcf, 0x80, 0x00,
	0x00, 0x05, 0xd0, 0xf0, 0xe0, 0x8a, 0x00,
	0x00, 0x14, 0x4f, 0xcf, 0xcf, 0x28, 0x00,
	0x00, 0x3c, 0xf0, 0xf0, 0xf0, 0x3c, 0x00,
	0x00, 0x3c, 0x78, 0x00, 0xb4, 0x3c, 0x00,
	0x00, 0x3c, 0x3c, 0x00, 0x3c, 0x3c, 0x00,
	0x00, 0x55, 0xff, 0x00, 0xff, 0xaa, 0x00
};

// Tile gfx_hero_shaolinkid_16: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_shaolinkid_16[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x51, 0xf3, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0xf3, 0xc3, 0xfb, 0x00, 0x00,
	0x00, 0x51, 0xf3, 0xc3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xc3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0x10, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x51, 0xa7, 0x79, 0xf3, 0xf3, 0x71, 0xa2,
	0x51, 0xa7, 0x1e, 0x3c, 0xb0, 0xf3, 0xa2,
	0x51, 0x2d, 0x8f, 0x0f, 0xcf, 0xf3, 0x00,
	0x00, 0xc5, 0xcf, 0xcf, 0xcf, 0xa2, 0x00,
	0xaa, 0x4a, 0xcf, 0xcf, 0xca, 0x00, 0x00,
	0xbe, 0xa5, 0xf0, 0xf0, 0xc5, 0x00, 0x00,
	0xbe, 0x78, 0x4f, 0xcf, 0xda, 0x00, 0x00,
	0xbe, 0x3c, 0xf0, 0xf0, 0xb4, 0x28, 0x00,
	0x00, 0x00, 0x00, 0x3c, 0x3c, 0x28, 0x00,
	0x00, 0x00, 0x00, 0x00, 0xff, 0xaa, 0x00
};

// Tile gfx_hero_shaolinkid_17: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_shaolinkid_17[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x51, 0xf3, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0xf3, 0xc3, 0xfb, 0x00, 0x00,
	0x00, 0x51, 0xf3, 0xc3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xc3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x51, 0xb2, 0xf3, 0xf3, 0xf3, 0x71, 0xa2,
	0x51, 0xa7, 0xb4, 0x3c, 0x78, 0xdb, 0xa2,
	0x00, 0xa7, 0x0f, 0x0f, 0x4f, 0xdb, 0x00,
	0x00, 0xe2, 0xcf, 0xcf, 0xcf, 0xdb, 0x00,
	0x00, 0x05, 0xc5, 0xcf, 0xcf, 0x80, 0x00,
	0x00, 0x78, 0x5a, 0xf0, 0xe0, 0x8a, 0x00,
	0x00, 0x3c, 0xa5, 0xcf, 0xcf, 0xa0, 0x00,
	0x00, 0x3c, 0x28, 0x40, 0xf0, 0x28, 0x00,
	0x00, 0xff, 0xaa, 0x00, 0x3c, 0x28, 0x00,
	0x00, 0x00, 0x00, 0x00, 0xff, 0xaa, 0x00
};

// Tile gfx_hero_shaolinkid_18: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_shaolinkid_18[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x51, 0xf3, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0xf3, 0xc3, 0xfb, 0x00, 0x00,
	0x00, 0x51, 0xf3, 0xc3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xc3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0x20, 0x00,
	0x51, 0xb2, 0xf3, 0xf3, 0xb6, 0xdb, 0xa2,
	0x51, 0xf3, 0x70, 0x3c, 0x2d, 0xdb, 0xa2,
	0x00, 0xf3, 0x0f, 0x0f, 0x4f, 0x9e, 0xa2,
	0x00, 0x51, 0x4f, 0xcf, 0xcf, 0xca, 0x00,
	0x00, 0x00, 0xc5, 0xcf, 0xcf, 0xc5, 0x55,
	0x00, 0x00, 0x4a, 0xf0, 0xf0, 0xda, 0x7d,
	0x00, 0x00, 0xa5, 0x4f, 0xcf, 0xb4, 0x7d,
	0x00, 0x14, 0x78, 0xf0, 0xf0, 0x3c, 0x7d,
	0x00, 0x14, 0x3c, 0x3c, 0x00, 0x00, 0x00,
	0x00, 0x55, 0xff, 0x00, 0x00, 0x00, 0x00
};

// Tile gfx_hero_shaolinkid_19: 14x22 pixels, 7x22 bytes.
const u8 gfx_hero_shaolinkid_19[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x51, 0xf3, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0xf3, 0xc3, 0xfb, 0x00, 0x00,
	0x00, 0x51, 0xf3, 0xc3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xc3, 0xf7, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x00, 0x51, 0xf3, 0xf3, 0xf3, 0xa2, 0x00,
	0x51, 0xb2, 0xf3, 0xf3, 0xf3, 0x71, 0xa2,
	0x51, 0xa7, 0xb4, 0x3c, 0x78, 0xdb, 0xa2,
	0x00, 0xa7, 0x0f, 0x0f, 0x4f, 0xdb, 0x00,
	0x00, 0xa7, 0xcf, 0xcf, 0xcf, 0xd1, 0x00,
	0x00, 0x40, 0xcf, 0xcf, 0xca, 0x8a, 0x00,
	0x00, 0x05, 0xd0, 0xf0, 0xe5, 0xb4, 0x00,
	0x00, 0x50, 0x0f, 0xcf, 0xda, 0x3c, 0x00,
	0x00, 0x14, 0xf0, 0x80, 0x14, 0x3c, 0x00,
	0x00, 0x14, 0x3c, 0x00, 0x55, 0xff, 0x00,
	0x00, 0x55, 0xff, 0x00, 0x00, 0x00, 0x00
};

CPCT_RELOCATABLE_AREA(hero_shaolinkid);
// End of file.