//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>
#include "menu-mountains.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2015
// Tile gfx_menu_mountains: 22x30 pixels, 11x30 bytes.

// Locating menu-mountains.......: (0330 bytes) from memory address 0x146a to 0x15b4
CPCT_ABSOLUTE_LOCATION_AREA(0x146a);

const u8 gfx_menu_mountains[11 * 30] = {
	0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x3c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0x0c, 0x58, 0xf0, 0x3c, 0x0c, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0x0c, 0xf0, 0xf0, 0xb4, 0x2c, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0x0c, 0xf0, 0xf0, 0x3c, 0x2c, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0x0c, 0xf0, 0xf0, 0xb4, 0x3c, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0x0c, 0xf0, 0xf0, 0x3c, 0x3c, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0x1c, 0xf0, 0xf0, 0x3c, 0x3c, 0x2c, 0x0c, 0x0c,
	0x0c, 0x1c, 0x0c, 0x58, 0xf0, 0xf0, 0x3c, 0x3c, 0x2c, 0x0c, 0x0c,
	0x0c, 0x58, 0x0c, 0x58, 0xf0, 0xf0, 0xb4, 0x3c, 0x3c, 0x0c, 0x0c,
	0x0c, 0xd2, 0x2c, 0x78, 0xf0, 0xf0, 0x3c, 0x69, 0x3c, 0x2c, 0x0c,
	0x0c, 0x52, 0x2c, 0xd2, 0xf0, 0xf0, 0xb4, 0x29, 0x3c, 0x69, 0x0c,
	0x0c, 0x52, 0xb4, 0x52, 0xf0, 0xd2, 0xf0, 0x29, 0x3c, 0x29, 0x0c,
	0x09, 0x03, 0xb4, 0x03, 0xf0, 0x52, 0xb4, 0x03, 0x16, 0x03, 0x06,
	0x49, 0x03, 0x3c, 0x03, 0xf0, 0x52, 0x78, 0x83, 0x16, 0x83, 0x06,
	0x1c, 0x43, 0x78, 0x03, 0xa1, 0x03, 0xb4, 0xa1, 0x16, 0x29, 0x16,
	0x78, 0x03, 0xf0, 0x03, 0xe1, 0x03, 0xf0, 0x83, 0x16, 0x83, 0x96,
	0xf0, 0x43, 0xf0, 0x03, 0xf0, 0x03, 0xb4, 0xa1, 0x96, 0x29, 0x16,
	0xe1, 0x43, 0x69, 0x43, 0xf0, 0x03, 0xf0, 0x83, 0xd2, 0x83, 0xd2,
	0xf0, 0x43, 0xe1, 0x03, 0xe1, 0x03, 0xf0, 0x83, 0x96, 0x83, 0x52,
	0xa1, 0x43, 0xa1, 0x43, 0xf0, 0x43, 0xf0, 0x03, 0xd2, 0x03, 0xd2,
	0xe1, 0x03, 0xf0, 0x03, 0xe1, 0x03, 0xf0, 0x83, 0x52, 0xa1, 0x52,
	0x89, 0x03, 0x89, 0x03, 0x89, 0x03, 0xcc, 0x03, 0x46, 0x03, 0x46,
	0x8b, 0x83, 0x8b, 0x83, 0x8b, 0x83, 0xcf, 0x43, 0x47, 0x43, 0x47,
	0xc3, 0xe3, 0xc3, 0xe3, 0xc3, 0xe3, 0xc3, 0xd3, 0xc3, 0xd3, 0xc3,
	0x83, 0xa3, 0x83, 0xa3, 0x83, 0xa3, 0xc3, 0x53, 0x43, 0x53, 0x43,
	0xc3, 0xc3, 0xc3, 0xc3, 0xc3, 0xc3, 0xc3, 0xc3, 0xc3, 0xc3, 0xc3,
	0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0
};

CPCT_RELOCATABLE_AREA(menu_mountains);
// End of file.