//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>
#include "palace_cpcretrodev.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2015
// Tile gfx_palace1_cpcretrodev: 36x27 pixels, 18x27 bytes.

// Locating palace...............: (0660 bytes) from memory address 0x15b5 to 0x1849
CPCT_ABSOLUTE_LOCATION_AREA(0x15b5);

const u8 gfx_palace1_cpcretrodev[18 * 27] = {
	0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0xcf, 0x6d, 0x6d, 0x6d, 0x6d, 0x3c,
	0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x4d, 0x9e, 0x3c, 0x3c, 0xf0, 0xf0, 0xf0,
	0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0xcf, 0x78, 0xb0, 0x30, 0x30, 0x30, 0x30,
	0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0e, 0x0c, 0x0c, 0xcf, 0x9e, 0x3c, 0x78, 0xf0, 0xf0, 0x30,
	0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x49, 0xc3, 0x0c, 0x4d, 0x9e, 0xf0, 0x30, 0x30, 0x30, 0x30, 0x30,
	0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0d, 0xc3, 0x0c, 0xc7, 0xcf, 0x3c, 0x3c, 0xf0, 0xf0, 0xb0, 0x30,
	0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0x49, 0x43, 0x0c, 0x4a, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0x0c, 0x58, 0x2c, 0x0c, 0x0c, 0x0c, 0x0c, 0x4b, 0xc3, 0x0e, 0x92, 0x90, 0x30, 0x90, 0x30, 0x30, 0x90, 0x30,
	0x0c, 0x78, 0xb4, 0x0c, 0x0c, 0x0c, 0x0c, 0xc3, 0x83, 0xc3, 0x83, 0x71, 0xf3, 0x71, 0xf3, 0xf3, 0x71, 0xf3,
	0x0c, 0xf0, 0xb4, 0x0c, 0x0c, 0x0c, 0x0c, 0xc3, 0x43, 0x43, 0x43, 0x5f, 0xff, 0xd7, 0xff, 0xff, 0xd7, 0xff,
	0x0c, 0xf0, 0x3c, 0x0c, 0x0c, 0x0c, 0x49, 0x87, 0x83, 0x83, 0x83, 0x5f, 0xff, 0x5f, 0xff, 0xff, 0x5f, 0xff,
	0x1c, 0xf0, 0x3c, 0x2c, 0x0c, 0x0c, 0x09, 0xc3, 0x43, 0x03, 0x03, 0x25, 0x5b, 0x38, 0x0f, 0x5b, 0x38, 0x0f,
	0x78, 0xf0, 0xb4, 0x2c, 0x0c, 0x0c, 0x49, 0x83, 0x83, 0x03, 0x03, 0x5f, 0xff, 0x5f, 0xff, 0xff, 0x5f, 0xff,
	0xf0, 0xf0, 0xf0, 0x2c, 0xb4, 0x0c, 0x49, 0x4b, 0x03, 0x03, 0x03, 0x5f, 0xff, 0x5f, 0xff, 0xff, 0x5f, 0xff,
	0xf0, 0xf0, 0x3c, 0x78, 0xb4, 0x0c, 0x0c, 0x83, 0x83, 0x03, 0x03, 0xd3, 0xf3, 0xd3, 0xf3, 0xf3, 0xd3, 0xf3,
	0xf0, 0xb4, 0x3c, 0xf0, 0xb4, 0x0c, 0x0c, 0x03, 0x03, 0x03, 0x03, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3,
	0xf0, 0x3c, 0x78, 0xf0, 0x3c, 0x2c, 0x0c, 0x03, 0x03, 0x09, 0x43, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3, 0xf3,
	0xb4, 0x3c, 0xf0, 0xb4, 0x3c, 0x2c, 0x0c, 0x0c, 0x86, 0x0c, 0x59, 0xd0, 0xf3, 0xe2, 0xf0, 0xf1, 0xf3, 0xf0,
	0xcc, 0xcc, 0xcc, 0xcc, 0xcc, 0xcc, 0xcc, 0xcc, 0xc6, 0xcc, 0xd9, 0xd0, 0xe7, 0xe2, 0xf0, 0xf1, 0xdb, 0xf0,
	0xcf, 0xcf, 0xcc, 0xcc, 0xcc, 0xcc, 0xcf, 0xcf, 0xe7, 0xcf, 0xdb, 0xd0, 0xb6, 0xe2, 0xf0, 0xf1, 0x79, 0xf0,
	0xc3, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xc3, 0x83, 0xa3, 0xc3, 0xd3, 0xf3, 0xe3, 0xf3, 0xf3, 0xf3, 0xd3, 0xf0,
	0xc7, 0xf2, 0xf0, 0xf0, 0xf0, 0xcb, 0xc3, 0x03, 0xa3, 0x43, 0x53, 0xf3, 0xe3, 0xf3, 0xf3, 0xf3, 0xd3, 0xf0,
	0xdb, 0xf2, 0xf0, 0xf0, 0xe5, 0xc3, 0xc3, 0x83, 0x03, 0x83, 0x53, 0xf3, 0xe3, 0xf3, 0xf3, 0xf3, 0xd3, 0x3c,
	0xf3, 0xe6, 0xcc, 0xcc, 0xcd, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf,
	0xf3, 0xce, 0xcc, 0xcc, 0xd8, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xe7, 0xcc, 0xcc, 0xcc, 0xd8, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0xce, 0xcc, 0xcc, 0xcc, 0xd8, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0
};

// Tile gfx_palace2_cpcretrodev: 12x18 pixels, 6x18 bytes.
const u8 gfx_palace2_cpcretrodev[6 * 18] = {
	0x0c, 0x0c, 0x0c, 0x9e, 0xe0, 0xc0,
	0x0c, 0x0c, 0x0c, 0xca, 0x90, 0x30,
	0x0c, 0x0c, 0x0c, 0x90, 0xa7, 0xf3,
	0x0c, 0x0c, 0x0c, 0x79, 0xaf, 0xff,
	0x0c, 0x0c, 0x0c, 0x5f, 0xaf, 0xaf,
	0x0c, 0x0c, 0x0c, 0x5f, 0xaf, 0xff,
	0x0c, 0x0c, 0xcf, 0x6d, 0x9e, 0xcf,
	0x0c, 0x4d, 0x9e, 0x3c, 0x78, 0xf0,
	0x0c, 0xcf, 0x78, 0x30, 0x30, 0x30,
	0x4d, 0xcf, 0x9e, 0x78, 0xf0, 0xf0,
	0x4d, 0x78, 0xb0, 0x30, 0x30, 0x30,
	0x58, 0xf0, 0x60, 0xc0, 0xc0, 0xc0,
	0x18, 0xc0, 0xf3, 0xf3, 0xd1, 0xf3,
	0x48, 0xd7, 0xff, 0xff, 0xd7, 0xff,
	0x0c, 0x5f, 0xff, 0xff, 0x5f, 0xff,
	0x0c, 0x5f, 0xa7, 0xf7, 0x5f, 0xa7,
	0x0c, 0x5f, 0xff, 0xff, 0x5f, 0xff,
	0x0c, 0x5f, 0xff, 0xff, 0x5f, 0xff
};

// Tile gfx_palace3_cpcretrodev: 12x11 pixels, 6x11 bytes.
const u8 gfx_palace3_cpcretrodev[6 * 11] = {
	0x0c, 0x0c, 0x49, 0x86, 0x0c, 0x0c,
	0x0c, 0x0c, 0x5d, 0xae, 0x0c, 0x0c,
	0x0c, 0x0c, 0x49, 0x86, 0x0c, 0x0c,
	0x0c, 0x0c, 0x59, 0xa6, 0x0c, 0x0c,
	0x0c, 0x0c, 0x49, 0x86, 0x0c, 0x0c,
	0x0c, 0x0c, 0xb2, 0x61, 0x0c, 0x0c,
	0x0c, 0x59, 0xf0, 0xb0, 0x8e, 0x0c,
	0x0c, 0xb6, 0xb0, 0x30, 0x65, 0x0c,
	0x0c, 0x9e, 0x78, 0xf0, 0x34, 0x0c,
	0x59, 0x78, 0xb0, 0x30, 0x34, 0x8e,
	0x4d, 0x9e, 0x78, 0xf0, 0x70, 0x2c
};

CPCT_RELOCATABLE_AREA(menu_palace);
// End of file.