//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#ifndef _GAME_H_
#define _GAME_H_

#include <cpctelera.h>
#include "../entities/entities.h"
#include "../globals.h"


extern THero hero1, hero2;
extern TEnemy enemyList[MAX_ENEMIES];
extern TExplosion enemyExplosion;
extern TExplosion softwallDestruction;
extern TSlideItem slideStone;

extern u8* const g_explosion[3];
extern u8* const g_destruction[3];
extern u8 const anim_slideStone[4];


// Basic level with tiles from 0 to 7. I will store here my decompress level.
extern u8 basicLevel[11][9];

// Complet level with tiles from 0 to 255. I will store here my final level.
extern u8 finalLevel[11][9];

// Array of tiles. FinalLevel contains the index of a tile inside this array.
extern u8* const tileset[34];

// [1|2] Number of heroes in a level.
extern u8 g_nHeroes;
// Number of enemies in a level.
extern u8 g_nEnemies;
// Manage when the game is finished and return to menu.
extern u8 g_finishGame;

extern u8 g_nInterrupt;


void gameInterruptHandler();
void gameInit();
u8 getLevelCompressPiece(u8* level, u8 posX, u8 posY);
void drawLevel(u8 complete);
void createLevel(u8 nLevel);

void drawContextMenuWindow();
void drawLevelComplete();
void drawContextMenu();

void waitRaster(u8 ty);

void drawSliderStone();
void drawItem(TSlideItem *item);
void ItemFall(TSlideItem *item);
u8 gravityItem(TSlideItem *item);
void doGravityAbove(u8 tx, u8 ty);
void checkGravityForFallingStone();
void checkGravityForHeroMoves(THero *hero);
void checkGravityForHeroFalls(u8 ptx, u8 pty);

void gameLoop();
void game();

#endif