//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#ifndef _MENU_H_
#define _MENU_H_

#include <cpctelera.h>

extern u8 g_nLevel;			// Actual level.

void playFX(u8 fxType);

void interruptHandler();
void fade(u8 direction);

void getCodeFromLevel(u8 *levelCode);
u8 getIndexFromUniverse(u8 letter);
u8 getLevelFromCode(u8 *levelCode);
void getTextLevelCode(u8 *textlevelCode);

cpct_keyID redefineKey(u8 *text);
void checkKeyboard();

void menuInit();
void clearOptions();
void drawCodeLevel(u8 posX, u8 posY);
void drawMainOptions();

void drawLandcape();
void drawEnding();

void menuLoop();

#endif