//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include "music.h"
// Extract data with: cpct_bin2c file.bin


// Locating music_menu...........: (0226 bytes) from memory address 0x4000 to 0x40e2
__at(0x4000) const unsigned char G_music_intro[226] = {
 0x41, 0x54, 0x31, 0x30, 0x01, 0x40, 0x42, 0x0f, 0x02, 0x0a, 0x4d, 0x00, 0x12, 0x40, 0x1b, 0x40,
 0x3d, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0d, 0x14, 0x40, 0x04, 0x00, 0xbc, 0xff, 0xff,
 0x38, 0x34, 0xb0, 0xff, 0xff, 0x2c, 0xa8, 0x01, 0x00, 0x24, 0xa0, 0xff, 0xff, 0x1c, 0x98, 0x01,
 0x00, 0x14, 0x90, 0xff, 0xff, 0x0c, 0x88, 0x01, 0x00, 0x04, 0x0d, 0x2e, 0x40, 0x0a, 0x00, 0x74,
 0x0c, 0x38, 0x74, 0x0c, 0x30, 0x6c, 0x0c, 0x28, 0x64, 0x0c, 0x20, 0x5c, 0x0c, 0x18, 0x54, 0x0c,
 0x10, 0x4c, 0x0c, 0x08, 0x44, 0x0c, 0x0d, 0x14, 0x40, 0x20, 0x00, 0x00, 0x00, 0x84, 0x40, 0x00,
 0x85, 0x40, 0x91, 0x40, 0xd3, 0x40, 0x00, 0x85, 0x40, 0x91, 0x40, 0xd3, 0x40, 0x0e, 0x03, 0x03,
 0x03, 0x85, 0x40, 0x91, 0x40, 0xd3, 0x40, 0x0e, 0x00, 0x00, 0x00, 0x85, 0x40, 0x91, 0x40, 0xd3,
 0x40, 0x01, 0x5f, 0x40, 0x00, 0xbe, 0xe1, 0x00, 0x00, 0x01, 0x0e, 0x8d, 0x0e, 0x7f, 0x0e, 0x85,
 0x00, 0x5e, 0xe1, 0x00, 0x00, 0x02, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00,
 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00,
 0x42, 0x00, 0x42, 0x00, 0x1f, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42,
 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42, 0x00, 0x42,
 0x00, 0x42, 0x00, 0x42, 0x81, 0x00, 0x00, 0x06, 0xc6, 0x60, 0x01, 0x0e, 0x85, 0x0e, 0x8d, 0x0e,
 0x7d, 0x00
};



// Locating fx...................: (085 bytes) from memory address 0x40e3 to 0x4138
__at(0x40e3) const unsigned char G_fx_intro[85] = {
 0x41, 0x54, 0x31, 0x30, 0x01, 0x40, 0x42, 0x0f, 0x02, 0xff, 0x33, 0x00, 0xf5, 0x40, 0xfe, 0x40,
 0x13, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0d, 0xf7, 0x40, 0x01, 0x00, 0x6c, 0x0c, 0x34,
 0x38, 0x7c, 0x0c, 0x7c, 0x0c, 0x7c, 0x0c, 0x74, 0x0c, 0x6c, 0x0c, 0x68, 0x0c, 0x0d, 0xf7, 0x40,
 0x01, 0x00, 0x78, 0x13, 0x7c, 0x07, 0x3c, 0x60, 0x13, 0x68, 0x07, 0x28, 0x0d, 0xf7, 0x40, 0x40,
 0x00, 0x00, 0x00, 0x32, 0x41, 0x00, 0x33, 0x41, 0x33, 0x41, 0x33, 0x41, 0x01, 0x28, 0x41, 0x00,
 0x42, 0x80, 0x00, 0x00, 0x00
};


// Z80CODELOC := 0x4139
