//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include "char.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2015

// ADAPTED CHARSET 
// 1. Strongly optimized in size.
// 2. Excluding chars not used in texts.


// -- 7 SINGS ------------------------------------------------------------------------------------------------

// :
// Tile font_char_00: 4x9 pixels, 2x9 bytes.
const u8 font_char_00[2 * 9] = {
	0x00, 0x00, 0x55, 0x80, 0x55, 0x80, 0x40, 0x80, 0x00, 0x00, 0x55, 0x80, 0x55, 0x80, 0x40, 0x80, 0x00, 0x00
};

// ;
// Tile font_char_01: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_01[2 * 9] = {
	0x00, 0x00, 0x55, 0x80, 0x55, 0x80, 0x40, 0x80, 0x00, 0x00, 0x55, 0x80, 0x55, 0x80, 0xea, 0x80, 0xc0, 0x00
};*/

// .
// Tile font_char_02: 4x9 pixels, 2x9 bytes.
const u8 font_char_02[2 * 9] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55, 0x80, 0x55, 0x80, 0x40, 0x80, 0x00, 0x00
};

// ,
// Tile font_char_03: 4x9 pixels, 2x9 bytes.
const u8 font_char_03[2 * 9] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55, 0x80, 0x55, 0x80, 0xea, 0x80, 0xc0, 0x00
};

// "
// Tile font_char_04: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_04[2 * 9] = {
	0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xc0, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};*/

// ?
// Tile font_char_05: 4x9 pixels, 2x9 bytes.
const u8 font_char_05[2 * 9] = {
	0x55, 0x80, 0xea, 0xea, 0xc0, 0xea, 0x55, 0xc0, 0x55, 0x80, 0x40, 0x80, 0x55, 0x80, 0x40, 0x80, 0x00, 0x00
};

// !
// Tile font_char_06: 4x9 pixels, 2x9 bytes.
const u8 font_char_06[2 * 9] = {
	0x55, 0x80, 0x55, 0x80, 0x55, 0x80, 0x55, 0x80, 0x55, 0x80, 0x40, 0x80, 0x55, 0x80, 0x40, 0x80, 0x00, 0x00
};


// -- 26 LETTERS MAYS ----------------------------------------------------------------------------------------

// A
// Tile font_char_07: 4x9 pixels, 2x9 bytes.
const u8 font_char_07[2 * 9] = {
	0x55, 0x80, 0xea, 0xea, 0xea, 0xea, 0xff, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xc0, 0xc0, 0x00, 0x00
};

// B
// Tile font_char_08: 4x9 pixels, 2x9 bytes.
const u8 font_char_08[2 * 9] = {
	0xff, 0x80, 0xea, 0xea, 0xea, 0xea, 0xff, 0xc0, 0xea, 0xea, 0xea, 0xea, 0xff, 0xea, 0xc0, 0xc0, 0x00, 0x00
};

// C
// Tile font_char_09: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_09[2 * 9] = {
	0x55, 0x80, 0xea, 0xea, 0xea, 0xc0, 0xea, 0x00, 0xea, 0x00, 0xea, 0xea, 0xd5, 0xc0, 0x40, 0x80, 0x00, 0x00
};*/

// D
// Tile font_char_10: 4x9 pixels, 2x9 bytes.
const u8 font_char_10[2 * 9] = {
	0xff, 0x80, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xff, 0xc0, 0xc0, 0x80, 0x00, 0x00
};

// E
// Tile font_char_11: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_11[2 * 9] = {
	0xff, 0xea, 0xea, 0xc0, 0xea, 0x00, 0xff, 0x80, 0xea, 0x80, 0xea, 0x00, 0xff, 0xea, 0xc0, 0xc0, 0x00, 0x00
};*/

// F
// Tile font_char_12: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_12[2 * 9] = {
	0xff, 0xea, 0xea, 0xc0, 0xea, 0x00, 0xff, 0x80, 0xea, 0x80, 0xea, 0x00, 0xea, 0x00, 0xc0, 0x00, 0x00, 0x00
};*/

// G
// Tile font_char_13: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_13[2 * 9] = {
	0x55, 0xea, 0xea, 0xc0, 0xea, 0x00, 0xea, 0x00, 0xea, 0xea, 0xea, 0xea, 0xd5, 0xea, 0x40, 0xc0, 0x00, 0x00
};*/

// H
// Tile font_char_14: 4x9 pixels, 2x9 bytes.
const u8 font_char_14[2 * 9] = {
	0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xff, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xc0, 0xc0, 0x00, 0x00
};

// I
// Tile font_char_15: 4x9 pixels, 2x9 bytes.
const u8 font_char_15[2 * 9] = {
	0xff, 0xea, 0xd5, 0xc0, 0x55, 0x80, 0x55, 0x80, 0x55, 0x80, 0x55, 0x80, 0xff, 0xea, 0xc0, 0xc0, 0x00, 0x00
};

// J
// Tile font_char_16: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_16[2 * 9] = {
	0x55, 0xea, 0x40, 0xea, 0x00, 0xea, 0x00, 0xea, 0xea, 0xea, 0xea, 0xea, 0xd5, 0xc0, 0x40, 0x80, 0x00, 0x00
};*/

// K
// Tile font_char_17: 4x9 pixels, 2x9 bytes.
const u8 font_char_17[2 * 9] = {
	0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xff, 0xc0, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xc0, 0xc0, 0x00, 0x00
};

// L
// Tile font_char_18: 4x9 pixels, 2x9 bytes.
const u8 font_char_18[2 * 9] = {
	0xea, 0x00, 0xea, 0x00, 0xea, 0x00, 0xea, 0x00, 0xea, 0x00, 0xea, 0x00, 0xff, 0xea, 0xc0, 0xc0, 0x00, 0x00
};

// M
// Tile font_char_19: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_19[2 * 9] = {
	0xea, 0xea, 0xff, 0xea, 0xff, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xc0, 0xc0, 0x00, 0x00
};*/

// N
// Tile font_char_20: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_20[2 * 9] = {
	0xff, 0x80, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xc0, 0xc0, 0x00, 0x00
};*/

// O
// Tile font_char_21: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_21[2 * 9] = {
	0x55, 0x80, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xd5, 0xc0, 0x40, 0x80, 0x00, 0x00
};*/

// P
// Tile font_char_22: 4x9 pixels, 2x9 bytes.
const u8 font_char_22[2 * 9] = {
	0xff, 0x80, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xff, 0xc0, 0xea, 0x80, 0xea, 0x00, 0xc0, 0x00, 0x00, 0x00
};

// Q
// Tile font_char_23: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_23[2 * 9] = {
	0x55, 0x80, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xff, 0xc0, 0xd5, 0xea, 0x40, 0xc0, 0x00, 0x00
};*/

// R
// Tile font_char_24: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_24[2 * 9] = {
	0xff, 0x80, 0xea, 0xea, 0xea, 0xea, 0xff, 0xc0, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xc0, 0xc0, 0x00, 0x00
};*/

// S
// Tile font_char_25: 4x9 pixels, 2x9 bytes.
const u8 font_char_25[2 * 9] = {
	0x55, 0xea, 0xea, 0xc0, 0xea, 0x00, 0xff, 0x80, 0xc0, 0xea, 0x00, 0xea, 0xff, 0xc0, 0xc0, 0x80, 0x00, 0x00
};

// T
// Tile fUont_char_26: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_26[2 * 9] = {
	0xff, 0xea, 0xd5, 0xc0, 0x55, 0x80, 0x55, 0x80, 0x55, 0x80, 0x55, 0x80, 0x55, 0x80, 0x40, 0x80, 0x00, 0x00
};*/

// U
// Tile font_char_27: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_27[2 * 9] = {
	0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xd5, 0xea, 0x40, 0xc0, 0x00, 0x00
};*/

// V
// Tile font_char_28: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_28[2 * 9] = {
	0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xd5, 0xc0, 0x55, 0x80, 0x40, 0x80, 0x00, 0x00
};*/

// W
// Tile font_char_29: 4x9 pixels, 2x9 bytes.
const u8 font_char_29[2 * 9] = {
	0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xff, 0xea, 0xff, 0xea, 0xea, 0xea, 0xc0, 0xc0, 0x00, 0x00
};

// X
// Tile font_char_30: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_30[2 * 9] = {
	0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xd5, 0xc0, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xc0, 0xc0, 0x00, 0x00
};*/

// Y
// Tile font_char_31: 4x9 pixels, 2x9 bytes.
const u8 font_char_31[2 * 9] = {
	0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xff, 0xea, 0xd5, 0xc0, 0x55, 0x80, 0x55, 0x80, 0x40, 0x80, 0x00, 0x00
};

// Z
// Tile font_char_32: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_32[2 * 9] = {
	0xff, 0xea, 0xc0, 0xea, 0x00, 0xea, 0x55, 0xc0, 0xea, 0x80, 0xea, 0x00, 0xff, 0xea, 0xc0, 0xc0, 0x00, 0x00
};*/


// -- 6 SIGNS ------------------------------------------------------------------------------------------------


// (
// Tile font_char_33: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_33[2 * 9] = {
	0x00, 0xea, 0x55, 0xc0, 0x55, 0x80, 0x55, 0x80, 0x55, 0x80, 0x55, 0x80, 0x40, 0xea, 0x00, 0xc0, 0x00, 0x00
};*/

// /
// Tile font_char_34: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_34[2 * 9] = {
	0x00, 0xea, 0x00, 0xea, 0x55, 0xc0, 0x55, 0x80, 0x55, 0x80, 0xea, 0x80, 0xea, 0x00, 0xc0, 0x00, 0x00, 0x00
};*/

// )
// Tile font_char_35: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_35[2 * 9] = {
	0x55, 0x80, 0x40, 0xea, 0x00, 0xea, 0x00, 0xea, 0x00, 0xea, 0x00, 0xea, 0x55, 0xc0, 0x40, 0x80, 0x00, 0x00
};*/

// &
// Tile font_char_36: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_36[2 * 9] = {
	0x55, 0x80, 0xff, 0xea, 0xea, 0xc0, 0xff, 0x80, 0xff, 0x80, 0xea, 0x80, 0xff, 0xea, 0xd5, 0xc0, 0x40, 0x80
};*/

// _
// Tile font_char_37: 4x9 pixels, 2x9 bytes.
const u8 font_char_37[2 * 9] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0xea, 0xc0, 0xc0
};

// '
// Tile font_char_38: 4x9 pixels, 2x9 bytes.
const u8 font_char_38[2 * 9] = {
	0xea, 0x00, 0xea, 0x00, 0xea, 0x00, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};


// -- 26 LETTERS MINS ----------------------------------------------------------------------------------------


// a
// Tile font_char_39: 4x9 pixels, 2x9 bytes.
const u8 font_char_39[2 * 9] = {
	0x00, 0x00, 0x00, 0x00, 0xff, 0x80, 0xc0, 0xea, 0x55, 0xea, 0xea, 0xea, 0xff, 0xea, 0xc0, 0xc0, 0x00, 0x00
};

// b
// Tile font_char_40: 4x9 pixels, 2x9 bytes.
const u8 font_char_40[2 * 9] = {
	0x00, 0x00, 0xea, 0x00, 0xea, 0x00, 0xff, 0x80, 0xea, 0xea, 0xea, 0xea, 0xff, 0xc0, 0xc0, 0x80, 0x00, 0x00
};

// c
// Tile font_char_41: 4x9 pixels, 2x9 bytes.
const u8 font_char_41[2 * 9] = {
	0x00, 0x00, 0x00, 0x00, 0x55, 0x80, 0xea, 0xea, 0xea, 0xc0, 0xea, 0xea, 0xd5, 0xc0, 0x40, 0x80, 0x00, 0x00
};

// d
// Tile font_char_42: 4x9 pixels, 2x9 bytes.
const u8 font_char_42[2 * 9] = {
	0x00, 0x00, 0x00, 0xea, 0x00, 0xea, 0x55, 0xea, 0xea, 0xea, 0xea, 0xea, 0xd5, 0xea, 0x40, 0xc0, 0x00, 0x00
};

// e
// Tile font_char_43: 4x9 pixels, 2x9 bytes.
const u8 font_char_43[2 * 9] = {
	0x00, 0x00, 0x00, 0x00, 0x55, 0x80, 0xea, 0xea, 0xff, 0xea, 0xea, 0xc0, 0xd5, 0xea, 0x40, 0xc0, 0x00, 0x00
};

// f
// Tile font_char_44: 4x9 pixels, 2x9 bytes.
const u8 font_char_44[2 * 9] = {
	0x00, 0x00, 0x55, 0xea, 0xea, 0xc0, 0xea, 0x00, 0xff, 0x80, 0xea, 0x80, 0xea, 0x00, 0xea, 0x00, 0xc0, 0x00
};

// g
// Tile font_char_45: 4x9 pixels, 2x9 bytes.
const u8 font_char_45[2 * 9] = {
	0x00, 0x00, 0x00, 0xea, 0x55, 0xc0, 0xea, 0xea, 0xea, 0xea, 0xd5, 0xc0, 0x40, 0xea, 0xff, 0xc0, 0xc0, 0x80
};

// h
// Tile font_char_46: 4x9 pixels, 2x9 bytes.
const u8 font_char_46[2 * 9] = {
	0x00, 0x00, 0xea, 0x00, 0xea, 0x00, 0xff, 0x80, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xc0, 0xc0, 0x00, 0x00
};

// i
// Tile font_char_47: 4x9 pixels, 2x9 bytes.
const u8 font_char_47[2 * 9] = {
	0x00, 0x00, 0xea, 0x00, 0xc0, 0x00, 0xea, 0x00, 0xea, 0x00, 0xea, 0x00, 0xea, 0x00, 0xc0, 0x00, 0x00, 0x00
};

// j
// Tile font_char_48: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_48[2 * 9] = {
	0x00, 0x00, 0x00, 0xea, 0x00, 0xc0, 0x00, 0xea, 0x00, 0xea, 0x00, 0xea, 0xea, 0xea, 0xd5, 0xc0, 0x40, 0x80
};*/

// k
// Tile font_char_49: 4x9 pixels, 2x9 bytes.
const u8 font_char_49[2 * 9] = {
	0x00, 0x00, 0xea, 0x00, 0xea, 0x00, 0xea, 0xea, 0xea, 0xea, 0xff, 0xc0, 0xea, 0xea, 0xc0, 0xc0, 0x00, 0x00
};

// l
// Tile font_char_50: 4x9 pixels, 2x9 bytes.
const u8 font_char_50[2 * 9] = {
	0xea, 0x00, 0xea, 0x00, 0xea, 0x00, 0xea, 0x00, 0xea, 0x00, 0xea, 0x00, 0xea, 0x00, 0xc0, 0x00, 0x00, 0x00
};

// m
// Tile font_char_51: 4x9 pixels, 2x9 bytes.
const u8 font_char_51[2 * 9] = {
	0x00, 0x00, 0x00, 0x00, 0xea, 0xea, 0xff, 0xea, 0xff, 0xea, 0xea, 0xea, 0xea, 0xea, 0xc0, 0xc0, 0x00, 0x00
};

// n
// Tile font_char_52: 4x9 pixels, 2x9 bytes.
const u8 font_char_52[2 * 9] = {
	0x00, 0x00, 0x00, 0x00, 0xff, 0x80, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xc0, 0xc0, 0x00, 0x00
};

// o
// Tile font_char_53: 4x9 pixels, 2x9 bytes.
const u8 font_char_53[2 * 9] = {
	0x00, 0x00, 0x00, 0x00, 0x55, 0x80, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xd5, 0xc0, 0x40, 0x80, 0x00, 0x00
};

// p
// Tile font_char_54: 4x9 pixels, 2x9 bytes.
const u8 font_char_54[2 * 9] = {
	0x00, 0x00, 0x00, 0x00, 0xff, 0x80, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xff, 0xc0, 0xea, 0x80, 0xc0, 0x00
};

// q
// Tile font_char_55: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_55[2 * 9] = {
	0x00, 0x00, 0x00, 0x00, 0x55, 0x80, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xd5, 0xea, 0x40, 0xea, 0x00, 0xc0
};*/

// r
// Tile font_char_56: 4x9 pixels, 2x9 bytes.
const u8 font_char_56[2 * 9] = {
	0x00, 0x00, 0x00, 0x00, 0xff, 0x80, 0xea, 0xea, 0xea, 0xc0, 0xea, 0x00, 0xea, 0x00, 0xc0, 0x00, 0x00, 0x00
};

// s
// Tile font_char_57: 4x9 pixels, 2x9 bytes.
const u8 font_char_57[2 * 9] = {
	0x00, 0x00, 0x00, 0x00, 0x55, 0xea, 0xea, 0xc0, 0xff, 0xea, 0xc0, 0xea, 0xff, 0xc0, 0xc0, 0x80, 0x00, 0x00
};

// t
// Tile font_char_58: 4x9 pixels, 2x9 bytes.
const u8 font_char_58[2 * 9] = {
	0x55, 0x80, 0xff, 0xea, 0xd5, 0xc0, 0x55, 0x80, 0x55, 0x80, 0x55, 0x80, 0x40, 0xea, 0x00, 0xc0, 0x00, 0x00
};

// u
// Tile font_char_59: 4x9 pixels, 2x9 bytes.
const u8 font_char_59[2 * 9] = {
	0x00, 0x00, 0x00, 0x00, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xd5, 0xea, 0x40, 0xc0, 0x00, 0x00
};

// v
//Tile font_char_60: 4x9 pixels, 2x9 bytes.
const u8 font_char_60[2 * 9] = {
	0x00, 0x00, 0x00, 0x00, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xd5, 0xc0, 0x55, 0x80, 0x40, 0x80, 0x00, 0x00
};

// w
// Tile font_char_61: 4x9 pixels, 2x9 bytes.
const u8 font_char_61[2 * 9] = {
	0x00, 0x00, 0x00, 0x00, 0xea, 0xea, 0xea, 0xea, 0xff, 0xea, 0xff, 0xea, 0xea, 0xea, 0xc0, 0xc0, 0x00, 0x00
};

// x
// Tile font_char_62: 4x9 pixels, 2x9 bytes.
const u8 font_char_62[2 * 9] = {
	0x00, 0x00, 0x00, 0x00, 0xea, 0xea, 0xea, 0xea, 0xd5, 0xc0, 0xea, 0xea, 0xea, 0xea, 0xc0, 0xc0, 0x00, 0x00
};

// y
// Tile font_char_63: 4x9 pixels, 2x9 bytes.
const u8 font_char_63[2 * 9] = {
	0x00, 0x00, 0x00, 0x00, 0xea, 0xea, 0xea, 0xea, 0xea, 0xea, 0xd5, 0xea, 0x40, 0xea, 0xff, 0xc0, 0xc0, 0x80
};

// z
// Tile font_char_64: 4x9 pixels, 2x9 bytes.
/*const u8 font_char_64[2 * 9] = {
	0x00, 0x00, 0x00, 0x00, 0xff, 0xea, 0xc0, 0xea, 0x55, 0xc0, 0xea, 0x80, 0xff, 0xea, 0xc0, 0xc0, 0x00, 0x00
};*/
