//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

// Data created with Img2CPC - (c) Retroworks - 2007-2015
#ifndef _ASSETS_CHAR_H_
#define _ASSETS_CHAR_H_

#include <types.h>

// ADAPTED CHARSET 
// 1. Strongly optimized in size.
// 2. Excluding chars not used in texts.



#define FONT_CHAR_00_W 2
#define FONT_CHAR_00_H 9
extern const u8 font_char_00[2 * 9];	// :
#define FONT_CHAR_01_W 2
#define FONT_CHAR_01_H 9
//extern const u8 font_char_01[2 * 9];	// ;
#define FONT_CHAR_02_W 2
#define FONT_CHAR_02_H 9
extern const u8 font_char_02[2 * 9];	// .
#define FONT_CHAR_03_W 2
#define FONT_CHAR_03_H 9
extern const u8 font_char_03[2 * 9];	// ,
#define FONT_CHAR_04_W 2
#define FONT_CHAR_04_H 9
//extern const u8 font_char_04[2 * 9];	// "
#define FONT_CHAR_05_W 2
#define FONT_CHAR_05_H 9
extern const u8 font_char_05[2 * 9];	// ?
#define FONT_CHAR_06_W 2
#define FONT_CHAR_06_H 9
extern const u8 font_char_06[2 * 9];	// !


#define FONT_CHAR_07_W 2
#define FONT_CHAR_07_H 9
extern const u8 font_char_07[2 * 9];	// A
#define FONT_CHAR_08_W 2
#define FONT_CHAR_08_H 9
extern const u8 font_char_08[2 * 9];	// B
#define FONT_CHAR_09_W 2
#define FONT_CHAR_09_H 9
//extern const u8 font_char_09[2 * 9];	// C
#define FONT_CHAR_10_W 2
#define FONT_CHAR_10_H 9
extern const u8 font_char_10[2 * 9];	// D
#define FONT_CHAR_11_W 2
#define FONT_CHAR_11_H 9
//extern const u8 font_char_11[2 * 9];	// E
#define FONT_CHAR_12_W 2
#define FONT_CHAR_12_H 9
//extern const u8 font_char_12[2 * 9];	// F
#define FONT_CHAR_13_W 2
#define FONT_CHAR_13_H 9
//extern const u8 font_char_13[2 * 9];	// G
#define FONT_CHAR_14_W 2
#define FONT_CHAR_14_H 9
extern const u8 font_char_14[2 * 9];	// H
#define FONT_CHAR_15_W 2
#define FONT_CHAR_15_H 9
extern const u8 font_char_15[2 * 9];	// I
#define FONT_CHAR_16_W 2
#define FONT_CHAR_16_H 9
//extern const u8 font_char_16[2 * 9];	// J
#define FONT_CHAR_17_W 2
#define FONT_CHAR_17_H 9
extern const u8 font_char_17[2 * 9];	// K
#define FONT_CHAR_18_W 2
#define FONT_CHAR_18_H 9
extern const u8 font_char_18[2 * 9];	// L
#define FONT_CHAR_19_W 2
#define FONT_CHAR_19_H 9
//extern const u8 font_char_19[2 * 9];	// M
#define FONT_CHAR_20_W 2
#define FONT_CHAR_20_H 9
//extern const u8 font_char_20[2 * 9];	// N
#define FONT_CHAR_21_W 2
#define FONT_CHAR_21_H 9
//extern const u8 font_char_21[2 * 9];	// O
#define FONT_CHAR_22_W 2
#define FONT_CHAR_22_H 9
extern const u8 font_char_22[2 * 9];	// P
#define FONT_CHAR_23_W 2
#define FONT_CHAR_23_H 9
//extern const u8 font_char_23[2 * 9];	// Q
#define FONT_CHAR_24_W 2
#define FONT_CHAR_24_H 9
//extern const u8 font_char_24[2 * 9];	// R
#define FONT_CHAR_25_W 2
#define FONT_CHAR_25_H 9
extern const u8 font_char_25[2 * 9];	// S
#define FONT_CHAR_26_W 2
#define FONT_CHAR_26_H 9
//extern const u8 font_char_26[2 * 9];	// T
#define FONT_CHAR_27_W 2
#define FONT_CHAR_27_H 9
//extern const u8 font_char_27[2 * 9];	// U
#define FONT_CHAR_28_W 2
#define FONT_CHAR_28_H 9
//extern const u8 font_char_28[2 * 9];	// V
#define FONT_CHAR_29_W 2
#define FONT_CHAR_29_H 9
extern const u8 font_char_29[2 * 9];	// W
#define FONT_CHAR_30_W 2
#define FONT_CHAR_30_H 9
//extern const u8 font_char_30[2 * 9];	// X
#define FONT_CHAR_31_W 2
#define FONT_CHAR_31_H 9
extern const u8 font_char_31[2 * 9];	// Y
#define FONT_CHAR_32_W 2
#define FONT_CHAR_32_H 9
//extern const u8 font_char_32[2 * 9];	// Z


#define FONT_CHAR_33_W 2
#define FONT_CHAR_33_H 9
//extern const u8 font_char_33[2 * 9];	// (
#define FONT_CHAR_34_W 2
#define FONT_CHAR_34_H 9
//extern const u8 font_char_34[2 * 9];	// /
#define FONT_CHAR_35_W 2
#define FONT_CHAR_35_H 9
//extern const u8 font_char_35[2 * 9];	// )
#define FONT_CHAR_36_W 2
#define FONT_CHAR_36_H 9
//extern const u8 font_char_36[2 * 9];	// &
#define FONT_CHAR_37_W 2
#define FONT_CHAR_37_H 9
extern const u8 font_char_37[2 * 9];	// _
#define FONT_CHAR_38_W 2
#define FONT_CHAR_38_H 9
extern const u8 font_char_38[2 * 9];	// '


#define FONT_CHAR_39_W 2
#define FONT_CHAR_39_H 9
extern const u8 font_char_39[2 * 9];	// a
#define FONT_CHAR_40_W 2
#define FONT_CHAR_40_H 9
extern const u8 font_char_40[2 * 9];	// b
#define FONT_CHAR_41_W 2
#define FONT_CHAR_41_H 9
extern const u8 font_char_41[2 * 9];	// c
#define FONT_CHAR_42_W 2
#define FONT_CHAR_42_H 9
extern const u8 font_char_42[2 * 9];	// d
#define FONT_CHAR_43_W 2
#define FONT_CHAR_43_H 9
extern const u8 font_char_43[2 * 9];	// e
#define FONT_CHAR_44_W 2
#define FONT_CHAR_44_H 9
extern const u8 font_char_44[2 * 9];	// f
#define FONT_CHAR_45_W 2
#define FONT_CHAR_45_H 9
extern const u8 font_char_45[2 * 9];	// g
#define FONT_CHAR_46_W 2
#define FONT_CHAR_46_H 9
extern const u8 font_char_46[2 * 9];	// h
#define FONT_CHAR_47_W 2
#define FONT_CHAR_47_H 9
extern const u8 font_char_47[2 * 9];	// i
#define FONT_CHAR_48_W 2
#define FONT_CHAR_48_H 9
//extern const u8 font_char_48[2 * 9];	// j
#define FONT_CHAR_49_W 2
#define FONT_CHAR_49_H 9
extern const u8 font_char_49[2 * 9];	// k
#define FONT_CHAR_50_W 2
#define FONT_CHAR_50_H 9
extern const u8 font_char_50[2 * 9];	// l
#define FONT_CHAR_51_W 2
#define FONT_CHAR_51_H 9
extern const u8 font_char_51[2 * 9];	// m
#define FONT_CHAR_52_W 2
#define FONT_CHAR_52_H 9
extern const u8 font_char_52[2 * 9];	// n
#define FONT_CHAR_53_W 2
#define FONT_CHAR_53_H 9
extern const u8 font_char_53[2 * 9];	// o
#define FONT_CHAR_54_W 2
#define FONT_CHAR_54_H 9
extern const u8 font_char_54[2 * 9];	// p
#define FONT_CHAR_55_W 2
#define FONT_CHAR_55_H 9
//extern const u8 font_char_55[2 * 9];	// q
#define FONT_CHAR_56_W 2
#define FONT_CHAR_56_H 9
extern const u8 font_char_56[2 * 9];	// r
#define FONT_CHAR_57_W 2
#define FONT_CHAR_57_H 9
extern const u8 font_char_57[2 * 9];	// s
#define FONT_CHAR_58_W 2
#define FONT_CHAR_58_H 9
extern const u8 font_char_58[2 * 9];	// t
#define FONT_CHAR_59_W 2
#define FONT_CHAR_59_H 9
extern const u8 font_char_59[2 * 9];	// u
#define FONT_CHAR_60_W 2
#define FONT_CHAR_60_H 9
extern const u8 font_char_60[2 * 9];	// v
#define FONT_CHAR_61_W 2
#define FONT_CHAR_61_H 9
extern const u8 font_char_61[2 * 9];	// w
#define FONT_CHAR_62_W 2
#define FONT_CHAR_62_H 9
extern const u8 font_char_62[2 * 9];	// x
#define FONT_CHAR_63_W 2
#define FONT_CHAR_63_H 9
extern const u8 font_char_63[2 * 9];	// y
#define FONT_CHAR_64_W 2
#define FONT_CHAR_64_H 9
//extern const u8 font_char_64[2 * 9];	// z

#endif
